Introducing BestAddress 2005 Professional

Introducing the BestAddress HTML Editor 2005 Professional

Welcome to Multimedia Australia's multi-award-winning BestAddress HTML Editor. Whether you are an experienced professional or completely new to website development, the BestAddress HTML Editor provides you with all the tools you need to create and maintain your projects quickly and easily.

Split-screen live preview editing, built-in Source Securing capabilities, tutorials for beginners, reference guides and over 70 other functions as well as a dedicated Customer Benefits program make the multi-award-winning BestAddress HTML Editor your number one choice in professional website development.

The BestAddress HTML Editor 2005 Professional features the latest technical support technology from Multimedia Australia - SupportBase.NET Direct! Professional users and beginners alike can now access Multimedia Australia's renowned technical support services directly from within the program itself. Should you ever need help perfecting your website's coding, free technical support is now only one click away - you don't even need to leave the development environment!

If you are new to using the BestAddress HTML Editor, to quickly get an overview of the program's versatility and numerous functions, you might like to read "Why choose BestAddress 2005 Professional".

See below for a quick tour of BestAddress 2005 Professional and online help.

A Quick Tour of BestAddress 2005 Professional

Documents Document Editing Window
Each webpage you work on is called a document. The contents of each document is displayed in an editing window. Here you can write, view and edit the contents of your webpages. You can also preview your webpages in the internal browser.
The following help topics will help you work with documents:

  • Creating new documents
  • Opening existing documents
  • Saving documents

Creating Webpages
Creating a webpage is very easy, but you do need a little knowledge before you begin. If you do not have any experience in creating webpages, we recommend that you spend a few minutes reading through the online tutorial.
There are over 70 features available in the BestAddress HTML Editor to make your development experience easier. These include:

  • To-Do Task Lists
  • The Task Manager Pane
  • Site Projects
  • Task Wizards
  • Syntax Checker
  • Syntax Assistants
  • Page Preview
  • The Document Selector
  • functions for editing documents
  • as well as numerous functions for inserting elements, all of which are available from the Insert menu.

A Quick Tour of Online Help

Online help has been designed to help you get the most out of the BestAddress HTML Editor. It consists of four major sections:

  • Introducing BestAddress 2005 Professional provides you with a brief explanation of the available functions.
  • Using BestAddress 2005 Professional is your comprehensive guide for using the program.
  • Online Tutorials are there to help you learn the skills needed for website development.
  • Online Reference contains a guide to all HTML and CSS code.

For free updates, articles, tips and more you can visit Multimedia Australia's website at www.mmaus.com/

At Multimedia Australia, we are sure you'll enjoy using our quality software product. If you have any comments or suggestions for new features that you would like to see included in future editions of the BestAddress HTML Editor, we would love to hear from you.


Why Choose BestAddress

Why Choose BestAddress 2005 Professional?

The BestAddress HTML Editor from Multimedia Australia makes it easy for you to develop and maintain your websites.

Split-screen live preview editing, in-built Source Securing capabilities, tutorials for beginners, reference guides and over 70 other functions as well as a dedicated Customer Benefits program make the award-winning BestAddress HTML Editor your number one choice in professional website development.

  • Customer Benefits Program
    Multimedia Australia provides a Customer Benefits Program to all registered customers.
  • Powerful
    BestAddress 2005 Professional gives you complete control over the development and maintenance of your projects through its easy to use interface.
  • Easy to Use
    BestAddress offers a neat, uncluttered and well organised interface that ensures that you will quickly locate and use the function you need.
  • Huge Range of Functions
    Over 70 functions help you create websites with the maximum productivity and efficiency.
  • Minimal System Resource Usage
    BestAddress uses very little of your computer's resources without compromising on functionality and speed. This allows you to easily run other applications in the background.

Learning to use the BestAddress HTML Edior is as simple as reading the online user guide or just exploring the many functions the program it has to offer. Help is instantly accessible at any time by clicking the Help button on all major windows.

Some of many features in the BestAddress HTML Editor 2005 Professional include:

  • A to-do task list.
  • Spell checking.
  • Source code Securing.
  • A DHTML Menu Designer.
  • Image Gallery. Additional Image Packs can be installed from www.MyCustomerBenefits.com.
  • Save your webpages directly to the Internet.
  • Menus and functions similar to those found in many word processors.
  • Syntax colour-coding.
  • Split-screen live previewing of documents
  • Instantly preview pages in a Web browser - you don’t even need to save!
  • Syntax assistant speeds up the development process by helping you choose the right code.
  • Comprehensive online help system which includes coding references and tutorials.
  • Use templates to speed up the development process and help maintain consistency amongst your pages.
  • Ease the management of multiple pages using Site Projects.
  • Visually select tables.
  • The webpage structural overview displays a visual layout of how your pages are written.
  • The document selection bar makes switching between documents a breeze.
  • The Change Root Directory feature makes moving from the development stage to publishing your pages on the Internet easy by changing the external file paths referred to.
  • Launch hyperlinks from directly within the program.
  • Download free updates directly from the Multimedia Australia website to make sure you are kept up to date when coding changes.*

*updates differ from upgrades in that they only enhance existing functionality within the program.


Multimedia Australia on the Internet

Multimedia Australia Multimedia Australia's website offers you a great selection of free resources including software updates, articles, product information, downloads, tips on using our products and much more!

Visit us on the Internet today at http://www.mmaus.com/

Links to major areas on Multimedia Australia's website include:

  • Online Library
  • Free Software Updates
  • Search Engine Submission Service
  • Free Website Development Online Discussion Forum
  • SupportBase.NET - Product Technical Support
  • Customer Benefits Program (www.MyCustomerBenefits.com)
  • Multimedia Australia Contact Information

Contacting Multimedia Australia

You can contact Multimedia Australia's Technical Support at support@mmaus.com. In most cases, you will receive a response within 24 hours during business days. For general questions, you can also contact Multimedia Australia at email@mmaus.com.

You can also contact us at the following address:

Multimedia Australia Pty. Ltd.
GPO Box 1626
BRISBANE QLD 4001
AUSTRALIA


Ordering the Full Version

Ordering the Full Version Full Version only US$44.95!

Purchase the full version of the BestAddress HTML Editor today and qualify for free technical support from Multimedia Australia and free software updates!

You can order the full version of the BestAddress HTML Editor online using our secure online ordering form which accepts a variety of payment methods in several world currencies.

Upon completion of your order, you will immediately receive a registration code which allows you to unlock the evaluation edition so you can start using the full version straight away!

Multimedia Australia is committed to providing you with software of exceptional quality at very competitive pricing. For the latest pricing information, including pricing in different currencies, please feel free to visit http://www.mmaus.com/pricing.html. Volume and educational discounts are also available.

Full Version on CD-ROM

BestAddress 2005 Professional on CD-ROM If you prefer purchasing software in hard format, you can now purchase BestAddress 2005 Professional on CD-ROM online for an additional US$9.99 plus postage and handling+. Simply check the CD-ROM box on the online ordering form to purchase the program on CD.

Immediate Online Delivery

Immediate online delivery of the full version of BestAddress 2005 Professional is available for credit card orders placed via the Internet using the secure ordering form available at https://www.regnow.com/softsell/nph-softsell.cgi?item=6681-1.

Ordering Offline

If you prefer ordering offline, click here to print out an order form. Simply send the completed order form together with your payment (using registered post is recommended) to:

 Multimedia Australia Pty. Ltd.
GPO Box 1626
BRISBANE QLD 4001
AUSTRALIA

Please Note: Ordinary cheques will only be accepted from Australian bank accounts.

Your order should be processed within seven (7) to fourteen (14) days of receipt. It is recommended that you send all orders by registered post and air mail since Multimedia Australia Pty. Ltd. can accept no responsibility for lost mail.

Don’t forget that by purchasing the full version of BestAddress 2005 Professional, you are entitled to free product updates and technical support.

We are committed to providing you with quality, easy to use software at very competitive pricing. If you have any questions, comments or suggestions on how we can improve our products, we would love to hear form you.

* Recommended retail price. The above prices should be used as a guide only. Multimedia Australia reserves the right to change pricing at any time without prior notice. Pricing is effective as of November 2004.
+ The BestAddress HTML Editor is only available for purchase on CD-ROM when ordering online. Pricing is effective as of 01 November 2003 and may be subject to change at any time without prior notice. Any free updates customers qualify for must still be obtained through a download from Multimedia Australia’s website. Whilst major updates and upgrades are represented when purchasing the CD-ROM, micro/minor updates may not always be included. For security purposes, the CD-ROM contains the evaluation edition of the BestAddress HTML Editor along with your user name and registration code. The CD-ROM is created and supplied by our authorised reseller and Multimedia Australia Pty. Ltd. takes no responsibility for the authoring or shipping of the CD medium. The actual appearance of the CD may differ to that shown in the representation above.


Contacting Multimedia Australia

Multimedia Australia Multimedia Australia is renowned for providing one of the best and most comprehensive before and after-sales technical support and customer service programs in the software industry.

From the dedicated MyCustomerBenefits.com website to our fast-response SupportBase.NET technical support, you'll be sure to find only the highest standard of service.

We love to hear your feedback - whether you would like to suggest a new feature for our software, want a technical question answered quickly or want to make an enquiry about any of our products, services, or websites we operate, use the contact details below:

Write to us

 Multimedia Australia Pty. Ltd.
GPO Box 1626
BRISBANE QLD 4001
AUSTRALIA

Contact us by email
All Enquires
email@mmaus.com
All enquires including sales, customer service, website, corporate related and more can now conveniently be made to the above email address. Offering a single, all-purpose email address is another way we're setting the customer service standard we're renowned for.

Free Technical Support
support@mmaus.com
Contact our renowned SupportBase.NET team for all software product and service related support issues.

For more contact details, please visit our website at http://www.mmaus.com.


Suggest New Features

Multimedia Australia Multimedia Australia strives to provide you with the highest quality software at very competitive pricing.

We are constantly looking for ways we can improve our products, and we would love to hear your ideas and comments. We take every comment into consideration when developing future versions of our products and most suggestions end up being included. Since existing customers qualify for free updates, sending us your suggestions is your opportunity to use the new feature in upcoming releases of our software.

To send us your suggestion, please feel free to email us at email@mmaus.com or write to the address below. We look forward to hearing from you!

Multimedia Australia Pty. Ltd.
GPO Box 1626
BRISBANE QLD 4001
AUSTRALIA


Using the BestAddress HTML Editor

Welcome to the BestAddress HTML Editor 2005 Professional User Guide. This guide has been designed to help you take advantage of BestAddress’ many powerful features.

To access a topic, simply choose a subject from the Contents list on the left.


Learning to use BestAddress

For most tasks in BestAddress, you won't need any help. In most cases, simply reading the menus, following instructions and clicking buttons will enable you to complete your projects successfully.

If you do need help, all the information you need to use BestAddress can be found in the Online Help system.

Online Help can be accessed in several ways:

  • Choose Contents from the Help menu, then click the new window's Contents tab. To choose from a topic in the list, simply click on it. You can also click the Index tab to display an alphabetically sorted list of all available topics in a similar manner as an index does in a book. You can also use the Find tab to do a search for a particular word or phrase.
  • Click the Help button in a dialog box.
  • Click the [image] button in a dialog box. The mouse cursor will change to an arrow with a question mark next to it. Clicking on a section of a dialog box will display a brief description about what it does.


SupportBase.NET Direct

The BestAddress HTML Editor 2005 Professional features the latest technical support technology from Multimedia Australia - SupportBase.NET Direct! Professional users and beginners alike can now conveniently access Multimedia Australia's renowned technical support services with one click without even needing to leave the development environment!

  1. On the Help menu, make sure that the option View the SupportBase.NET Direct Pane is checked.
  2. Use the SupportBase.NET Direct pane on the right side of the main development environment window by clicking the hyperlink that corresponds with the type of support function you would like to use.


Creating a new document

To create a new document

Each webpage you work on is called a document. To create a new document:

  1. On the File menu, choose New.
  2. In the dialog box that appears, choose Blank Document or choose a template.
  3. Click OK.

See Also

  • META elements in New Documents
  • Saving a document


Opening an existing document

To open an existing document

Each webpage you work on is called a document. To open an existing document:

  1. On the File menu, choose Open.
  2. In the Look In box, choose the drive that contains the document you want to open.
  3. Double-click the folder that contains the document you want to open.
  4. If you do not see the document you are looking for, choose a different file type in the Files of type box.
  5. Click the document name you want to open.
  6. Click the Open button.

Notes

  • You can quickly open a document that you recently worked on by choosing its name from the list at the bottom of the File menu.


Opening a document off the Internet

To open a document off the Internet

You can open a document directly off the Internet.

  1. Make sure your computer is connected to the Internet.
  2. On the File menu, choose Open from Internet.
  3. In the Internet Address box, enter the URL (Internet address) of the document you want to open. Alternatively, click the drop down arrow to select an address you have previously entered.
  4. Click Open.

Notes

  • You must establish a connection to the Internet before you can use this function.
  • Click the drop down arrow to select an address you have previously entered.
  • BestAddress stores the addresses that you enter so that it is easier for you to access them later. To clear your history use the Options window which is accessible from the Tools menu.


The Document Editing Window

The contents of each document you work on is displayed in the document editing window. Document Editing Window

There are two methods in which documents are displayed. The first method (the default), splits the document window and displays the editing and preview modes simultaneously. The other method displays two tabs at the bottom of the window which switch between the editing and preview windows.

To switch between the two display methods, from the View menu, check or uncheck Split Code Editing and Preview Windows.

See Also

  • Previewing a Website


To preview an open document in a browser

You can preview what a document will look like once it has been published on the Internet in two ways: using either the live preview within the BestAddress HTML Editor or by launching your default browser.

To preview an open document using the live preview feature

Choose the Live Preview tab at the bottom left corner of the document editing window.

To split the document window so that it shows the editing and preview windows simultaneously

From the View menu, check or uncheck Split Code Editing and Preview Windows.

To preview an open document in the computer's default browser

On the File menu, choose View Page in Browser.

Notes

  • When choosing to preview the page using an external browser, the default browser will be launched.
  • An external browser requires the document to be saved before it can be viewed. When you preview a document that has been modified but not saved, a temporary copy of the document will first be saved. This temporary copy is then loaded in the browser.
  • If a document is already being shown in the external web browser, depending on the browser's settings, previewing a page again will update it.

See Also

  • The Document Editing Window


Save changes to a document

To save changes to a document

  1. On the File menu, choose Save.
  2. If this is the first time the document is being saved, the Save As dialog box will appear. If this is the case, follow the procedure outlined in Saving a File As.

Notes

  • To save an existing document with a new name, follow the procedure for Saving a File As.


Automatic Save

You can have your documents automatically saved as you work after a set period of time. This reduces the chance of losing your work.

  1. On the Tools menu, choose Options.
  2. From the General tab, select the Automatically save open documents every... check box and enter the interval at which you want to have documents saved (between 1 and 20 minutes).
  3. Click OK.

Notes

  • When you finish working on a document click the [image] button on the toolbar to save your work before closing.
  • Documents can only be saved automatically when they already exist as a file. To have BestAddress notify you if the file to be automatically saved does not yet exist check the Notify me if a file to be saved does not yet exist box in the Options window.

See Also

  • Manually saving a file
  • Saving a file as
  • Manually saving all open documents


Saving a document directly to the Internet

To save a document directly to the Internet:

  1. Make sure your computer is connected to the Internet.
  2. On the File menu, choose Save to Internet.
  3. In the Internet Address box, enter the URL (Internet address) to which you want to save the document (the entire address, including the name of the file itself must be included).
  4. If required, enter the user name in the User Name box.
  5. If required, enter the password in the Password box.
  6. Advanced options can also be entered by clicking the Advanced button.
  7. Click Upload.

Note

  • Important: You should always create a backup copy of all documents you are working on before commencing the upload. You should also back up the document on the server that you will be replacing.
  • You must establish a connection to the Internet before you can use this function.

See Also

  • Save to Internet Advanced Options


Source Secured Webpages

Saving a BestAddress source-secured webpage protects your work from theft by encoding your source code in a way that makes it difficult for others to read.

To save a Source Secured Webpage:

  1. On the File menu, choose Save Source Secured Webpage As.
  2. In Save In box, choose the drive where you want to save the document.
  3. Double-click the folder where you want to save the document.
  4. Make sure that the format in which you want to save the document is set to Source Secure HTML Files in the Save as type box.
  5. In File name box type a name for the file. Since you will not be able to edit the webpage after its source code has been secured, you must specify a unique name
  6. Click Save.
  7. In the second window that is displayed, you can choose a level of protection in the Protection Level* box.
  8. In addition to the standard encoding, the additional options can be set:
    Disable right mouse clicks
    Prevents the user from right-clicking on the webpage to display the pop-up menu that allows them to perform various functions such as save images.
    Disable text selection
    Disables the selection of text. This usually works for attempts to select text using the mouse, the ‘Select All’ function in the web browser and keyboard shortcuts.
    Disable drag and drop
    Disables the drag and drop functionality.

Notes

  • The Source Secured webpage is saved separately from the main document. You will always need to save the document you are working on by itself.
  • * The Protection Level box may only display the Normal option.
  • Source Secured Webpages can only be opened by a JavaScript compatible browser. Although most people who access the Internet have one, it is possible that some computers with older browsers may have difficulty displaying the files.
  • Due to the complex nature of the encoding, you should always verify that your files have been properly protected before publishing them. Not all webpages may be suitable for securing.
  • Due to the nature of the encoding, the file size of the source-secured webpage will be larger than the original.
  • As with all webpage source protection software, this function does not encrypt the webpage in a way that makes it impossible for someone to access and/or copy. It merely encodes the page to make it more difficult for them to do so. Experienced computer users will always find a way to overcome the encoding and other protection methods used. The protection method used is also dependant upon the web browser with which the user is viewing the webpage.


Spell Checking

Check documents for spelling errors directly within the BestAddress HTML Editor using the built-in spell checker.

To spell check the current document:

  1. From the Tools menu, choose Spelling
  2. If a possible spelling mistake is found, the Spelling window will be displayed.
  3. Suggestions for correcting the possible spelling mistakes are provided in the Suggestions list and in the Change To box. If required, you can select the most appropriate suggestion in the Change To box.

Use one of the following buttons on the Spelling window to proceed after a possible spelling mistake is located:

Change
Corrects the misspelt word with the suggested word in the Change To box.
Change All
Automatically changes all instances of the same misspelt word during the remainder of the spell checking session.
Ignore
Ignores the proposed misspelt word.
Ignore All
Automatically ignores all instances of the same proposed misspelt word during the remainder of the spell checking session.
Suggest
Undertakes a more thorough search of possible suggestions.
Add
Select this button if the word was spelt correctly. The word will be added to a user dictionary so that it will no longer be picked up as a spelling mistake in future spell checking sessions.
Options
Set options for the spell checker.
Cancel
Closes the spell checker.

See Also

  • Installing Additional Spell Checker Language Dictionaries


Printing a document

To print a document

  1. On the File menu, choose Print.
  2. Change any settings you require.
  3. Click OK.

Notes

  • The document's contents is automatically wrapped so that it fits onto the printed page. The way the text is printed may differ from the way it is displayed on the screen.


To close a document

On the File menu, choose Close.


Changing the Root Directory

While developing a website, you will usually be working with local files that are stored on the computer. The main directory (folder) containing these files will be different to what it will be once published on the Internet.

The Change Root Directory function allows you to quickly change the address of the files between Internet and local directory use.

  1. From the Edit menu, choose Change Root Directory.
  2. Choose the Modification type: Local Directory to Internet Directory or Internet Directory to Local Directory.
  3. In the Local Directory box, enter the local root directory. You can also choose the Browse... button to select a directory name.
  4. In the Internet Directory box, enter the Internet root directory.
  5. Click the Change button.

Notes

  • A root directory is the path common to the website. For example, two webpages, C:\mywebsite\index.html and C:\mywebsite\news.html are in the root directory named C:\mywebsite\


Arrange Icons

To arrange icons

On the Window menu, choose Arrange Icons.

Arrange Icons arranges the icons of the documents you have minimised at the bottom left of the window.

See Also

  • Tiling Windows Horizontally
  • Tiling Windows Vertically
  • Cascade Windows


Cascade Windows

To cascade all open documents

On the Window menu, choose Cascade.

Cascade rearranges all open documents so that they overlap in a cascade.

See Also

  • Tiling Windows Horizontally
  • Tiling Windows Vertically
  • Arrange Icons


Tiling Windows Horizontally

To tile all open documents horizontally

On the Window menu, choose Tile Horizontally.

Tiling windows horizontally aligns all open document editing windows from the left to the right.

See Also

  • Tiling Windows Vertically
  • Cascade Windows
  • Arrange Icons


Tiling Windows Vertically

To tile all open documents vertically

On the Window menu, choose Tile Vertically.

Tiling windows horizontally aligns all open document editing windows from the top to the bottom.

See Also

  • Tiling Windows Horizontally
  • Cascade Windows
  • Arrange Icons


About Templates

Templates make it easy to create new documents in the BestAddress HTML Editor. They help to keep pages consistent throughout your website by storing information about the base layout for webpages. A selection of simple templates is provided with the BestAddress HTML Editor, and you can also create your own.

There are two types of templates available in the BestAddress HTML Editor - Normal Templates and Combined-File Templates. Normal Templates contain only the basic text-layout for the webpage, without any supporting files. Combined-File Templates, however, contain both the text-layout that makes up the webpage as well as any supporting files such as images.

When a Combined-File Template is created, any local files named in the document are saved in the template. Files from the Internet are not saved.


About Site Projects

Site Projects make it easy to develop and manage your websites. A Site Project contains a list of all files that make up your website. The Site Project can be managed on the Task Manager Pane by clicking the project tab.

You can quickly open all files that make up your website, by double-clicking on its name in the project file lists.

An unlimited number of files can be added to projects, and can be easily removed when they are no longer required.

The files that make up Site Projects are sorted into two categories - Editor Files and Other Files. The Editor File list displays those documents that can be edited through BestAddress while the Other File list contains supporting files that make up a website such as images, sound, video and controls. These files can not be edited, but double clicking them will activate the appropriate function in BestAddress for inserting into the currently open document.

See Also

  • Creating Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects
  • Closing Site Projects


Creating a new Site Project

To create a new Site Project

  1. From the Projects menu, choose New Site Project.
  2. In Save In, choose the drive where you want to create the Site Project.
  3. Double-click the folder where you want to save the Site Project.
  4. In the File name box, type a name for the Site Project.
  5. Click Save.
  6. If required. in the Site Name box, type a descriptive name for the Site Project.
  7. If required, in the Site Author box, type the name of the author.
  8. Click Create Site Project.

Once the site project has been created, you can add files to it.

See Also

  • About Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects
  • Closing Site Projects


Opening an existing Site Project

To open an existing Site Project

  1. From the Projects menu, choose Open Site Project.
  2. In Look In, choose the drive that contains the Project you want to open.
  3. Double-click the folder that contains the Project you want to open.
  4. Click the Site Project you want to open.
  5. Click Open.

Notes

  • Only one site project can be open at once. You will be prompted if you have more than one open.

See Also

  • About Site Projects
  • Creating Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects
  • Closing Site Projects


Adding files to a Site Project

To add a file to a Site Project

  1. From the Projects menu, choose Add Editor File or Add Other File (depending on whether the file is a file which contains text or if it is any other file).
  2. In Look In, choose the drive that contains the file you want to add.
  3. Double-click the folder that contains the file you want to add.
  4. If you do not see the file you are looking for, choose a different file type in the Files of type box.
  5. Click the file name you want to add.
  6. Click Open.

See Also

  • About Site Projects
  • Creating Site Projects
  • Opening Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects
  • Closing Site Projects


Removing files from a Site Project

To remove a file from a Site Project

  1. On the Task Manager Pane on the left of the BestAddress HTML Editor window, choose the Project tab at the bottom of the pane.
  2. Select the file you want to remove from the Site Project.
  3. From the Projects menu, choose Remove Editor File or Remove Other File.

See Also

  • About Site Projects
  • Creating Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects
  • Closing Site Projects


Mapping a Site Project’s Layout

The Site Project Map window provides a visual overview of how all webpages in your website are linked together. Information displayed includes email and Internet addresses and whether or not the target of a hyperlink in the Site Project could be located.

To map an open Site Project's Layout:

  1. From the Projects menu, choose View Site Project Map.
  2. Mapping the layout of your site project may take a few seconds or minutes (depending on the complexity of the Site Project's structure).
  3. Close the window to continue working.

Notes

  • The Site Project mapping function is only available is a Site Project is open.
  • The colours used in drawing the site map can be changed. From the Tools menu, choose Options. On the Site Project Mapping tab, select the Change Colour buttons for the colour that you want to change.

See Also

  • About Site Projects
  • Creating Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Saving Site Projects
  • Closing Site Projects


To save a Site Project

From the Projects menu, choose Save Site Project.

See Also

  • About Site Projects
  • Creating Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Closing Site Projects


To close a Site Project

From the Projects menu, choose Close Site Project.

See Also

  • About Site Projects
  • Creating Site Projects
  • Opening Site Projects
  • Adding Files to Site Projects
  • Removing Files from Site Projects
  • Mapping a Site Project’s Layout
  • Saving Site Projects


Text Style and Font Format Toolbar

Text Style Button

The text style button allows you to quickly insert text style code into your documents.

To insert code into an open document:

  1. Position the cursor in the document where you want to insert the code.
  2. Click the arrow on the 'Text' button on the toolbar.
  3. Select the code you want to insert from the list.

Clicking the button itself will insert the most recent code chosen from it.

Font Format Toolbar

You can insert font information (heading size, font name and font size ) from the Font Format toolbar. To insert a heading size, font name or font size:

  1. Position the cursor or select the text in the document which you want to change
  2. Click the arrow on the appropriate box (heading size, font name, or font size).
  3. Make a selection from the list to apply it to the selected text.

See Also

  • Showing or hiding the 'Text Style' button and 'Font Format' toolbar


Deleting text

Text in a document can be removed. This is known as "deleting" the text.

To delete the text:

  1. Select the text you want to delete.
  2. Press the delete (Del) key on the keyboard.

Notes

  • If you want to remove text from a part of the document, and place it somewhere else, you can use the Cut command.
  • A selection can be cancelled by clicking anywhere in the document.


Indent Code

Indenting sections of code makes it easier to read. Code is indented by four spaces.

To indent a section of code:

  1. Select the lines of code you want to indent.
  2. On the toolbar, click [image].
  3. Use the Tab key on the keyboard to indent code as you type. BestAddress will maintain the indentation for all subsequent lines until you outdent.

Notes

  • You can also indent lines of code by selecting them, and pressing the Tab key on the keyboard.

See Also

  • Outdenting code
  • Maintaining the code indentation size on new lines
  • Specifying the indentation size


Maintaining the code indentation size

To make writing code easier, BestAddress can maintain the indentation size from the previous line when you press the Enter key.

  1. On the Tools menu, choose Options
  2. Check or uncheck the Maintain code indentation on new lines box on the General tab.
  3. Click OK

Notes

  • You can also indent lines of code by selecting them, and pressing the Tab key on the keyboard.

See Also

  • Indenting code
  • Outdenting code


The Document Selector

The document selector is situated near the bottom of the main window. It allows easy navigation between open documents.

To switch to a particular open document, simply click on that document's name. If there are more documents open than can be displayed on the document selector, a pair of navigation arrows will appear on the right side.


Outdent Code

Outdenting code moves it closer to the right margin if it has been indented using spaces. Code is outdented by four spaces.

To outdent a section of code:

  1. Select the lines of code you want to outdent.
  2. On the toolbar, click [image].
  3. Use the combination of Shift + Tab on the keyboard to outdent code as you type.

Notes

  • You can also outdent lines of code by selecting them, and pressing Shift followed by Tab on the keyboard.

See Also

  • Indenting code
  • Maintaining the code indentation size on new lines
  • Specifying the outdentation size


To redo your last action

To redo an undo action

On the Edit menu, choose Redo.


To undo your last action

On the Edit menu, choose Undo.

Notes

  • You can redo an action after an undo.


View Unsaved Documents

A list of documents that have been modified but not saved can be obtained using the Unsaved Documents window.

To view the Unsaved Documents window:
  1. From the File menu, choose View Unsaved Document List.
  2. To save a document, choose it from the list, and click the Save button.


Cutting text

Text can be removed so that it can be placed in another part of the document. This is known as "cutting" the text.

To cut the text:

  1. Select the text you want to cut.
  2. From the Edit menu, choose Cut.

Notes

  • Use the Paste command to put the text back into the document.
  • A selection can be cancelled by clicking anywhere in the document.
  • You can undo a cut by choosing Undo from the Edit menu.

See Also

  • Pasting text
  • Copying text


Copying text

Text can be copied so that it can be placed in another part of the document.

To copy the text:
  1. Select the text you want to copy.
  2. From the Edit menu, choose Copy.

Notes

  • Use the Paste command to put the copied text into the document.
  • A selection can be cancelled by clicking anywhere in the document.

See Also

  • Pasting text
  • Cutting text


Pasting text

Text that has been cut or copied can be put into the document. This is known as "pasting" the text.

To paste the text:
  1. Position the cursor where you want the text to appear.
  2. From the Edit menu, choose Paste.

See Also

  • Cutting text
  • Copying text


To select all text in the document

On the Edit menu, choose Select All.


The To-do Task List

Managing the tasks you need to undertake on your website projects is now even easier with the new powerful Task List function in the BestAddress HTML Editor.

The Task List enables you to conveniently add, modify and track the status of tasks that you need to undertake directly from the editing environment. You can even delegate tasks to be completed to various members of your team, and add comments as you go.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Creating New Task Lists
  • Opening Task Lists
  • Saving Task Lists to New Locations


To show or hide the task list window

On the View menu, check or uncheck To-do Task List.


Adding a New Task to the Task List

Task List: Adding a New Task

  1. If the Task List is not visible, show it.
  2. On the toolbar at the top of the window, click the Add Task button.
  3. Enter the applicable information for the task in the window that is displayed.
  4. Click the Add button.

The following options can be set:

Priority
Sets the status and priority of the task. Possible values include: Standard, Urgent and Completed.
Type
Sets the type (phase) of task to be undertaken. Possible values include: Planning, Implementation, Testing and Suggestion.
Description
Enter a brief description of the task to be undertaken.
Delegate To
Useful if you have several team members working on the same task. Here you can delegate a team member to undertake the task. Clicking the dropdown arrow on the right of the box conveniently lists team members that you have already specified earlier.
Comments
Additional comments about the task
Completed
When checked, displays the date of the task being completed. When selected/unselected, any applicable fields are automatically updated simultaneously. If a completed task is changed back to an uncompleted task, the Task Type will automatically change to Standard.

Related Topics:

  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Creating New Task Lists
  • Opening Task Lists
  • Saving Task Lists to New Locations


Modifying an Existing Task in the Task List

Task List: Modifying an Existing Task

  1. If the Task List is not visible, show it.
  2. Click the existing task you wish to modify.
  3. On the toolbar at the top of the window, select the Details button.
  4. Modify the task in the window that is displayed, then click Update.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Creating New Task Lists
  • Opening Task Lists
  • Saving Task Lists to New Locations


Flagging a Task as Completed

Task List: Flagging a Task as Completed

  1. If the Task List is not visible, show it.
  2. Select the task you wish to mark as completed.
  3. On the toolbar at the top of the window, click the Completed button.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Deleting Tasks
  • Creating New Task Lists
  • Opening Task Lists
  • Saving Task Lists to New Locations


Deleting Tasks

Task List: Deleting Tasks

Deleting tasks permanently removes them from the Task List. Once a task has been finished, the best option is to mark them as being completed.

  1. If the Task List is not visible, show it.
  2. Select the task you wish to delete.
  3. On the toolbar at the top of the window, click the Delete button.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Creating New Task Lists
  • Opening Task Lists
  • Saving Task Lists to New Locations


Creating New Task Lists

Task lists are stored as files. You can have an unlimited number of task lists on your computer. Each time you display the Task List window, the BestAddress HTML Editor will always open the last Task List that you worked on.

  1. If the Task List window is not visible, show it.
  2. On the toolbar at the top of the window, click the drop-down arrow next to the Task Group button.
  3. On the menu that appears, choose New Group.
  4. Save the task list file.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Opening Task Lists
  • Saving Task Lists to New Locations


Opening Task Lists

Task lists are stored as files. You can have an unlimited number of task lists on your computer. Each time you display the Task List window, the BestAddress HTML Editor will always open the last Task List that you worked on. To open a different task list:

  1. If the Task List window is not visible, show it.
  2. On the toolbar at the top of the window, click the drop-down arrow next to the Task Group button.
  3. On the menu that appears, choose Open Group.
  4. Open the task list file.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Creating New Task Lists
  • Saving Task Lists to New Locations


Saving Task Lists to New Locations

Task lists are stored as files. You can have an unlimited number of task lists on your computer. Each time you display the Task List window, the BestAddress HTML Editor will always open the last Task List that you worked on. To save or back-up the task list you are using to a different location:

  1. If the Task List window is not visible, show it.
  2. On the toolbar at the top of the window, click the drop-down arrow next to the Task Group button.
  3. On the menu that appears, choose Save To New Location.
  4. Save the task list file.

Note:

  • After saving Task Lists to a new location, the BestAddress HTML Editor will begin using that new task list from then on. If you intend to back-up the task list, it is recommended that you manually copy the file.

Related Topics:

  • Adding Tasks
  • Showing and Hiding the Task List
  • Modifying an Existing Task
  • Completed Tasks, Specifying
  • Deleting Tasks
  • Creating New Task Lists
  • Opening Task Lists


The Task Manager Pane

The task manager pane is situated on the left side of the main window and contains the following functions:

  • Code window
  • Site Project window
  • Document Structure window
  • Local File Selection window

You can switch between the windows at any time by clicking on the corresponding tab.


Document Structure Window

The document structure window is part of the Task Manager Pane and provides an overview of the open document’s HTML code layout.

Clicking on a structure’s name selects the corresponding element in the document.


Code Window

The code window is part of the Task Manager Pane and provides a structured list of syntaxes from various website development languages. It is useful for reference purposes as it displays the layout of the languages. Code can be inserted by either selecting and double-clicking it or pressing the enter key on the keyboard.

When code is inserted from the code window, the BestAddress HTML Editor automatically performs the following functions:

  • HTML elements are inserted along with the opening bracket. No spacing is added before an element irrespective of whether or not one is required.
  • Spaces are added before HTML attributes if required.
  • If a Cascading Style Sheet property is added to the beginning of a new line, no leading space is added.
  • In all other cases, a leading space is inserted if one does not exist.


Base Path Exclusion

Files used in webpages are often located in the same directory as the webpage itself, making the need for specifying the full path unnecessary.

The Base Path Exclusion function ensures that file names only include the full path when necessary. This makes it easier when uploading your website to the Internet or moving it to a different location on your hard disk.

This function is enabled by default and works with all file insertion functions:

  • Insert Background Sound
  • Insert Hyperlink
  • Insert Image
  • Insert Video

To switch Base Path Exclusion on or off:

  1. From the Format menu, check or uncheck Exclude Base Path.
  2. Alternatively, you can switch Base Path Exclusion on or off from every insert function that uses it.

See Also

  • Insert Background Sound
  • Insert Hyperlink
  • Insert Image
  • Insert Video


Changing the code for new documents

New documents automatically contain the minimum code required for a typical webpage. You can choose to turn off the automatic code or specify what code should appear.

  1. On the Tools menu, choose Options.
  2. From the General tab, select the Automatically add code to new documents check box if you want code to be added to new documents, or unselect it if you want new documents to remain completely blank.
    • To use the standard, minimum code, check Basic HTML Code.
    • To specify a file containing code to use in new documents check From Template/File and then type the file's name in the box or click the (...) button to browse for one.
  3. Click OK to apply your changes.


Syntax Check

Syntax Check searches your code for errors. It will check for invalid elements and attributes.

To check a document's syntax:

  1. From the Tools menu, choose Check Syntax
  2. If a possible syntax error is found, the Check Syntax dialog box will appear
  3. To correct the error type the correction in the Change To box or choose the correct syntax from the Suggestions box.
  4. Click Change to correct the error or Ignore to ignore it.

Notes

  • If the syntax is valid and is not recognised by the Syntax Checker, click the Add button so that the syntax is recognised as being correct in the future.
  • Sometimes particular attributes may be valid for all elements, but may not be recognised by the Syntax Checker. To exclude an attribute from being recognised as a code error in all elements, click the Exclude button.
  • Choose the dictionary where you want unrecognised syntaxes to be added from the Add Syntax To list (note: it is not possible to choose the permanent exclusion dictionary).


Code Library

The code library makes it easy for you to add sections of commonly used code to your webpages.

  1. On the View menu, choose Code Library.
  2. Choose the code you want in the Code Category box. Code is organised under headings which can be expanded by clicking the cross, on pressing the Enter key on the keyboard.
  3. Select code segments from the list to view a preview and read the description.
  4. To insert code into the open document, choose the Insert button.

Notes

  • You can change the folder from which BestAddress accesses code library files. From the Tools menu, choose Options. Click the Files tab. Specify the folder to use in the Code Library Folder box.

See Also

  • Adding Code to the Code Library


About the Options Window

You can change the way BestAddress performs tasks and interacts with you from the Options window.

For help on any of the options available, click the [image] button. When the cursor changes to an arrow with a question mark, click the area on the window for which you want help.

To open the Options Window:

  • From the Tools menu, choose Options.
  • Set the options you want.
  • Click OK


Syntax Assistants

The Syntax Assistants help speed up the time it takes to write the code for your website by prompting you with suggestions as you type.

Element Selector

When you manually begin to write a new HTML element (tag), the Element Selector appears and makes a suggestion for the code you are writing. If the highlighted suggestion is correct, press the space key to confirm it. The remaining text that makes up the element will be completed for you.

Attribute Guide

When you begin writing attributes for an element that you have just written, the Attribute Guide provides you with a list of all available attributes.

See Also

  • Stopping the Syntax Assistants from appearing


The Image Gallery

The BestAddress Image Gallery makes it easy to insert pre-designed graphics into your website. It can be accessed from Insert menu as well as from the Insert Image window.

After selecting the image to use, the Image Gallery copies the image file to the directory in which you are developing your website.

The BestAddress HTML Editor contains a small sample of simple website graphics. Additional Image Packs can be installed from Multimedia Australia’s Customer Benefits website at http://www.mmaus.com/customers/. To install an Image Pack after downloading, simply run it from its download location and follow the prompts.

To use the Image Gallery after you have opened it:

  1. Choose an image category and image in the Images frame. Selected images can be previewed in the Preview frame.
  2. To Insert an image, click the Use Image button.
  3. Images are saved in the same way as ordinary files.


Syntax Optimisation

Syntax Optimisation makes your code easier to read by indenting it.

The style of writing HTML code varies from person to person. You should therefore not solely rely on this function to accurately indent your code. It is recommended that you always indent your code as you type. BestAddress has various features to help you do this.

To run Syntax Optimisation over your code to increase readability

On the Tools menu, choose Optimise Syntax for Readability.

Notes

  • Important: You should always save the document and make a backup before using this function since it makes live changes to the document which you may not be able to undo.
  • Indenting code significantly increases the size of your document. This means that the webpage will take longer to load. Whilst indenting code is very useful when creating complex designs (such as tables ), particularly when learning HTML, you should try to limit indenting whenever possible.


Updates and Upgrades Explained

Updates
Updates and are occasionally made available from Multimedia Australia’s website. They are free of charge and may add extra minor functionality to BestAddress and correct any "bugs" that may be discovered. For most updates, you can use the Online Updater tool.

Upgrades
Multimedia Australia will occasionally release new versions of its software products. If you hold an existing license for a software product for which a newer version is available, you may be entitled to purchase an upgrade to the newer product at a discounted price. Please visit Multimedia Australia’s website for the latest upgrade information and requirements.


Creating a Frames Page

Using frames, you can divide the browser window into sections with each one displaying a different webpage.

To create a frames page, you can use the Frames Creator Wizard.


Insert Bullets/Numbering

To insert a list of bullets or numbering into the document:

  1. Position the cursor where you want to insert the bullets or list.
  2. From the Insert menu, choose Bullets and Numbering.
  3. Choose the type of bullets/numbering you want to insert from the list.
  4. Set any other options that you want.
  5. Click the OK button.

The following options can be set:

List Size
Sets how many list items should be inserted into the document.
Compact Format
Requests that the browser renders the list in a more compact way.


Insert Special Character Code

To insert a character into the document that is not available from the keyboard or that conflicts with a character used in webpage coding (such as < and >):

  1. Position the cursor where you want to insert the character.
  2. From the Insert menu, choose Special Character.
  3. Choose the character you want to insert from the list.
  4. Click the Insert button.


Colour Palettes

Webpages can be accessed by various computer platforms, each of which display colours in a slightly different way. To help maintain consistency among computers a web-safe colour palette has been developed. This means that a particular colour is as accurate as possible regardless of the computer it is being displayed on.

The most common method of specifying the colours in a webpage is to use the hexadecimal naming system. BestAddress can produce these colour codes for you as well as offering the web-safe colour palette.


Insert Code Comment

Code comments can be inserted into the open document. They can be used to contain notes for the website developer, or any other information that should not be displayed on the webpage.

To insert a code comment

  1. In the document, position the cursor where you want to insert the comment.
  2. From the Insert menu, choose Code Comment.
  3. Type the comment you want to add.
  4. Click OK.


Inserting the date and time

To insert the date and time

  1. Click where you want to insert the date and/or time.
  2. From the Insert menu, choose Date and Time.
  3. If required, choose the date to insert from the calendar provided.
  4. Choose the date and/or time format required from the list.
  5. Click the OK button.


Insert DHTML Navigation Menu

Dropdown navigation menus can be inserted into documents using the Insert DHTML Navigation Menu feature.

To insert a DHTML Navigation menu into the document:

  1. Position the cursor where you want to insert the DHTML Navigation Menu.
  2. From the Insert menu, choose DHTML Navigation Menu.
  3. Create new menus by selecting the Add New button, and checking New Menu Caption.
  4. Create new menu items for the menu caption's drop-down list by selecting the Add New button, and checking Menu Dropdown List Item.
  5. Specify the caption for the menu item/menu caption in the Caption box.
  6. Specify the URL link location for a menu item in the Link box.
  7. Style information including the colour of the menu bar and menu item select the Style tab.
  8. Click the OK button to insert the menu into the document.

The following style options can be set:

Menu Bar Colour
Sets the colour of the menu bar.
Menu Colour
Sets the colour of the drop-down menu.
Menu Width
Sets the width of the drop-down menus.
Menu Is Selected with Hand Mouse Pointer
When checked causes the mouse pointer to change to a hand in place of an arrow.

Notes

  • Because this function makes several modifications to your documents, it is strongly recommended that you save a backup of the document before using this function.
  • DHTML navigation menus may not work on some browsers, particularly older ones.
  • Although the menu is inserted where the cursor is positioned, other information is also inserted before the BODY element of a document.
  • Always keep a backup copy and be careful if you decide to make modifications to the menu once it has been inserted. The menu bar can be edited in the BODY of the document. The content of drop-down lists can be edited in the SCRIPT section before the HEAD of the document.


Insert Form Field

Inserting a Form Field

A form field is an area of a webpage that can contain controls including buttons, check boxes, selection and drop-down lists, radio buttons, text areas, text boxes and hidden fields.

To insert a form field:

  1. In the document, position the cursor where you want to insert the form field.
  2. From the Insert menu, choose Form and then Form Field.
  3. In the dialog box that appears, enter the information and set the options that you want.
  4. Click the OK button.

The following options can be set:

Name
A unique name for the form so that it can be accessed by a script or form handler.
Action
Specifies the URL to send the form contents to.
Method
Specifies how the browser should send the form's data to the URL specified by the Action box. The most common selection is the POST method.


Insert Form Button

A button should be inserted into a form field. It can be set to submit or reset the contents of the form when clicked. A button can also be programmed to invoke a script.

To insert a button into a form:

  1. In the document, position the cursor in the form field where you want to insert the button.
  2. From the Insert menu, choose Form and then Button.
  3. In the dialog box that appears, enter the information and set the options that you want.
  4. Click the OK button.

The following options can be set:

Name
Sets a unique name for the button.
Value
Sets the caption of the button. If specified, the text entered will replace the default text of the button.
Button Type
Sets the type of button to insert.
  • Choose Submit Button from the list to create a button that when clicked, submits the contents of the form as specified by the form field's action property.
  • Choose Reset Button from the list to create a button that when clicked, resets the form to its original state.
  • Choose Normal Button from the list to create a button that can be linked to a script.
Tab-index
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.

Notes

  • You must insert this control into Form Field.


Insert Form Check Box

A check box should be inserted into a form field and lets the user select yes/no or true/false.

To insert a check box into a form:

  1. In the document, position the cursor in the form field where you want to insert the check box.
  2. From the Insert menu, choose Form and then Check Box.
  3. In the dialog box that appears, enter the information and set the options that you want.
  4. Click the OK button.

The following options can be set:

Name
Sets the name for the check box. The name specified is not displayed on the form.
Value
Sets the value for the check box.
Checked
If selected, causes the check box to appear checked when displayed on the form.
Tab-index
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.

Notes

  • You must insert this control into Form Field.


Insert Form Hidden Field

A hidden field should be inserted into a form field. It is not visible to the user and so can be used to hold data that is to be submitted along with the rest of the form.

To insert a hidden field into a form:

  1. In the document, position the cursor in the form field where you want to insert the hidden field.
  2. From the Insert menu, choose Form and then Hidden Field.
  3. In the dialog box that appears, enter the information and set the options that you want.
  4. Click the OK button.

The following options can be set:

Name
Sets the name for the hidden field.
Value
Sets the initial value for the hidden field.

Notes

  • You must insert this control into Form Field.


Insert Form List Selection

Insert List Selection

A list selection should be inserted into a form field. A list selection gives a user of a webpage multiple choices in a form.

To insert a list selection into a form:

  1. In the document, position the cursor in the form field where you want to insert the list selection.
  2. From the Insert menu, choose Form and then List Selection.
  3. Set a unique name for the list in the Name box.
  4. Add items to the list by clicking the Add button.
  5. To allow the user to choose more than one option from the list at a time, check Multiple Selections Permitted.
  6. Choose the number of options to show at once in the Height box. Alternatively, you can make the list into a combo box, by checking Make Combo Box.
  7. Click the OK button.

Notes

  • You must insert this control into Form Field.
  • To make the list into a combo box, check Make Combo box.

See Also

  • Adding items to the list.


Insert Form Radio Button

A radio button should be inserted into a form field. A radio button is used when you want to give users a choice of a number of different options. The user can only pick one radio button in a group.

To insert a radio button into a form:

  1. In the document, position the cursor in the form field where you want to insert the radio button.
  2. From the Insert menu, choose Form and then Radio Button.
  3. Set a name in the Group Name box (this value specifies what group the button belongs to, and subsequently ensures that only one button in that group can be selected at any one time).
  4. Specify what data is to be submitted with the form if the radio button is selected by specifying a value in the Value box.
  5. The radio button's caption is specified in the Caption box. If nothing is entered into this box, BestAddress automatically uses the same name as the radio button's value.
  6. To specify that this radio button in the group is selected when the form fisrt displays, check Selected
  7. Click the OK button.

Notes

  • You must insert this control into Form Field.


Insert Form Text Area

Text areas should be inserted into a form field. Use text areas to allow the user to type a large amount of text into the form.

To insert a text area into a form:

  1. In the document, position the cursor in the form field where you want to insert the text area.
  2. From the Insert menu, choose Form and then Text Area.
  3. Set a unique name for the text area in the Name box.
  4. To set an initial value for when the form first displays, enter it into the Initial Value box.
  5. Specify the size of the text area in the Rows and Columns boxes.
  6. If the text contained in the text area should not be modified, you can optionally check the Is Read-Only Text Area box.
  7. Click OK.

Notes

  • Use a text box if you want users to enter only a small amount of data.
  • You must insert this control into Form Field.


Insert Form Text Box

Text boxes should be inserted into a form field. Text boxes allow the user to enter text into a form filed.

To insert a text box into a form:

  1. In the document, position the cursor in the form field where you want to insert the text box.
  2. From the Insert menu, choose Form and then Text Box.
  3. Set a unique name for the text box in the Name box.
  4. To set an initial value to display when the form first displays, enter it into the Initial Value box.
  5. The width and maximum size of the text box can be set in the Size and Maximum Size boxes respectively.
  6. To cause the text box to mask all text entered into it, check Create as Password Field.
  7. If the text contained in the text box should not be modified, you can optionally check the Is Read-Only Text Box box.
  8. Click OK.

Notes

  • Use a text area if you want users to be able to enter a large amount of data.
  • You must insert this control into Form Field.


Insert Horizontal Rule

To insert a horizontal rule into the document:

  1. Position the cursor where you want to insert the horizontal rule.
  2. From the Insert menu, choose Horizontal Rule.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Width
Sets the width of the rule. The default size is 100%. The value you enter can either be either a percentage or a pixel value. You can change the type of value you want to use by checking either Set in Pixels or Set in Percent.
Size
Sets the height of the rule.
Colour
Sets the colour of the rule.
Alignment
Sets the alignment of the rule.
No Line Shading
When checked, causes the rule to be rendered in a single, solid colour rather than two.


Insert Hyperlink

To insert a hyperlink into the document:

  1. Position the cursor where you want to insert the hyperlink.
  2. From the Insert menu, choose Hyperlink.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Hyperlink Type
Sets the type of hyperlink. This automatically changes the URL box unless (other) is selected.
URL
Sets the URL to which you want the hyperlink to link to. You can choose the Browse... button to choose a local file. If Internal link has been selected in the Hyperlink Type box, this section must correspond to a <a name=> tag.
Link From
Sets whether the hyperlink should originate from text or an image.
Target Frame
Specifies the name of the frame in which the link is to be opened in if the webpage is to be displayed in a frame-based website.
Image Path
Sets the image that becomes the hyperlink. (This setting can only be specified if Link From is set to Image). You can choose the Browse... button to choose a local file.
Text
Sets the text which will become the hyperlink. (This setting can only be specified if Link From is set to Text).
Alternative Text
If Link From is set to Image, this sets the alternative text if the image is unable to be displayed.
Tab-index
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.

Notes

  • If you have a Site Project open, clicking the drop-down arrow on the URL box will display a list of all the project's HTML files.
  • The Base Path Exclusion function ensures that the full file path is only used if it is different from the document’s path.


Insert Colour Code

Inserting a Colour Code

Colours in webpages are usually expressed as a hexadecimal colour code. BestAddress provides both a web-safe as well as a standard colour palette.

To insert a colour code:

  1. In the document, position the cursor where you want to insert the colour code.
  2. From the Insert menu, choose Colour Code.
  3. In the Web-Sage Colour Palette dialog box that appears, choose the colour you want. Alternatively you can click the More Colours button to create your own.

Notes

  • To ensure that most computers can accurately display the colours in your webpage, it is recommended that you use the Web-Safe Colour Palette.
  • The inserted colour code is expressed in hexadecimal format - the standard for webpages.

See Also

  • About colour palettes


Insert Image

To insert an image into the document:

  1. Position the cursor where you want to insert the image.
  2. From the Insert menu, choose Image.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Image Path
Sets the path of the image. This can either be a URL or a local image file. You can choose the Browse... button to choose a local file. To use an image from the BestAddress Image Gallery, click the From Image Gallery button.
Name
Sets a unique name for the image. This name can be used by style sheets or scripts.
Alternative Text
Sets text that displays if the image is unable to be displayed. In some browsers, this text also appears when the mouse pointer hovers over the image.
Use Image Map
Applies image map coordinates to the image.
Width
Sets the width of the image. The value you enter can either be a percentage or a pixel value. You can change type of value you want to use by checking either Set in Pixels or Set in Percent. To use the image's actual size, click the Use Actual Size button.
Height
Sets the height of the image. The value you enter can either be a percentage or a pixel value. You can change type of value you want to use by checking either Set in Pixels or Set in Percent. To use the image's actual size, click the Use Actual Size button.
White Space: Horizontal
Sets the amount of space around the left and right of the image in pixels.
White Space: Vertical
Sets the amount of space around the top and bottom of the image in pixels.
Border Thickness
Sets the thickness of the border in pixels.
Alignment
Specifies the position of the image in relation to its context.

Notes

  • If you have a Site Project open, clicking the drop-down arrow on the Image Path box will display a list of all the project's image files.
  • The Base Path Exclusion function ensures that the full file path is only used if it is different from the document’s path.


Insert Image Map Coordinates

To insert image map coordinates into the document:

  1. Position the cursor where you want to insert the image map coordinates.
  2. From the Insert menu, choose Image Map.
  3. In the dialog box, specify the path of the image for which you want to specify coordinates. You can choose the Browse... button to choose a local file.
  4. Using the shape tools, draw shapes over the areas for which you want coordinates to be created.
  5. Click the Insert button to insert the image map coordinates based upon the shapes you drew.

The following shapes can be drawn:

Rectangles:
Choose the [image] tool.
To draw the rectangle, click and drag the pointer diagonally in the direction you want.
Polygons:
Choose the [image] tool.
To draw the polygon, click and drag the pointer, clicking at each corner. When done, choose a different shape.
Circles:
Choose the [image] tool.
To draw the circle, click and drag the pointer. The point where you begin drawing the cirlce will be the circle's centre.


Insert Java Applet

To insert a Java applet into the document:

  1. Position the cursor where you want to insert the applet.
  2. From the Insert menu, choose Java Applet.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Source
Specifies the name of the class file that contains the compiled applet subclass.
Base URL
Specifies the base URI for the applet. If not specified, the browser that will use the same URI as the current document.
Name
Specifies a unique name for the applet.
Archive
A comma-separated list of archives containing classes as well as any other resources that will be preloaded to help improve the performance of the applet.
Object
Specifies a saved representation of an applet's state. It is interpreted relative to the applet's codebase.
Alternative Text
Sets alternative text that is displayed if the applet does not load.
Applet Parameters
Add any parameters that the applet may require. Click the Add button to add parameters. To remove a parameter, first select it from the list and then click Remove.
Width
Specifies the initial width of the applet's display area.
Height
Specifies the initial height of the applet's display area.
Horizontal Spacing
Sets the amount of space around the left and right of the applet in pixels.
Vertical Spacing
Sets the amount of space around the top and bottom of the applet in pixels.
Alignment
Specifies the position of the applet in relation to its context.


Insert Object

To insert an object into the document:

  1. Position the cursor where you want to insert the object.
  2. From the Insert menu, choose Object.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Object Classid
A URI that specifies the location of the object's implementation. The type of data referred to can be specified in the Content Type box.
Data Location
Specifies the location of the object's data. The type of data referred to can be specified in the Content Type box.
Object Parameters
Add any parameters that the object may require by clicing the Add button. To remove a parameter, select it from the list and then click Remove.
Name
Sets a name for the object.
Base Path
Sets the base path used to determine relative URIs.
Archive
Enter a list of URIs that contain resources required by the object. Separate each item by a space.
Width
Specifies the width of the object.
Height
Specifies the height of the object.
Border
Sets the size of the border around the object.
Horizontal Spacing
Sets the amount of space around the left and right of the object in pixels.
Vertical Spacing
Sets the amount of space around the top and bottom of the object in pixels.
Alignment
Specifies the position of the object in relation to its surroundings.


Insert Table

To insert a table into the document:

  1. Position the cursor where you want to insert the table.
  2. From the Insert menu, choose Table.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Rows
Sets the number of rows (horizontal cells) in the table.
Columns
Sets the number of columns (vertical cells) in the table.
Specify Width
If checked, sets the width of the table. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by checking either Set in Pixels or Set in Percent.
Sides Visible
Specifies which sides of the frame surrounding the table will be visible.
Rules
Specifies which rules will appear between cells within the table.
Alignment
Specifies the position of the table in relation to the surrounding content.
Border Size
Sets the width of the frame around the table in pixels.
Cell Padding
Specifies the amount of space between the border of the cell and its contents.
Cell Spacing
Specifies the amount of space between the border of the cells and their contents.
Table Summary
Provides a summary of the table's purpose and structure.


Insert Video

To insert a video into the document:

  1. Position the cursor where you want to insert the video.
  2. From the Insert menu, choose Video.
  3. In the dialog box that appears, set the options that you want.
  4. Click the OK button.

The following options can be set:

Video Path
Sets the path of the video file to be inserted. This can either be an Internet URL or a local file. You can choose the Browse... button to choose a local file.
Alternative Text
Sets text that displays if the video is unable to be displayed.
Repeat Forever
When checked, causes the video to repeat continuously.
Loop
Specifies the number of times the video should play.
Loop Delay
Sets the amount of time to wait before the video is played again.
Start on page open
The video begins to play when the page loads.
Start on mouse over
The video begins to play when the mouse pointer passes over it.
Show controls in browser
Causes the controls for the video to be displayed.
Alignment
Specifies the video's alignment relative to the surrounding content.
Border Thickness
Specifies the thickness of the border surrounding the video.
Horizontal Spacing
Sets the amount of space at the left and right of the video.
Vertical Spacing
Sets the amount of space at the top and bottom of the video.
Width
Sets the width of the video. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by marking either Units in pixels or Units in percent.
Height
Sets the height of the video. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by marking either Units in pixels or Units in percent.

Notes

  • The code produced from the Insert Video function is not part of the current HTML recommendation. As a result, not all browsers may support it.
  • The Base Path Exclusion function ensures that the full file path is only used if it is different from the document’s path.


Exiting the BestAddress HTML Editor

To exit the BestAddress HTML Editor

On the File menu, click Exit.

Notes

  • If you have any documents open that have been changed since you last saved them, you will be prompted on whether you would like to save them before exiting.


Creating Professional Websites Tutorial

Welcome to Multimedia Australia’s Creating Professional Websites Tutorial. This tutorial will take you step by step through the process of creating a website and will show you the many advanced features that the BestAddress HTML Editor has to offer.

If you are new to website development, we suggest that you read through the tutorial on a chapter-by-chapter basis. If you already have a knowledge on website development and want to cover or reinforce on a specific area, simply choose the appropriate chapter from the list.

We hope that you find this tutorial helpful, and that it will help to improve your website development skills.

Have fun!

Chapters:

  • Chapter 1: Welcome to the World Wide Web
  • Chapter 2: An Introduction to Web Programming
  • Chapter 3: Working with text
  • Chapter 4: Linking between pages with hyperlinks
  • Chapter 5: Bringing webpages to life with images
  • Chapter 6: Image Maps
  • Chapter 7: Forms
  • Chapter 8: Frames
  • Chapter 9: Tables
  • Chapter 10: Creating a Website
  • Chapter 11: Maximising Site Useability
  • Chapter 12: Publishing your website on the Internet


Online Tutorial: The History of the Internet

The History of the Internet

In 1969 the U.S. Department of Defence began a program called ARPANET (Advanced Research Projects Agency Network). Its aim was to develop a computer communications network that was both secure and capable of surviving military attacks. It eventually led to the development of the Internet.

The Internet was designed to allow information to move freely between different types of computer networks. This was achieved through the use of special computers called routers. The interconnected computers needed a common data transmission standard called a protocol. The networking protocol that was eventually chosen is called TCP/IP.

The Internet moved away form military use as educational institutions and researchers took up the new technology. Soon the general public began to use the new technology. Eventually it became the Internet we know today.

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: TCP/IP

TCP/IP

TCP/IP is a computer communications standard used on the Internet to pass information between computers.

TCP/IP consists of two components: Internet Protocol (IP) and Transmission Control Protocol (TCP).

IP splits information into small packets. These move across networks until they reach the receiving computer which reassembles the packets. TCP ensures that the information is transmitted correctly - it makes sure that IP packets are reassembled correctly and prompts for lost or damaged packets to be resent.

Copyright © 2003 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Servers and Clients

Servers and Clients

Every computer on the Internet is either a server or a client. Servers provide a "service" to other computers by making files available for access. Clients are those computers that request a service from a server.

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 1: Welcome to the World Wide Web

Chapter 1: Welcome to the World Wide Web

The Internet is the most rapidly growing community in the world. Millions of people have access to it, and this number is increasing every day. Its popularity lies in the fact that people can access a wealth of information from any computer within seconds. Businesses, companies, governments, organisations and individuals worldwide have taken advantage of the opportunity to create their own presence on the Internet.

In this tutorial, you will be introduced to the power of the Internet and how to create your own Internet websites using Multimedia Australia's powerful development tool - the BestAddress HTML Editor. Once you have completed this tutorial, you will have gained the skills you need to become part of this spectacular technology.

What is the Internet?

The Internet is essentially a world wide network of computers that share information resources with each other. Although attempts are made in some countries to regulate its use through government legislation, the Internet is not owned by anyone - it simply consists of computers sharing information. The Internet consists of several functions including e-mail, newsgroups and the World Wide Web. Email allows messages and documents to be sent to specific people electronically; newsgroups allow information to be shared publicly about various topics; and the World Wide Web, which is often referred to as the multimedia portion of the Internet, allows you to read documents, view videos, listen to music, make purchases, sell products, download files and much, much more.

The World Wide Web

The World Wide Web, also referred to as the Web, is the multimedia portion of the Internet. To access the information on the Web, you need a software program called a Web browser. Information on the Web is usually found in documents called webpages. A group of webpages is called a website. Every webpage (and website) on the Internet has a unique address.

Connecting to the Internet

To access the Internet, you need an account with and a connection to an Internet Service Provider (ISP - a company that provides Internet connections). This is usually achieved using a modem which connects to a telephone line or through some other method such as optical cable or satellite. Most cities have a number of ISPs. If you are not connected to the Internet, but are planning to do so, look at the various ISPs available in your area, and choose the one that provides you with the service that best suits your requirements.

Factors that may influence your choice of ISP may include cost, for how long you are allowed to connect to the Internet every month (if you use the Internet often, you might choose and ISP that offers unlimited connection times), and the speed of the connection. Since you will be publishing a website on the Internet, a major influencing factor in your choice of ISP may also include whether they offer a personal website hosting service.

Intranets

Webpages do not necessarily need to be published on the Internet. If you have a number of computers, say as part of your company, business or at home, and they are connected through a network, you can create an intranet on which all computers on the network will be able to access local webpages (like your own personal version of the Internet). Intranets are becoming increasingly popular since information can easily be shared (for example, among employees in a company).

Now that you know a bit about the Internet...

Now that you have a basic understanding on what the Internet and World Wide Web are all about, you are ready to learn how to create your first webpage in Chapter 2: An Introduction to Web Programming.

Go To Next Chapter (Chapter 2)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 2: An Introduction to Web Programming

Chapter 2: An Introduction to Web Programming

The most common language used to create webpages is called HTML (Hypertext Markup Language). This chapter introduces you to the basics of HTML. After you have completed this chapter you should have a general understanding of what HTML is and what it does.

Working with HTML Tags

HTML is built around elements (also referred to as tags). Essentially they are formatting instructions that are embedded into a document containing text. Elements are distinguished from the surrounding text by angle brackets ( < and > ). Most elements are used in pairs - an opening element, followed by the text to which the formatting should apply, and then a closing element. The opening and closing elements differ from one another by a slash (/) immediately after the < angle bracket of the closing element. The following example demonstrates the formatting of a string of text to bold:

<b>This text is displayed as bold,</b> while this text is not.

When displayed in a browser, the line of HTML code above would display the text as follows:

This text is displayed as bold, while this text is not.

There are many elements in HTML, each of which had their own specific purpose. A complete list of HTML elements along with their description is available in the Language Reference section of this help file.

Working with HTML Documents

You are now ready to create your first webpage. The first thing you need to do when you start the BestAddress HTML Editor is to create a new HTML document. To create a new HTML document, choose New from the File menu. In the dialog box that appears, select a template, or otherwise choose Blank Document and click OK. A new HTML document is created for you ready to be edited.

You will notice that the new document already contains a number of elements. These form the basic structure of your webpage. At present, the document will look something like this:

<html>
<head>
<title>Enter_Title_Here</title>
</head>
<body>

</body>
</html>

Each element has a specific role in setting up the webpage.

The first line of code contains a <html> element. This tells the browser that the document it is dealing with is a HTML document. You will notice that the last element in the document also contains the appropriate ending tag </html> to tell the browser that it is the end of the HTML document.

On the next line, we find the <head> element. This defines the header of the page. The header serves as the page's introduction. Browsers use the it to find information about the page. The header contains the <title> and </title> elements. The text between the title elements is usually displayed in the title bar of the browser window. The BestAddress HTML Editor automatically adds Enter_Title_Here between the title elements. You should replace this text with your own title. The title should be as brief as possible, yet should provide a good description on webpage's purpose.

Finally, we find the <body> and </body> elements. It is between these that you place the contents of your webpage.

Where to from here?

Now that you understand the basic structure of webpages, you are ready to begin adding text to it in Chapter 3: Working With Text

Go To Next Chapter (Chapter 3)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 3: Working With Text

Chapter 3: Working with Text

You are now ready to start adding text to your webpage. If you do not have a blank document open in the BestAddress HTML Editor, choose New from the File menu. In the dialog box that appears, choose Blank Document and click OK.

Enter a title for your page between the <title> and </title> elements. For now, write the title: "My First Web Page".

You can now type some text between the <body> and </body> elements. To begin with, type the text, "Here is some text that will appear in the body of my webpage."

You can now save your page and preview it in a Web browser. To save it, choose Save As from the File menu. In the dialog box that appears, type a name for your file in the File name box, such as "My First Web Page", and click Save. Now that the document has been saved, choose View Page in Browser from the File menu (alternatively, you can also click the view page in browser button on the toolbar). Your default browser should now open and display the page. Your Web Page will look something like the one pictured below (the precise way it will display will depend on the browser you are using).

Paragraphs

HTML language usually ignores any physical paragraphs you type into a document. For this reason, you need to manually specify new paragraphs by either adding a <p> element to the end of a line of text where you want a paragraph to occur, or by enclosing the entire line of text between a start paragraph element (<p>) and an end paragraph element (</p>). For example, you could either write:

Here is some text that will appear in the body of my Web page.<p>

or

<p>Here is some text that will appear in the body of my Web page.</p>

Although either method can be used, it is recommended that you use the later.

Return to your document and try adding the following paragraphs to it:

<html>
<head>
<title>My First Web Page</title>
</head>
<body>

<p>Here is some text that will appear in the body of my Web page.</p>

<p>The second paragraph</p>

<p>The third paragraph</p>

<p>And so on...</p>

</body>
</html>

Preview the page in the browser again (you will need to save it first). Your page should look something like this:

You might also like to try using the page break element, <br>. This element is added to a point in the text in which you want to make the text display on the next line after that point. It also differs from the paragraph element in that it does not have an end element (that is an element with a slash (/)).

Simple Text Formatting

At the moment, the text on your page is quite plain. If you have ever used a word processing program, you will be aware that there are numerous text styles that can be used including bold, italic and underlined text. These text formatting features are created with the <b>, <i> and <u> elements respectively and in conjunction with their appropriate end elements </b>, </i> and </u>. All have a start and end element. Try modifying the page you are working on as follows:

<html>
<head>
<title>My First Web Page</title>
</head>
<body>

<p>This line of text has a number of formatting features including <b>bold</b>, <i>italic</i> and <u>underline</u></p>

<p>You can even <b><i>mix</i></b> many formatting features together!</p>

</body>
</html>

Now preview the page in the browser to see how it looks.

Changing the Alignment of Text

Text can be aligned left, right, centered and justified. You should note, however, that the justification of text is a recent addition to HTML and is therefore only supported by newer browsers.

To change the alignment of text, you will need to learn a new function in HTML - that of an attribute. An attribute is added to an element to give a browser more information than the element by itself could provide. An attribute is simply another keyword that is added to an element in order to extend its functionality. An attribute can also contain a value which is defined after an equals sign (=).

The following line of code centers text in your document:

<p align="center">

Here p tells the browser to create a new paragraph, while the align= attribute specifies how the text should be aligned. The method of alignment is specified by the attribute's value; in this case, "center".

As mentioned earlier, you can use various other attribute values in place of "center". These include:

  • "left"
  • "right"
  • "justify"
  • ("center")

As you have probably already noticed, BestAddress automatically changes the colour of your code based on whether it is an element, attribute or attribute value. While you use BestAddress, you will notice various other colours are used for other types of code.

Headings

Most webpages that you will create will contain at least one size of heading. HTML contains six predefined heading sizes ranging from 1, the largest, to 6, the smallest. The following example shows the code for a large heading:

<h1> A Large Heading </h1>

Typically, you should use the various heading sizes in order. For example, you would use <h1> for the heading of your entire page, <h2> for a sub heading in your page, <h3> for a sub heading of the h2 sub heading, and so on. It does not, however matter if you do not follow this procedure.

Font Face, Colour, and Size

Using the <font> element, the font face, colour and style can also be changed. The font element requires the use of an end element (one with a slash (/)) to specify when to end the formatting).

You can easily insert font formatting by choosing Font from the Format menu.

You will need to be familiar with the following attributes:

Use the face= attribute to specify the font you want to apply to the text. The value for this attribute can be a list of various font names separated by commas (,). If the computer the webpage is being viewed on does not have the font you listed installed, the browser will then use the first available font specified in the list.

Use the color= attribute to specify the font colour. The value of this attribute is either the name of the colour expressed in words, or a hexadecimal colour code. Hexadecimal colour codes are rather complex to calculate but can easily be inserted from BestAddress by choosing Colour Code from the Insert menu.

Although the heading elements can be used to change the font sizes of headings, they can not be used for changing the font size within paragraphs since they force a new paragraph to be created. In the case where you want to change the font size within section of a paragraph, you should use the size= attribute. The value of this attribute is a number between 1 and 7.

Where to from here?

Now that you have a basic understanding of working with text, you might like to experiment with the knowledge you have gained so far to help build your confidence. Once you feel you have mastered what you have learnt so far, discover how to link between your webpages in Chapter 4: Hyperlinks.

Go To Next Chapter (Chapter 4)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 4: Hyperlinks

Chapter 4: Hyperlinks

Hyperlinks are one of the fundamental ideas behind the World Wide Web and are one of the main reasons why it became so successful. A hyperlink is a pointer from a webpage to another file on the World Wide Web. Although the hyperlink’s destination is usually another webpage, it can also be a multimedia file, script or download.

Hyperlinks can be defined for either text or images (see Chapter 5) on a webpage. Web browsers usually underline text hyperlinks and render them in a specific colour (usually blue). When a pointing device passes over a hyperlink, the cursor usually changes to a picture of a pointing hand.

URLs

Every file on the World Wide Web can be defined using a unique address called a Uniform Resource Locator (URL). When you insert a hyperlink into a webpage, the destination of the hyperlink is defined as a URL. The diagram below shows the basic layout of a sample URL:

The first part of a URL is the protocol. This tells the Web browser how to handle the file. The protocol is separated from the rest of the URL by a colon. Examples of protocols include:

  • ftp Specifies a file on an FTP server.
  • mailto Specifies an email address.
  • file Specifies a file on a computer connected to a network.
  • http Specifies a file on the World Wide Web.

The network location section follows. It identifies the Internet server on which the file is located. This is followed by the path which specifies the folders that contain the file. Finally the actual file’s name is specified. If it is not specified, a default page is returned (usually named index.html).

If a URL points to a webpage, it can also have internal links that makes the browser display a certain section of the webpage once it loads.

The Anchor Element

To create a hyperlink, use the anchor element ( <a> ) together with the href= attribute. The anchor has an end element. The content between the start and end element is is what will be clicked to go to that file. The example below shows a hyperlink to Multimedia Australia's website:

<a href="http://www.mmaus.com/">Click here to visit Multimedia Australia's website!</a>

Of course you don't need to specify a full Web address. You can create a hyperlink to an individual webpage located in the same directory. This is demonstrated by the following example:

<a href="contact.htm">Click here to contact us!</a>

Hyperlinks don't just have to be text-based. You can allow users to click on images instead. To do this, simply specify an image between the anchor start and end elements rather than specifying text. You will learn how to insert images into your webpages in the next chapter.

Internal Links

You can create links within the same page. In this case, if a visitor clicks the link, the browser will move to a specific section of the page.

To create internal links, you first need to identify the different parts of your webpage where the browser can link to. This is achieved using the name= attribute. For example:

<a name="Section1">This is section 1</a>

If you now wanted to link to section 1, you would create the following hyperlink:

<a href="#Section1">Link to section 1</a>

Notice that the internal link is defined using a hash character (#).

Combining Internal and External Links

You can combine internal and external links. The following example links to a specfic webpage and then moves the browser window to the appropriate section of that page:

<a href="contact.htm#User1">Link to section 1</a>

Email Addresses as Hyperlinks

As mentioned earlier, a hyperlink can also point to an email address. To do this, simply add mailto: to your hyperlink. The following example shown a link to Multimedia Australia's technial support address, support@mmaus.com:

<a href="mailto:support@mmaus.com">The link text goes here</a>

Where to from here?

By now you should be able to create a simple text-only webpage. You will be able to take your skills one step further in Chapter 5: Bringing Your Web Pages to Life with Images.

Go To Next Chapter (Chapter 5)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 5: Bringing Your Web Pages to Life with Images

Chapter 5: Bringing your Webpages to Life with Images

When the World Wide Web was first created, its sole purpose was to help share electronic documents containing text, and nothing but text. However, as more people began to use it, and the power of computers increased, it soon became apparent that the World Wide Web would be an ideal medium to publish multimedia files as well.

This chapter shows you how to add images to your webpages.

A Quick Overview on Files

As you probably already know, there are many different types of files. For those of you who are not entirely familiar of what they are, here's a brief overview: A file is simply a collection of related computer data that contains some form of information. For example, the webpages that you have created so far are files. Each has a unique name that you specified, and each contains computer data that you can open, read, edit, and save. There are many different types of files such as video files, sound files, word processing files, spreadsheet files, image files... the list goes on. In this chapter, we will concentrate on the image files.

Each file on your computer usually has a file extension. The file extension usually consists of a full stop followed by three to four characters. These characters tell the computer what type of file it is. For example, the most common file extension for webpages is .htm (although .html can also be used).

Image Files and HTML

Unlike when an image is inserted into a wordprocessed document, image files are not inserted directly into a webpage. Instead, a link is specified to the location of the file. As was discussed in Chapter 2, HTML webpages are actually plain text documents that contain formatting instructions. Since plain text documents only contain text, all other (binary) files must be linked to it.

Since you can't add images into a file that only consists of text, you will need to link to the image file using HTML code.

Although browsers support a wide range of image files, you should always try to use the GIF and JPEG file formats wherever possible. Many of today's image editing programs will be able to convert your image files into these formats.

Inserting Image Files

The element used to insert images into files is <img>. By itself, the element does little since it does not specify what image file should be inserted. This is were attributes play a role again. Use the src= attribute for this purpose.

Essentially, the code to add an image called picture.gif to your webpage is <img src="picture.gif">. Notice how the name of the file to link to is enclosed between two double quotation marks. The value of the src attribute does not need to be a file in the same directory as the webpage file. It can be in a different folder on your computer, in a different hard disk drive, or anywhere on the Internet. So, if you wanted to insert an image stored at the Internet address http://domain.com/images/a_picture_file.gif you would type <img src="http://domain.com/images/a_picture_file.gif">.

Image Attributes

There are a number of attributes which you may find useful when working with images:
The alt= attribute specifies alternative text that is displayed if the image is unable to be opened.
The width= and height= attributes enable you to define the size of the image. These attributes are also useful for maintaining the webpage's overall layout while the image loads or if the image is unable to be displayed.

Combining Hyperlinks with Images

As mentioned in the previous chapter, you can use images as hyperlinks. Simply replace the text between the <a> and </a> elements with an image element. Web browsers will usually place a border around images which are hyperlinks. To prevent this from happening, add the border="0" attribute and value to the image.

In the next chapter, you will learn how to take image hyperlinks one step further in Chapter 6: Image Maps.

Go To Next Chapter (Chapter 6)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 6: Image Maps

Chapter 6: Image Maps

Image maps are images containing "clickable" areas or hot spots, each of which have a link attributed to them. Whilst this chapter explains the principle behind how image maps work, they can be very complex. You will therefore appreciate using the Insert Image Map feature in the BestAddress HTML Editor.

About Image Map Coordinates

Everything you see on the computer screen, including graphics, consist of small points of light called pixels. The placement and size of these remains consistant among all computers, although the number available varies. For example, one computer screen may have 640 columns of pixels (horizontal) by 480 rows (vertical) while others may have 800 by 600, 1024 by 768, 1280 by 1024, and so on.

Similarly to the pixels on computer screens, an image's coordinates are numbered from 0,0 in its top left corner onwards. The coordinates are defined using the letter X for the horizontal value and Y for the vertical value.

Using coordinates in an image, it is possible to set the placement and sizes of hot spots in the image. The following diagram demonstrates this on an image 300 pixels in width and 50 pixels in height:

If you wanted to define region A in the above diagram as a hot spot, you would use the coordinates 0,0 and 99,49. Similarly, region B is defined by the coordinates 99,0 and 199,49 and region C is defined by the coordinates 199,0 and 299,49.

Defining Image Map Coordinates

Using BestAddress, defining image map coordinates is easy. Simply choose Image Map from the Insert menu to open the image map editor.

In the dialog box, choose the image file you want to open. Type a name for the image map in the Image Map Name box. Using the shape toolbar choose a shape, and draw the regions you want in the image map. A rectangle, circle and polygon tool is available to use. Once you have defined all your regions, click the Insert button. BestAddress will define all your image map's coordinates for you. You can then go through the code and define the hyperlinks for each hot spot by replacing the value in each hot spot's href= attribute.

Applying the Image Map

Inserting image map coordinates does not insert the image into your document. You need to do this separately by choosing Image from the Insert menu. Choose the same image to insert as the image you used to define your image map. Choose the name of the image map to use from the list in the Use Image Map box. Click OK.

Save and preview your document in the BestAddress HTML Editor to view the image map in your default Web browser.

Where to from here?

As your website grows, you will undoubtedly want to allow your visitors to contact you or provide a means of adding some "interactivity" to your pages. You will be introduced to the basics in the next chapter, Chapter 7: Forms.

Go To Next Chapter (Chapter 7)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 7: Forms

Chapter 7: Forms

Topics in this Chapter:
What are Forms?
Creating a Form Field
The Submit Button
The Reset Button
Text Boxes
Text Areas
Check Boxes
Option/Radio buttons
Scrolling and Drop down Lists
Submitting your Forms
Hidden Fields

What are Forms?

Through the use of forms, visitors can send information to you from within your webpage. Forms are similar to the dialog boxes in BestAddress and other programs where you enter information and click a button which results in a task being performed based upon the information you specified.

A form can be described as a webpage equivalent of a dialog box. There are a variety of controls that can be placed on a form including buttons, text boxes, check boxes, option boxes, list selections and drop down lists.

Among other uses, forms are commonly used in webpages for guest books where visitors can provide comments, and send in details about themselves.

Creating a Form Field

You can easily add form fields and controls to your webpage by choosing an option from the Insert menu. In this tutorial, you will be introduced to the code that makes your forms work.

A form field contains all the controls (such as text boxes and buttons) and can be inserted anywhere within the body of a webpage. To define a form field, use the <form> and </form> elements.

So that the web browser knows where the information typed into a form is to be sent, you will need to use the action= and method= attributes. For example:

<form action="URL" method=post>
</form>

The action= attribute specifies a URL to a program on your website's server to which the form's data can be sent for processing.

The method= attribute tells the browser how the form's data is to be sent to the URL specified in the action= attribute. There are two possibilities: post and get. You will need to use the most suitable value based upon the program you are using, but typically you will use the post method.

The Submit Button

Most dialog boxes have a button which the user clicks for a task to be performed. In forms these are called submit buttons.

The submit button is specified using the following code, and is placed anywhere between the <form> and </form> elements:

<input type=submit>

When added to a form, the button's caption is automatically set to Submit. If you what to change it to something else, you can use the value= attribute, for example:

<input type=submit value="Click Here to Continue">

The following example demonstrates the use of a simple form containing only a submit button:

<html>
<head>
<title>Simple Form Example</title>
</head>
<body>

<p>Here is an example form with a submit button:</p>

<form action="http://www.anywebsite.com/cgi-bin/submit-data" method=post>
<input type=submit value="Click Here">
</form>

</body>
</html>

The sample above won't do anything because you need to specify a valid URL for the action= attribute and the form needs to contain data to submit. If, however, you preview the page, it will look something like this:

The Reset Button

You can add a reset button to your forms that when clicked, causes the form to be cleared and reset to the default values just like when the webpage first loaded. A typical reset button's code may look as follows:

<input type=reset value="Start Again">

Text Boxes

If you want visitors to your site to provide you with simple text entries, such as their name or email address, use text boxes. The basic format of a text box is:

<input type=text name="name for control">

The name= attribute allows you to specify a unique name for the text box. This is useful when your form's data is submitted to you as it enables you to tell the information they provide apart. For example, if you wanted to provide a text box for visitors to enter their email address, you could use the following code:

<input type=text name="email">

To add a label before the start of the text box so that the visitor knows what to enter, simply write it before the text box:

Enter your email address: <input type=text name="email">

The following example demonstrates the use of a simple form containing three text boxes, a submit button and a reset button:

<html>
<head>
<title>Text Box Example</title>
</head>
<body>

<p>Please enter your details:</p>

<form action="http://www.anywebsite.com/cgi-bin/submit-data" method=post>
<p>First name: <input type=text name="First"></p>
<p>Last name: <input type=text name="Last"></p>
<p>Email address: <input type=text name="Email"></p>
<p><input type=submit value="OK"> <input type=reset value="Reset the Form"></p>
</form>

</body>
</html>

When displayed in a Web browser, the example above would look something like this:

Default values: Text boxes can have a default value that appears when the webpage first displays and before the visitor types anything by using the value= attribute. For example, if you wanted them to type in their website's address, and you wanted to save them having to type http://, you would use the following code:

<input type=text name="Website" value="http://">

Setting the size: If you want your visitors to enter a long string of text such as a website address, or a short amount of text such as their postal code, you can size the text box appropriately using the size= attribute. The value of the attribute is the number of characters that should be displayed. For example, the following code produces a text box that's 4 characters long:

<input type=text name="Postcode" size=4>

Limiting the length of text: Sometimes you might like to limit the maximum number of characters a visitor can type. To do this, use the maxlength= attribute:

<input type=text name="Age" maxlength=3>

Text Areas

If you want visitors to be able to type large amounts of text, a standard text box is not sufficient since they only support a single line. In this case, you would use the <textarea> and </textarea> elements.

You can specify the size of the text area box based upon the number of lines using the rows= attribute and the number of columns using the columns= attribute.

Don't forget to specify the end element ( </textarea> ). Any text between the start and end elements becomes the default text.

Check Boxes

To allow users to enter yes/no or true/false information, use check boxes. A check box's code typically looks like this:

<input type=checkbox name="A name">

If you want a particular checkbox to be checked when the webpage loads, simply include the checked attribute. For example:

<input type=checkbox name="A name" checked>

Option Buttons

Also known as radio buttons, option buttons are used when a user can choose one option from multiple choices:

<input type=radio name="Group name" value="value">

The name= attribute provides the usual unique name, except in this case the same name is specified for all the option buttons - grouping them together. When option buttons are grouped, the web browser knows that only one of the buttons in the group can be selected at any one time. The value= attribute's value is submitted for the particular option button that is selected. You can specify which one of the option buttons is selected by default when the webpage first displays by adding the checked attribute to one of the option buttons in the group. Specify the label for each individual option button by writing it directly after the element.

The following example demonstrates the use of two option button groups in a form:

<html>
<head>
<title>Option Button Example</title>
</head>
<body>

<form>

<p>For how long have you been using computers?</p>

<input type=radio name="Time Used" value="under 2" checked>Under 2 years<br>
<input type=radio name="Time Used" value="2 to 5">2 to 5 years<br>
<input type=radio name="Time Used" value="over 5">over 5 years

<p>

<p>For what purpose do you usually use computers?</p>

<input type=radio name="Used For" value="work" checked>Work<br>
<input type=radio name="Used For" value="entertainment">Games, movies etc...<br>
<input type=radio name="Used For" value="internet">Internet, email etc...<br>
<input type=radio name="Used For" value="other">Other

<p><input type=submit value="OK"> <input type=reset value="Start Again"></p>

</form>

</body>
</html>

When previewed in a browser, the above example will look something like this:

Scrolling and Drop Down Lists

Although radio buttons are suitable for a small number of options, they are difficult to manage if there are more than around four per group. In this instance, lists are more suitable. An example of a list's code is as follows:

<select name="List Name" size=3>
<option>First Option</option>
<option>Second Option</option>
<option>Third Option</option>
</select>

As you can see, the actual list is defined using the <select> and </select> elements, while the options within the list are defined between the <option> and </option> elements. Adding the selected attribute to any of the <option> elements, causes that element to be displayed as default.

The size= attribute specifies the number of items that are visible before a scroll bar is displayed by the browser so that the user can see more options. If the size= attribute is omitted, the control becomes a drop-down list.

Submitting your Forms

At the moment you can produce forms, but you have no way of submitting them. You will need to use a special program that is usually stored on the computer that hosts your website. As these programs are usually produced by your web hosting provider, the method of making them submit your forms will differ. You will need to contact your web hosting provider for more information.

If your web hosting provider does not support these, there are a number of free programs available for you to use on the Internet.

Hidden Fields

You can also add hidden fields to forms that aren't displayed by the browser, but are submitted with the form. They have a number of uses, usually specific to the form handling program you are using. A sample hidden field is shown below:

<input type=hidden name="sendto" value="anyone@anydomain.com">

Where to from here?

Forms make it easy for visitors to contact you. In the next chapter, Chapter 8: Frames, you will learn about frames - a concept that will significantly ease the development process for large websites.

Go To Next Chapter (Chapter 8)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 8: Frames

Chapter 8: Frames

Frames allow you to display multiple webpages in a single window by dividing it into sections. Individual webpages are then loaded into each frame.

The concept of creating frames is rather complex to grasp at first since the coding is more involved than for most other webpage functions. It is recommended that you use BestAddress' Frame Creator Wizard to develop your frame-based website. To start it, choose Wizards from the File menu.

If you intend to use frames, you should note that not all browsers support them. If you do decide to use frames in your website, be sure to read the section at the end of this chapter on overcoming this problem.

Creating the Foundation

To begin with, you will need to create a special kind of webpage that will become the container for all the other webpages. This webpage is called a frame page. The frame page does not contain any content itself but simply defines the size and positioning of each individual frame as well as specifying what webpage is displayed in each.

The construction of a frame page involves the use of the <frameset> and <frame> elements. To begin with you use the <frameset> and </frameset> elements. Between these you add a <frame> element for each frame you want to work with. The following example demonstrates how you would divide the browser window into two frames:

<frameset>
<frame>
<frame>
</frameset>

Horizontal Division

You then need to specify if you want the frames to divide the screen horizontally or vertically.

To divide the screen horizontally, use the rows= attribute in the <frameset> element. For example, the following code divides the browser window horizontally into two sections, both occupying half of the available size:

<frameset rows="50%,50%">

The following example demonstrates the entire layout of a frame page containing two frames. Note that there are no <body> elements. In this example, the frames are arranged horizontally, with the top frame occupying 20% of the browser window and the second occupying the remaining 80%:

<html>
<head>
<title>Horizontal Frames Example</title>
</head>

<frameset rows="20%,80%">
<frame>
<frame>
</frameset>

</html>

If you load the above frame page into a browser, it will look something like this:

Vertical Division

To vertically divide the web browser window, specify percentages using the cols= attribute in the <frameset> element. The following code segment demonstrates two divisions, the left being 20% and the right being the remaining 80%:

<frameset cols="20%,80%">

Adding Content to Frames

At the moment, all the frame pages we've looked at so far only contain the basic layout of the frame divisions. They still need to be populated with webpages. As mentioned earlier, each individual frame will contain a separate webpage. To do this, you will need to use the src= attribute in the <frame> element. The following example is an extension of the code shown earlier:

<html>
<head>
<title>Horizontal Frames Example with Content</title>
</head>

<frameset rows="20%,80%">
<frame src="TopPage.html">
<frame src="BottomPage.html">
</frameset>

</html>

In the example above, the webpage TopPage.html will be displayed in the top frame division while BottomPage.html will be displayed in the bottom division.

Frames and Hyperlinks

When one of your webpages contains a hyperlink, you will need to tell the web browser where the page should appear. Some browsers cause the link to display in the entire window while in others it might display in the wrong division you intended.

To avoid this problem, you will need to give each of your frames a name and then specify in which frame the hyperlink should be opened.

To name a frame, use the name= attribute. For example:

<frame src="heading.html" name="siteheading">

Lets take a look at the previous example again, this time with all the frames named.

<html>
<head>
<title>Horizontal Frames Example with Content</title>
</head>

<frameset rows="20%,80%">
<frame src="TopPage.html" name="top">
<frame src="BottomPage.html" name="bottom">
</frameset>

</html>

With the frames named, you can set the frame in which a link will load by adding the target= attribute to the link. For example:

<a href="LinkedPage.html" target="bottom">A hyperlink</a>

As you can see, the target= attribute's value is set to "bottom", which is the name of the bottom frame. By clicking this link, the page will therefore be loaded into the bottom frame.

It isn't necessary to add the target= attribute to every link. If you have a page with many links that all point to the same frame, you can add the following element between the <head> and </head> section of the page containing the links:

<base target="TargetFrameName">

There are also three values that can be added to the target= attribute:
_self makes the new page load into the same frame that contains the link.
_top loads the new page into the entire browser window.
_blank displays a new browser window in which the frame is displayed.

Frame Layout Options

There are three extra attributes that you can add to the <frame> elements to change the way each frame operates:
noresize Prevents the site's visitor from changing the size of the frame.
scrolling= This attribute's value can either be set to yes or no. It specifies whether a scroll bar appears if the page's content won't completely display in the area available. It can also be set to auto to tell the browser to only display scroll bars when necessary.
frameborder= Set this attribute's value to 0 to prevent a border from being displayed at the edge of the frame.

More Complex Frames

You can create more complex frames by combining horizontal and vertical frames. For example, you can divide the web browser window into two horizontal sections, and then divide the lower section into two vertical sections. The following example demonstrates this:

<html>
<head>
<title>Non Frame Browser Example</title>
</head>

<frameset rows="20%,80%">
<frame src="top.html" name="top">
<frameset cols="15%,95%">
<frame src="left.html" name="left">
<frame src="right.html" name="right">
</frameset>
</frameset>

</html>

Supporting Non-Frame Browsers

As mentioned at the beginning of this chapter, some browsers do not support frames. To solve this problem, add a <noframe></noframe> section to the bottom of your frame page. The following example demonstrates this:

<html>
<head>
<title>A More Complex Frame</title>
</head>

<frameset rows="10%,80%,10%">
<frame src="first.html">
<frame src="second.html">
<frame src="third.html">

<noframe>
<p>Your browser does not appear to support frames. Please go to the <a href="second.html">no frames</a> version of this site.</p>
</noframe>

</frameset>

</html>

If an older browser visits your site, it will read through your frame's page, picking our the sections it understands. Even through it does not understand the <noframe> and </noframe> elements, it will display the text between them.

Create Frames-based sites easily

As mentioned at the beginning of this article, if you intend to create your own frames-based website, consider using BestAddress' Frames Wizard - it will guide you through the process visually, providing a large number of options and making the overall task much easier and trouble free.

Where to from here?

Learn how to create tables in Chapter 9: Tables.

Go To Next Chapter (Chapter 9)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 9: Tables

Chapter 9: Tables

Tables are one of the most useful functions available in HTML. Not only do they help in displaying tabulated data, but they are also useful for accurately positioning and controlling the contents of a webpage.

The Table Design Process

Tables use more than one element. To begin with, use the <table> and </table> elements. These tell the Web browser where the table starts and ends. Most Web browsers do not show the borders of a table. If you want to show them, use the border= attribute along with a width value. Using this attribute will make it easier when you start learning how to use tables. You can always remove it later once your table is complete.

Tables consist of rows and columns. These are defined using the elements <tr> and <td> elements respectively. Cells are the areas formed where rows and columns meet and are where the table's data goes.

When you begin to create the layout of a table, it is easiest to create a row, and then divide that row into columns. The following example shows a one row table divided into three columns:

<table>
<tr>
<td></td>
<td></td>
<td></td>
</tr>
</table>

The table's data for each cell can then be placed between the appropriate <td> and </td> elements.

More rows can be added by repeating the previous steps (ie: inserting more <tr> and </tr> elements along with the corresponding <td> and </td> elements).

You can also create headers (labels for each column) for the table. To do this, use the <th> and </th> elements. For example:

<tr>
<th>First Header</th>
<th>Second Header</th>
<th>Third Header</th>
</tr>

You can easily insert tables using BestAddress by choosing Table from the Insert menu.

Spanning Multiple Rows or Columns

Sometimes it is necessary to have a single cell span (or take up more than one) cell's space. To do this, use the colspan= attribute with a value of the number of columns you want to span if you want to span columns or the rowspan= attribute if you want to span multiple rows. The following example demonstrates this:

<html>
<head>
<title>Cell Spanning Example</title>
</head>
<body>

<table border=1>

<tr>
<td colspan=2>This cell spans two columns</td>
<td>While this one doesn't</td>
</tr>

<tr>
<td>Column 1</td>
<td>Column 2</td>
<td>Column 3</td>
</tr>

</table>

</body>
</html>

When previewed in a Web browser, the above example will look something like this:

Vertical Alignment

Text displayed in the table is vertically aligned in the middle. If one of the table's cells however contains a large amount of text and the other's don't, the table will resize to meet the requirements of the largest cell. The text in all other cells will align in the middle of the cell, leaving large gaps above and below. If you want to align all a cell's text at a certain position, you can use the valign= attribute in both the column (<td>) or header (<th>) elements. Values include top, middle or bottom.

Other Attributes

Tables support a wide range of other attributes. See the Online HTML Reference for a full list of these along with a description.

Aligning Document Content with Tables

It is difficult to position the content of a webpage accurately. To overcome this problem, many website designs use tables to assist in the layout of the webpage. Because tables are able to contain most of the same things as you can put into the webpage itself, using a table with its border set to 0 allows you to accurately position content.

Where to from here?

Get yourself prepared for publishing your own website in Chapter 10: Creating a Website.

Go To Next Chapter (Chapter 10)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 10: Creating a Website

Chapter 10: Creating a Website

With all the knowledge you have gained from the previous chapters, you are now ready to start creating your own website.

Before you begin developing your website, think about what you want your website to look like and how you want it structured. Consider drawing a flowchart of the individual pages you want in your site, and how you want them to be link together. You might like to come up with an idea for the layout of the pages in your website - do you want to start one from scratch or base it on a template included with BestAddress? Look at existing websites to get a better understanding of how they are organised.

When you begin developing your site, start off with only a few pages and expand from there. Make sure that your pages are easy to navigate and do not mislead visitors by ensuring the pages contain the information expected.

These chapters provided you with a general overview of website development using HTML. However, as you will probably be aware, this is only the tip of the iceberg. There are many other technologies out there that you might like to explore including Cascading Style Sheets (covered in the next tutorial), JavaScript and much, much more.

If you are interested in expanding your website development knowledge, there are many free resources available on the Internet, including Multimedia Australia’s website. These online resources can offer valuable advice, ideas and up-to-date on various Internet technologies.

Where to from here?

When you develop a website, there are a number of things you will need to take into consideration to produce a good quality website. These are covered in Chapter 11: Maximising Site Useability.

Go To Next Chapter (Chapter 11)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 11: Maximising Site Useability

Chapter 11: Maximising Site Useability

In this chapter you will learn how to create websites that are easy to use and navigate by taking into account user preferences and various techniques.

Why Promote Useability?

The Internet is a source of information accessible to people around the world. Being so widespread, there may be hundreds of sites that specialise on a particular topic. To make your website stand out from the rest, it is important that you make it appeal to as many people as possible. One of the easiest ways of addressing this is to make your site easy to use.

Spelling, Punctuation and Grammar

The most obvious issue which is often overlooked when developing websites is to ensure that the spelling, punctuation and grammar is correct. This is very simple to check and can save you from embarrassment and bad reviews about your site in the future.

Since the Internet is global, you may choose to develop a site in a language that you are not entirely familiar with. If possible, you should seek advice from someone experienced in the language to check the contents of your pages.

Compatibility with Different Browsers

BestAddress provides you with the ability to incorporate the latest technology into your websites. Internet technology is changing all the time. Although your site may look great with all the latest features, you should also consider those users who are accessing your site using older browsers that may not support the new technology. Make sure that your pages are still accessible even if the visitor is not able to use every aspect of your page (such as viewing an applet or running a script). The most common issues that you should consider are listed below:

  • Non-standard elements: BestAddress generally only uses HTML elements that are part of the latest W3C specification. This ensures that the elements are compatible with all the latest browsers. Companies which produce web browsers sometimes create browser-specific elements that will only work with their browser. Other browsers are unable to interpret them. To make sure that the element you are planning to use are part of the W3C specification, simply check if it is listed in the HTML Language Reference section in BestAddress' help file.
  • Use of Style Sheets: Although CSS has been around for quite some time and most browsers support it, there are still older web browsers in use that do not. Make sure that your page design and layout does not solely rely on the use of CSS.
  • Multimedia: Images, sound files, videos and applets are supported by most browsers, even older ones. You should, however, still take into consideration those people who are unable to view them. These include vision impaired people, people using older browsers, those who have chosen not to have these files display or in the case where a file was failed to load. Using the alt= attribute you can include a description in the event that the element does or can not be displayed.

Use of Appropriate Colours

The Internet seems to thrive on the use of colour. Colour is used from the pictures and images used on sites to the colour of text and the background.

When using colours, you should make sure that the contents of the page can easily be read. Try to use colours that are not similar in brightness. For example, use dark text on a light background or light text on a dark background.

Some colour combinations are very hard to read (such as blue text on a red background) while other combinations are very easy to read (such as black text on a white background).

If your page contains a large section of text, consider using black text on a yellow background - it makes reading it much easier.

Another consideration is the number of colours a particular computer can display. Although most of today’s computers can display millions of colours, other computers can only display 256 or as little as 16. In addition, the way colours look often differ from one computer platform to another.

Maintain consistency throughout your pages

Ensure that all the pages within your site have a similar layout and use of colours. Many people find it irritating visiting a site where the way pages look continuously changes and may believe they have left your site.

Frames

The use of frames was covered earlier in this tutorial. Although frames offer a convenient way of presenting large sites, not all browsers support them. There also tend to be many problems associated with their use. Many people find that it is difficult to print, navigate, save or bookmark pages in a frames-based site.

Wherever possible, use tables as an alternative. Most browsers support them, they are highly flexible and are less likely to cause problems to your users.

Use Text-based Links

To help aid users navigate your site, provide a list of links to major sections at the bottom of every page.

Provide Site Maps

Site maps are an easy way to offer a navigational aid to your users. Site maps are simply a webpage within your site that contains an organised list of its various sections.

Size of the Page

Always consider the size of your page in the design process. Every multimedia feature that your include (such as images) slows down the time your page takes to load. People tend to get impatient quickly if a page takes a considerable time to display and may choose to go elsewhere. Wherever possible, try to keep the download requirements for your average page far below 200KB.

Targeting a Specific User Group

If you know that your website mainly targets a specific group of people using a specific type of computer, you can base your design on their requirements. If possible, try doing some research on the types of computers your users use and work within their requirements.

Where to from here?

After finally having completed your website you will be ready to publish it in Chapter 12: Publishing your Website on the Internet.

Go To Next Chapter (Chapter 12)

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Tutorial: Chapter 12: Publishing your Website on the Internet

Chapter 12: Publishing your Website on the Internet

Once you have completed your website, you will probably want to make it available on the Internet for the world to see.

Making your Website Available to Others

So that your website can be accessed by people on the Internet, you will need to have it hosted on a special type of computer called a server. Servers "serve" data to other computers when they request it.

There are four ways that you can have your website hosted: using your existing Internet Service Provider, using a free hosting provider, hosting it on your computer’s network or signing up with a commercial hosting provider.

  • Most Internet Service Providers offer to host their customer’s websites as part of their Internet access account free of charge. However, this usually only applies to personal websites and not commercial ones.
  • There are a few hosting providers who will host your website free of charge. However, they do place advertising throughout your site which in turn pays for its hosting.
  • If your company has a web server, contact your system administrator and find out if your website can be hosted on it.
  • The final option is to use a commercial hosting provider. It is the most expensive choice (other than hosting the website yourself) and usually requires a setup fee followed by monthly payments.

When choosing your hosting provider, there are a number of factors that you will need to take into account:

  • Storage space provided: For a simple website, such as one for a small business, that contains only a few pages and graphics, 5 to 20MB would usually be sufficient. If, however, your website contains large images, videos, audio files, computer programs or any other large files for visitors to download, you might need to consider a hosting account that offers more storage space.
  • Bandwidth: Most hosting providers place a limit on the amount of data that can be downloaded by your page’s visitors each month. If visitors to your site download more than you expected, you will have to pay for the excess.
  • Email Accounts: If you have a domain name for your site (you will learn about these in the next section), you will probably want matching email addresses (such as "info@mywebsite.com"). Consider the number of email accounts provided with your hosting option and whether messages sent to them are stored in individual accounts or simply forwarded to an account specified by you.

Domain Names

Domain names are not required to host a website but do provide an easy method for people to recognise your site’s address. A typical domain name is a word consisting of either letters or numbers followed by .com, .net, .org .biz or one of many other extensions.

Domain names need to be registered with a registration authority. The costs vary depending on the authority you choose and the type of domain name you are registering.

Your domain name is what people will locate and recognise you by. It is for this reason that you should choose one that is easy for people to remember, hard to misspell and easy to type.

Although most domain names chosen are the identical name of the company (without the spaces), it might not always be appropriate. A complex name or one longer than 10 characters is often easy to misspell. Your company's name might consist of more than one word. When put together, the last character of the first word and the first character of the second word may be identical characters. Chances are that people will only type one letter, missing the one for the next word. In either case, consider using an abbreviated form or a different (but recognisable) name.

Preparing Your Page for Publication

Once you have set up an account with a hosting provider, there are a few things you will need to do before you can unload your website. When working with BestAddress, files and hyperlinks are referred to with their full file name on your computer. When you publish your website on the Internet, the address for all your files obviously changes. For example, a file named "C:\My Documents\Website\products\product1.html" on your computer may be named "http://www.mywebsite.com/products/product.html" in your website. To change the addresses in all your webpages in preparation for publication, first copy them to a new folder (you might need to go back to their original state later when you update your site). Open the webpages in BestAddress. From the Edit menu choose Change Root Directory. In the Local Directory box, type the name of the directory where the files are stored and in the Internet Directory box type the Internet address that corresponds to it. The screen shot below demonstrates this using the earlier example:

Make sure that all the files referred to in your webpage actually exist in the directory containing your website. In addition, you will also need to make sure that all files in your website do not contain spaces to reduce the risk of errors occurring when the website is accessed.

Once all the hyperlinks are up to date, do a syntax check of your pages to make sure you haven’t made a coding mistake anywhere by choosing Check Syntax from the Tools menu.

The Default Webpage

You will need to specify which one of your webpages should be the website’s home page. A home page is the webpage that is returned to a visitor if they only type your website’s URL without knowing the name of a specific HTML document. For example, typing "http://www.mywebsite.com/" could return a list of files stored in your website’s root directory or even worse, return an error. Most hosting providers usually require the home page to be named "index.html". If you need to change it, make sure that all your website’s hyperlinks refer to the new name.

Transferring your Site

If your site is to be stored on your computer network, it is simply a matter of copying over the required files to the directory set up by the system administrator. Otherwise, you will need to send the files to your hosting provider. Your hosting provider will give you details on your website’s address along with access passwords and any other relevant information. Many hosting providers allow you to send files to your site from their own website. If they do not provide this service, you will need to use an FTP program to do it for you. You can launch an FTP program from BestAddress by choosing Publish Files on the Internet from the File menu. For more detailed instructions, please consult the relevant online help file.

Advertising your Website

Once your website is on the Internet and you have made sure everything works correctly, you will need to make sure that people can visit it. As well as providing its address on letter heads, business cards and other correspondences, you will need to have it hosted on search engines. If you visit the major search engines, you can usually "submit your site".

A new world awaits...

There you have it - a quick introduction to website development. You now have the knowledge to create your own websites. Although this tutorial has outlined the basics of website development, you will still need to use your own abilities to create the website you want. Explore the Internet to get ideas, and experiment with the powerful tools in BestAddress. Most importantly, however, experiment - it takes a little time but it is the best way to learn.

We at Multimedia Australia hope that you are successful in your website development. Feel free to visit our website at http://www.mmaus.com/ for free online resources including articles and tips on website development and free updates to BestAddress to ensure you are kept at the forefront of website design.

Good luck with your coding!

Return to Contents

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


An Introduction to Style Sheets

Please Note: It is recommended that you are familiar with the previous chapters of this tutorial before reading this next section.

Style sheets allow you to specify a series of formatting options for each type of element and thus help maintain consistency throughout a website. For example, the specification might define options for a heading ( <h1> ) element, including the font size and style of the heading, as well as its colour and the spacing of other objects around it.

The advantages of style sheets include:

  • They save time because you only need to define the style for an individual HTML element once, and the style will be applied to every element in every webpage that uses that style sheet.
  • They make your pages easier to modify because all you need to change is the style definition, and all webpages using that style sheet will automatically use the new formatting options.
  • Style sheets provide formatting functions not previously available in the original HTML specification, such as accurate spacing between objects in a website.
  • They help to separate a webpage’s content from information which defines how the webpage should be displayed.

Individual styles can be set either independently from other webpages by defining the styles within the actual webpage’s code or the styles can be defined in a separate file, allowing many webpages to access it and thus allowing a consistency to be maintained throughout multiple pages.

In the case of an individual style sheet file, it is usually identified by the file extension .css. For example, a website might consist of ten individual webpages, each linked to a style sheet file called styles.css. If one formatting option, such as the size of headings throughout the website needs to be modified, the styles.css style sheet can be changed. As a result, all webpages linked to the styles.css file, will have the new heading formatting applied.

It is important to note that although style sheets were introduced in 1996, some older web browsers may not support them. If you intend on using style sheets in your website, you should develop your webpages so that their design does not solely rely on their use.

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Creating Style Sheets

The reasons for the introduction of style sheets and their advantages were described in the introduction to style sheets topic. This tutorial will teach you how to create your own style sheets.

How to Define Style Sheets

To begin with, let’s take a look at the webpage code below that does not have a style sheet:

<html>
<head>
<title>Style Sheet Example</title>
</head>
<body>

<h1>Here is a H1 heading</h1>

</body>
</html>

Copy and paste the above code into a new document, and preview it. As you can see, the heading is at the standard H1 size.

Now replace the code in the document with the code below:

<html>
<head>
<title>Style Sheet Example</title>

<style>
H1 {font-size: 40pt}
</style>

</head>
<body>

<h1>Here is a H1 heading</h1>

</body>
</html>

When you preview the webpage, you will see that the size of the heading is significantly larger than when the first code was used.

The size of the heading was changed as a result of the style sheet specification. As you can see, the style sheet information was defined between the <style> and </style> elements. In the style sheet, the element to apply the style to is defined first. This is followed by the formatting information between the curly brackets - { and }.

The style sheet definition should be placed within the header of the document, between the <head> and </head> elements.

Supporting Older Browsers

Because older web browsers may not understand style sheets, and might mistaken them for webpage content, you can use HTML comment tags. This hides the style sheet information from older browsers. The example below shows how to do this.

<style>
<!--
H1 {font-size: 40pt}
-->
</style>

Defining Multiple Properties

More than one style property can be defined for each element by separating each with a semi-colon (;). For example, the following code sets the size as well as the colour for a paragraph element.

P {font-size: 20pt; color: gray}

Linking to an External Style Sheet

The advantages of style sheets become even more apparent when they are used as "external" style sheets. This is a separate file that contains your style definitions. To link a webpage to an external stylesheet, simply add the element inside the page header:

<link rel="stylesheet" type="text/css" href="filename.css">

The style sheet file you create, filename.css, would contain each style sheet definition. It does not contain any HTML elements. The code below is an example of text that could be written in the file:

body {text-align: justify}
H1 {font-size: 18pt; color: red}
H2 {font-size: 12pt; color: blue}
P {font-size: 10pt}

When saving an external style sheet in the BestAddress HTML Editor, simply choose style sheets from the save as type list when saving the file.

Where to from here?

The principal of using style sheets is relatively simple. Style sheets, however, support many different properties. For more information on the various styles available, we recommended that you refer to BestAddress’ style sheet online reference guide.

Copyright © 2002 Multimedia Australia Pty. Ltd. A.C.N: 096 830 394.


Online Reference

Online Language Reference

Welcome to BestAddress 2005 Professional Online Language Reference. This reference covers every HTML tag and CSS property in the HTML 4.01 and CSS2 language specifications to help you with the website development process.

Navigate the Online Language reference using the Contents list on the left of this help window or by choosing an appropriate topic from the list below. The Online Language Reference is also integrated with the BestAddress HTML Editor 2005 Professional - simply press the F1 key while the cursor is positioned inside a HTML element to launch the appropriate language topic.

You can now obtain more comprehensive information on each code reference topic by linking directly to Multimedia Australia’s Online Library website. Simply select the Obtain More Information Online button at the bottom of each topic!

HTML 4.01 Specification

HTML Element | Description
< A > | Anchor
< ABBR > | Abbreviated Form
< ACRONYM > | Acronym
< ADDRESS > | Address
< APPLET > | Applet
< AREA > | Area
< B > | Bold Text
< BASE > | Document Base URI
< BASEFONT > | Base Font
< BDO > | Bidirectional Algorithm Override
< BIG > | Large Text
< BLOCKQUOTE > | Blockquote
< BODY > | Document Body
< BR > | Forced Line Break
< BUTTON > | Button
< CAPTION > | Table Caption
< CENTER > | Center
< CITE > | Citation
< CODE > | Code
< COL > | Table Column
< COLGROUP > | Table Column Group
< DD > | Definition Description
< DEL > | Deleted Text
< DFN > | Defining Instance
< DIR > | Directory List
< DIV > | Generic Language/Style Container
< DL > | Definition List
< DT > | Definition Term
< EM > | Emphasis
< FIELDSET > | Form Control Group
< FONT > | Font Change
< FORM > | Interactive Form
< FRAME > | Frame
< FRAMESET > | Frameset
< H1 > | Heading 1
< H2 > | Heading 2
< H3 > | Heading 3
< H4 > | Heading 4
< H5 > | Heading 5
< H6 > | Heading 6
< HEAD > | Document Head
< HR > | Horizontal Rule
< HTML > | Document Root
< I > | Italic Text
< IFRAME > | Inline Frame
< IMG > | Image
< INPUT > | Form Control
< INS > | Inserted Text
< ISINDEX > | Single Line Prompt
< KBD > | Keyboard Input
< LABEL > | Label
< LEGEND > | Fieldset Legend
< LI > | List Item
< LINK > | Media-independent Link
< MAP > | Client-side Image Map
< MENU > | Menu List
< META > | Generic Metainformation
< NOFRAMES > | Noframes
< NOSCRIPT > | Noscript
< OBJECT > | Object
< OL > | Ordered List
< OPTGROUP > | Option Group
< OPTION > | Selectable Choice
< P > | Paragraph
< PARAM > | Named Property Value
< PRE > | Preformatted Text
< Q > | Quotation
< S > | Strike-through Text
< SAMP > | Sample
< SCRIPT > | Script
< SELECT > | Option Selector
< SMALL > | Small Text
< SPAN > | Span
< STRIKE > | Strike-through Text
< STRONG > | Stronger Emphasis
< STYLE > | Style Information
< SUB > | Subscript
< SUP > | Superscript
< TABLE > | Table
< TBODY > | Table Body
< TD > | Table Data Cell
< TEXTAREA > | Text Area Control
< TFOOT > | Table Footer
< TH > | Table Header Cell
< THEAD > | Table Header
< TITLE > | Document Title
< TR > | Table Row
< TT > | Teletype or Monospaced Text
< U > | Underlined Text
< UL > | Unordered List
< VAR > | Variable

CSS2 Specification

CSS2 Property
azimuth
background
background-attachment
background-color
background-image
background-position
background-repeat
border
border-bottom
border-bottom-color
border-bottom-style
border-bottom-width
border-collapse
border-color
border-left
border-left-color
border-left-style
border-left-width
border-right
border-right-color
border-right-style
border-right-width
order-spacing
border-style
border-top
border-top-color
border-top-style
border-top-width
border-width
bottom
caption-side
clear
clip
color
content
counter-increment
counter-reset
cue
cue-after
cue-before
cursor
direction
display
elevation
empty-cells
float
font
font-family
font-size
font-size-adjust
font-stretch
font-style
font-variant
font-weight
height
left
letter-spacing
line-height
list-style
list-style-image
list-style-position
list-style-type
margin
margin-bottom
margin-left
margin-right
margin-top
marker-offset
marks
max-height
max-width
min-height
min-width
orphans
outline
outline-color
outline-style
outline-width
overflow
padding
padding-bottom
padding-left
padding-right
padding-top
page
page-break-after
page-break-before
page-break-inside
pause
pause-after
pause-before
pitch
pitch-range
play-during
position
quotes
richness
right
size
speak
speak-header
speak-numeral
speak-punctuation
speech-rate
stress
table-layout
text-align
text-decoration
text-indent
text-shadow
text-transform
top
unicode-bidi
vertical-align
visibility
voice-family
volume
white-space
width
windows
word-spacing
z-index


HTML Reference: Character Entities

Character Entities

Although the characters available from the computer’s keyboard are usually sufficient for writing the content of webpage, you might need to insert special or reserved (code specific ie: angle brackets) characters. In these cases, HTML character entities can be used. These are small codes that create characters within a document.

There are two main types of character entities: character codes, and entity names. Character codes consist of a number (for example &#169; represents the copyright symbol, ©). Entity names, on the other hand, provide an easier to read method by using characters (for example &copy; represents the copyright symbol, ©).

This character entities section of the HTML reference consists of the following sections:

  • Standard Keyboard Characters: Character codes 00 to 159.
  • Latin-1 (ISO 8859-1) Characters: Character codes 160 to 255.

Obtain More Information Online


HTML 4.0 Character Entities: Standard Keyboard

The table of characters below lists characters &#00; to &#159; that are found on most keyboards. Although these are not often used, they might sometines be useful.

Symbol | Character Code | Entity Name
character numbers &#00; to &#08; are unused
(horizontal tab) | &#09; | (none)
(line feed) | &#10; | (none)
character numbers &#11; to &#31; are unused
(space) | &#32; | (none)
! | &#33; | (none)
" | &#34; | &quot;
# | &#35; | (none)
$ | &#36; | (none)
% | &#37; | (none)
& | &#38; | &amp;
' | &#39; | (none)
( | &#40; | (none)
) | &#41; | (none)
* | &#42; | (none)
+ | &#43; | (none)
, | &#44; | (none)
- | &#45; | (none)
. | &#46; | (none)
/ | &#47; | (none)
0 to 9 | &#48; to &#57; | (none)
: | &#58; | (none)
; | &#59; | (none)
< | &#60; | &lt;
= | &#61; | (none)
> | &#62; | &gt;
? | &#63; | (none)
@ | &#64; | (none)
A to Z | &#65; to &#90; | (none)
[ | &#91; | (none)
\ | &#92; | (none)
] | &#93; | (none)
^ | &#94; | (none)
_ | &#95; | (none)
` | &#96; | (none)
a to z | &#97; to &#122; | (none)
{ | &#123; | (none)
| | &#124; | (none)
} | &#125; | (none)
~ | &#126; | (none)
character numbers &#127; to &#159; are unused


HTML 4.0 Character Entities: Latin-1 (ISO 8859-1)

The table of characters below lists Latin-1 (ISO 8859-1) characters from &#160; to &#255;.

Symbol | Character Code | Entity Name
(nonbreaking space) | &#160; | &nbsp;
¡ | &#161; | &iexcl;
¢ | &#162; | &cent;
£ | &#163; | &pound;
¤ | &#164; | &curren;
¥ | &#165; | &yen;
¦ | &#166; | &brvbar;
§ | &#167; | &sect;
¨ | &#168; | &uml;
© | &#169; | &copy;
ª | &#170; | &ordf;
« | &#171; | &laquo;
¬ | &#172; | &not;
 | &#173; | &shy;
® | &#174; | &reg;
¯ | &#175; | &macr;
° | &#176; | &deg;
± | &#177; | &plusmn;
² | &#178; | &sup2;
³ | &#179; | &sup3;
´ | &#180; | &acute;
µ | &#181; | &micro;
¶ | &#182; | &para;
· | &#183; | &middot;
¸ | &#184; | &cedil;
¹ | &#185; | &sup1;
º | &#186; | &ordm;
» | &#187; | &raquo;
¼ | &#188; | &frac14;
½ | &#189; | &frac12;
¾ | &#190; | &frac34;
¿ | &#191; | &iquest;
À | &#192; | &Agrave;
Á | &#193; | &Aacute;
Â | &#194; | &Acirc;
Ã | &#195; | &Atilde;
Ä | &#196; | &Auml;
Å | &#197; | &Aring;
Æ | &#198; | &AElig;
Ç | &#199; | &Ccedil;
È | &#200; | &Egrave;
É | &#201; | &Eacute;
Ê | &#202; | &Ecirc;
Ë | &#203; | &Euml;
Ì | &#204; | &Igrave;
Í | &#205; | &Iacute;
Î | &#206; | &Icirc;
Ï | &#207; | &Iuml;
Ð | &#208; | &ETH;
Ñ | &#209; | &Ntilde;
Ò | &#210; | &Ograve;
Ó | &#211; | &Oacute;
Ô | &#212; | &Ocirc;
Õ | &#213; | &Otilde;
Ö | &#214; | &Ouml;
× | &#215; | &times;
Ø | &#216; | &Oslash;
Ù | &#217; | &Ugrave;
Ú | &#218; | &Uacute;
Û | &#219; | &Ucirc;
Ü | &#220; | &Uuml;
Ý | &#221; | &Yacute;
Þ | &#222; | &THORN;
ß | &#223; | &szlig;
à | &#224; | &agrave;
á | &#225; | &aacute;
â | &#226; | &acirc;
ã | &#227; | &atilde;
ä | &#228; | &auml;
å | &#229; | &aring;
æ | &#230; | &aelig;
ç | &#231; | &ccedil;
è | &#232; | &egrave;
é | &#233; | &eacute;
ê | &#234; | &ecirc;
ë | &#235; | &ecuml;
ì | &#236; | &igrave;
í | &#237; | &iacute;
î | &#238; | &icirc;
ï | &#239; | &iuml;
ð | &#240; | &eth;
ñ | &#241; | &ntilde;
ò | &#242; | &ograve;
ó | &#243; | &oacute;
ô | &#244; | &ocirc;
õ | &#245; | &otilde;
ö | &#246; | &ouml;
÷ | &#247; | &divide;
ø | &#248; | &oslash;
ù | &#249; | &ugrave;
ú | &#250; | &uacute;
û | &#251; | &ucirc;
ü | &#252; | &uuml;
ý | &#253; | &yacute;
þ | &#254; | &thorn;
ÿ | &#255; | &yuml;


CSS Reference: azimuth

azimuth

Property: azimuth

Possible Values: <angle> | [[ left-side | far-left | left | center-left | center | center-right | right | far-right | right-side ] || behind ] | leftwards | rightwards | inherit

Initial Value: center

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description

<angle>
The position is described using an angle within the range -360deg to 360deg. The value 0deg means directly ahead in the center of the sound stage.
left-side
Equivalent to 270deg. With behind 270deg.
far-left
Equivalent to 300deg. With behind 240deg.
left
Equivalent to 320deg. With behind 220deg.
center-left
Equivalent to 340deg. With behind 200deg.
center
Equivalent to 0deg. With behind 180deg.
center-right
Equivalent to 20deg. With behind 160deg.
right
Equivalent to 40deg. With behind 140deg.
far-right
Equivalent to 60deg. With behind 120deg.
right-side
Equivalent to 90deg. With behind 90deg.
leftwards
Moves the sound 20 degrees to the left of the current angle.
rightwards
Moves the sound 20 degrees to the right of the current angle.

Property Description
This property is used to mix one audio signal into different channels. It is usually used in spatial audio applications.


CSS Reference: background

background

Property: background

Possible Values: [<'background-color'> || <'background-image'> || <'background-repeat'> || <'background-attachment'> || <'background-position'>] | inherit

Initial Value: not defined

Applies to: all elements

Inherited: no

Percentages: allowed on 'background-position'

Media: visual

Property Description
A shorthand for setting the individual background properties ('background-color', background-image', 'background-repeat', 'background-attachment' and 'background-position').


CSS Reference: background-attachment

background-attachment

Property: background-attachment

Possible Values: scroll | fixed | inherit

Initial Value: scroll

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
Specifies whether a background image is fixed in one position or scrolls with the document.


CSS Reference: background-color

background-color

Property: background-color

Possible Values: <color> | transparent | inherit

Initial Value: transparent

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
Sets the background colour of an element. The value of this property can either be a colour value or the word transparent.


CSS Reference: background-image

background-image

Property: background-image

Possible Values: <uri> | none | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
Sets the background image of an element.


CSS Reference: background-position

background-position

Property: background-position

Possible Values: [ [<percentage> | <length> ]{1,2} | [ [top | center | bottom] || [left | center | right] ] ] | inherit

Initial Value: 0% 0%

Applies to: block-level and replaced elements

Inherited: no

Percentages: refer to the size of the box itself

Media: visual

Value Description

<percentage> <percentage>
Specifies the image's alignment in relation to its padding area. A value pair of O% O% corresponds to the image being placed in the upper left corner of the box's padding edge. A value pair of 100% 100% corresponds to the lower right corner of box's padding area.
<length> <length>
A value pair. Specifies the image's alignment using a unit identifier (eg: cm) in relation to its padding area.
top left
left top
Equivalent to 0% 0%.
top
top center
center top
Equivalent to 50% 0%.
right top
top right
Equivalent to 100% 0%.
left
left center
center left
Equivalent to 0% 50%.
center
center center
Equivalent to 50% 50%.
right
right center
center right
Equivalent to 100% 50%.
bottom left
left bottom
Equivalent to 0% 100%.
bottom
bottom center
center bottom
Equivalent to 50% 100%.
bottom right
right bottom
Equivalent to 100% 100%.

Property Description
Sets the initial position of a background image.


CSS Reference: background-repeat

background-repeat

Property: background-repeat

Possible Values: repeat | repeat-x | repeat-y | no-repeat | inherit

Initial Value: repeat

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description

repeat
The image is repeated horizontally and vertically.
repeat-x
The image is repeated horizontally.
repeat-y
The image is repeated vertically.
no-repeat
Only one copy of the image is displayed, and it is not repeated

Property Description
Specifies how a background image is tiled.


CSS Reference: border

border

Property: border

Possible Values: [ <'border-width'> || <'border-style'> || <color> ] | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
A shorthand property for border properties ('border-width', 'border-style' and 'color').


CSS Reference: border-bottom

border-bottom

Property: border-bottom

Possible Values: [ <'border-bottom-width'> || <'border-style'> || <color> ] | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
The shorthand property for setting the width, style and colour of a box's bottom border.


CSS Reference: border-bottom-color

border-bottom-color

Property: border-bottom-color

Possible Values: <color> | inherit

Initial Value: the value of the color property

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the colour of a box's bottom border.


CSS Reference: border-bottom-style

border-bottom-style

Property: border-bottom-style

Possible Values: <border-style> | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the style of a box's bottom border.


CSS Reference: border-bottom-width

border-bottom-width

Property: border-bottom-width

Possible Values: <border-width> | inherit

Initial Value: medium

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the width of a box's bottom border.


CSS Reference: border-collapse

border-collapse

Property: border-collapse

Possible Values: collapse | separate | inherit

Initial Value: collapse

Applies to: table and inline-table elements.

Inherited: yes

Percentages: N/A

Media: visual

Value Description

collapse
Selects the collapsing borders model
separate
Selects the separated border model.

Property Description
Selects a table's border model.


CSS Reference: border-color

border-color

Property: border-color

Possible Values: <color>{1,4} | transparent | inherit

Initial Value: based on individual properties

Applies to: all elements.

Inherited: no

Percentages: N/A

Media: visual

Value Description

<color>
Specifies a colour value.
transparent
The border is transparent.

Property Description
This property can have one to four values, each of which apply to different sides as outlined below:

  • If there is one value, it applies to all sides.
  • If there are two values, the first value applies to the top and bottom borders and the second value applies to the right and left borders.
  • If there are three values, the first value applies to the top, the second value applies to the left and right and the third value applies to the bottom.
  • If there are four values, they apply to the top, right, bottom and left respectively.


CSS Reference: border-left

border-left

Property: border-left

Possible Values: [ <'border-left-width'> || <'border-style'> || <color> ] | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property is the shorthand for setting the width, style and colour of a box's left border.


CSS Reference: border-left-color

border-left-color

Property: border-left-color

Possible Values: <color> | inherit

Initial Value: the value of the color property

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the colour of a box's left border.


CSS Reference: border-left-style

border-left-style

Property: border-left-style

Possible Values: <border-style> | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the style of a box's left border.


CSS Reference: border-left-width

border-left-width

Property: border-left-width

Possible Values: <border-width> | inherit

Initial Value: medium

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the width of a box's left border.


CSS Reference: border-right

border-right

Property: border-right

Possible Values: [ <'border-right-width'> || <'border-style'> || <color> ] | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property is the shorthand for setting the width, style and colour of a box's right border.


CSS Reference: border-right-color

border-right-color

Property: border-right-color

Possible Values: <color> | inherit

Initial Value: the value of the color property

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the colour of a box's right border.


CSS Reference: border-right-style

border-right-style

Property: border-right-style

Possible Values: <border-style> | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the style of a box's right border.


CSS Reference: border-right-width

border-right-width

Property: border-right-width

Possible Values: <border-width> | inherit

Initial Value: medium

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the width of a box's right border.


CSS Reference: border-spacing

border-spacing

Property: border-spacing

Possible Values: <length> <length>? | inherit

Initial Value: 0

Applies to: table and inline-table elements.

Inherited: yes

Percentages: N/A

Media: visual

Property Description
The lengths specify the separation distance between adjacent cell borders. If one length is specified, both the horizontal and vertical spacing are given. If two are specified, the first gives the horizontal spacing and the second gives the vertical spacing.


CSS Reference: border-style

border-style

Property: border-style

Possible Values: <border-style>{1,4} | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

none
No border.
hidden
Similar to none
dotted
A series of dots
hidden
Similar to none
dotted
A series of dots
dashed
A series of dashes
solid
A single line
double
Two lines
groove
A 3D line "cut" in.
ridge
A 3D line "pushed" out.
inset
The box looks as though it is embedded.
outset
The opposite of inset. The box looks as though it were coming out.

Property Description
This property sets the border style.


CSS Reference: border-top

border-top

Property: border-top

Possible Values: [ <'border-top-width'> || <'border-style'> || <color> ] | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property is the shorthand for setting the width, style and colour of a box's top border.


CSS Reference: border-top-color

border-top-color

Property: border-top-color

Possible Values: <color> | inherit

Initial Value: the value of the color property

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the colour of a box's top border.


CSS Reference: border-top-style

border-top-style

Property: border-top-style

Possible Values: <border-style> | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the style of a box's top border.


CSS Reference: border-top-width

border-top-width

Property: border-top-width

Possible Values: <border-width> | inherit

Initial Value: medium

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
This property sets the width of a box's top border.


CSS Reference: border-width

border-width

Property: border-width

Possible Values: thin | medium | thick | <length> | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

thin
A thin border.
medium
A medium border
thick
A thick border
<length>
The width of the border is expressed as a positive numeric value.

Property Description
A shorthand for setting the individual properties: 'border-top-width', 'border-right-width', 'border-bottom-width' and 'border-left-width'.


CSS Reference: bottom

bottom

Property: bottom

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: positioned elements

Inherited: no

Percentages: refer to height of containing block

Media: visual

Property Description
Specifies how far a box's bottom content edge is offset above the bottom of the box's containing block.


CSS Reference: caption-side

caption-side

Property: caption-side

Possible Values: top | bottom | left | right | inherit

Initial Value: top

Applies to: table-caption elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

top
The caption is placed above the table
bottom
The caption is placed below the table
left
The caption is placed to the left of the table
right
The caption is placed to the right of the table

Property Description
This property specifies the position of the caption in relation to the table.


CSS Reference: clip

clip

Property: clip

Possible Values: <shape> | auto | inherit

Initial Value: auto

Applies to: block-level and replaced elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

auto
The clipping region has an identical size and location as the element's box/boxes.
<shape>
Specifies the offsets from the sides of the box. Values for <shape> are rect(<top> <right> <bottom> <left>

Property Description
This property is used for elements that have an overflow property with a value other than visible.


CSS Reference: color

color

Property: color

Possible Values: <color> | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Property Description
Specifies the text foreground colour.


CSS Reference: content

content

Property: content

Possible Values: [ <string> | <uri> | <counter> | attr(X) | open-quote | close-quote | no-open-quote | no-close-quote ]+ | inherit

Initial Value: empty string

Applies to: :before and :after pseudo-elements

Inherited: no

Percentages: N/A

Media: all

Value Description Values include:

<string>
Specifies text.
<uri>
A URI that specifies an external resource.
<counter>
Automatic numbering
open-quote
Refers to the first pair of quotes.
close-quote
Refers to the second pair of quotes.
no-open-quote
Increments the nesting level of quotes, but doesn't insert anything.
no-close-quote
Decrements the nesting level of quotes, but doesn't insert anything.
attr(x)
Causes the value of attribute X to be returned.

Property Description
This property generates content when used in conjunction with the :before and :after pseudo-elements.


CSS Reference: counter-increment

counter-increment

Property: counter-increment

Possible Values: [ <identifier> <integer>? ]+ | none | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: all

Property Description
Contains names of counters (identifiers), optionally followed by a number that sets how much the counter is incremented each time the element occurs.


CSS Reference: counter-reset

counter-reset

Property: counter-reset

Possible Values: [ <identifier> <integer>? ]+ | none | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: all

Property Description
Contains names of counters (identifiers), optionally followed by a number that sets the value the counter is set to each time the element occurs.


CSS Reference: cue

cue

Property: cue

Possible Values: [ <'cue-before'> || <'cue-after'> ] | inherit

Initial Value: not defined

Applies to: all elements

Inherited: no

Percentages: N/A

Media: aural

Property Description
A shorthand property for setting 'cue-before' and 'cue-after'.


CSS Reference: cue-after

cue-after

Property: cue-after

Possible Values: <uri> | none | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: aural

Value Description Values include:

<uri>
Specifies an icon resource in the form of an audio file.
none
No icon resource is specified.

Property Description
Specifies an auditory resource icon.


CSS Reference: cue-before

cue-before

Property: cue-before

Possible Values: <uri> | none | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: aural

Value Description Values include:

<uri>
Specifies an icon resource in the form of an audio file.
none
No icon resource is specified.

Property Description
Specifies an auditory resource icon.


CSS Reference: cursor

cursor

Property: cursor

Possible Values: [ [<uri> ,]* [ auto | crosshair | default | pointer | move | e-resize | ne-resize | nw-resize | n-resize | se-resize | sw-resize | s-resize | w-resize| text | wait | help ] ] | inherit

Initial Value: auto

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual and interactive

Value Description Values include:

auto
The type of cursor to display is based upon default style.
crosshair
A crosshair cursor.
default
The default cursor for the computer platform. It is often in the form of an arrow.
pointer
A cursor style for a link.
move
A cursor that shows that something is to be moved.
e-resize, ne-resize, nw-resize, se-resize, sw-resize, s-resize, w-resize.
A cursor that shows that some side is to be moved. The values correspond to east, north-east, north-west, south-east, south-west, south and west respectively.
text
A cursor style appropriate for text.
wait
A cursor that shows that the user should wait. The style of cursor is often in the form of an hourglass.
help
A cursor that shows that help is available for the object.
<uri>
A list that points to a custom-made cursors. The first cursor in the list that is able to be displayed is used.

Property Description
This property specifies the type of cursor style to be used.


CSS Reference: direction

direction

Property: direction

Possible Values: ltr | rtl | inherit

Initial Value: ltr

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

ltr
A left-to-right text direction.
rtl
A right-to-left text direction.

Property Description
Specifies the text direction.


CSS Reference: display

display

Property: display

Possible Values: inline | block | list-item | run-in | compact | marker | table | inline-table | table-row-group | table-header-group | table-footer-group | table-row | table-column-group | table-column | table-cell | table-caption | none | inherit

Initial Value: inline

Applies to: all elements

Inherited: no

Percentages: N/A

Media: all

Value Description Values include:

block
Creates a block box.
inline
Creates an inline box.
list-item
Creates a block box and a list-item inline box.
marker
Specifies generated content before or after a box to be a marker.
none
No boxes are created.
run-in
Creates block or inline boxes depending on its context.
compact
Creates block or inline boxes depending on its context.
table, inline-table, table-row-group, table-column, table-column-group, table-header-group, table-footer-group, table-row, table-cell, table-caption
Cause an element to act like a table element.

Property Description
Specifies the display format.


CSS Reference: elevation

elevation

Property: elevation

Possible Values: <angle> | below | level | above | higher | lower | inherit

Initial Value: level

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<angle>
The elevation is expressed as an angle between -90deg and 90deg with 0deg referring to the forward position.
below
-90deg
level
0deg
above
90deg
higher
Adds 10 degrees to the current elevation.
lower
Subtracts 10 degrees from the current elevation

Property Description
Specifies sound the elevation.


CSS Reference: empty-cells

empty-cells

Property: empty-cells

Possible Values: show | hide | inherit

Initial Value: show

Applies to: table-cell elements

Inherited: yes

Percentages: N/A

Media: visual

Property Description
This property sets the rendering of borders around cells that have no visible content (for example those containing the whitespace character &nbsp;).


CSS Reference: float

float

Property: float

Possible Values: left | right | none | inherit

Initial Value: none

Applies to: all elements except for positioned elements and generated content

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

left
A block box that that is floated to the left. Content flows on the right side of the box, starting at the top.
right
Same as for left, but content flows on the left side of the box, starting at the top.
none
The block box is not floated.

Property Description
Specifies whether a block box should float to the left, right or if at all.


CSS Reference: font

font

Property: font

Possible Values: [ [ <'font-style'> || <'font-variant'> || <'font-weight'> ]? <'font-size'> [ / <'line-height'> ]? <'font-family'> ] | caption | icon | menu | message-box | small-caption | status-bar | inherit

Initial Value: based on individual properties

Applies to: all elements

Inherited: yes

Percentages: on font-size and line-height

Media: visual

Property Description
A shorthand property for setting 'font-style', 'font-variant', 'font-weight', 'font-size', 'line-height' and 'font-family'.


CSS Reference: font-family

font-family

Property: font-family

Possible Values: [[ <family-name> | <generic-family> ],]* [<family-name> | <generic-family>] | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

<family-name>
Specifies the name of a font family.
<generic-family>
Specifies a generic font family.

Property Description
Specifies a list of font family names and/or generic family names. The first font contained on the list that is available on the computer is used.


CSS Reference: font-size

font-size

Property: font-size

Possible Values: <absolute-size> | <relative-size> | <length> | <percentage> | inherit

Initial Value: medium

Applies to: all elements

Inherited: yes

Percentages: parent element's font size

Media: visual

Value Description Values include:

<absolute-size>
[ xx-small | x-small | small | medium | large | x-large | xx-large ]
<relative-size>
[ larger | smaller ]
<length>
Specifies an absolute font size.
<percentages>
Specifies an absolute font size relative to the parent element's font size.

Property Description
This property sets the size of the font.


CSS Reference: font-size-adjust

font-size-adjust

Property: font-size-adjust

Possible Values: <number> | none | inherit

Initial Value: none

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

none
The font's height is not preserved.
<number>
Specifies the aspect value.

Property Description
Specifies an aspect value for an element. It allows the first font's x-height to be preserved when a substitute font is used.


CSS Reference: font-stretch

font-stretch

Property: font-stretch

Possible Values: normal | wider | narrower | ultra-condensed | extra-condensed | condensed | semi-condensed | semi-expanded | expanded | extra-expanded | ultra-expanded | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Property Description
Selects a normal, condensed or extended face from a font.


CSS Reference: font-style

font-style

Property: font-style

Possible Values: normal | italic | oblique | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

normal
Specifies a normal font.
oblique
Specifies a font that is oblique.
italic
Specifies a font that is italic.

Property Description
Specifies an aspect value for an element. It allows the first font's x-height to be preserved when a substitute font is used.


CSS Reference: font-variant

font-variant

Property: font-variant

Possible Values: normal | small-caps | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

normal
Specifies a font that is not a small-caps font.
small-caps
Specifies a font that is a small-caps font. When used, all letters are in capitals with uppercase letters larger in size than lowercase ones.

Property Description
This property specifies if the font is to be displayed as normal or small-caps.


CSS Reference: font-weight

font-weight

Property: font-weight

Possible Values: normal | bold | bolder | lighter | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

100 to 900
Each number creates a weight that is darker than the previous one.
normal
Same as 400.
bold
Same as 700.
bolder
Creates a font weight that is darker than the inherited one.
lighter
Creates a font weight that is lighter than the inherited one.

Property Description
This property specifies the weight of the font.


CSS Reference: height

height

Property: height

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: all elements except non-replaced inline elements and table columns and groups

Inherited: no

Percentages: as appropriate

Media: visual

Value Description Values include:

<length>
Sets a fixed height
<percentage>
Specifies a height as a percentage.
auto
The height is automatically adjusted depending on the content.

Property Description
This property specifies the content height.


CSS Reference: left

left

Property: left

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: positioned elements

Inherited: no

Percentages: refer to the width of the containing block

Media: visual

Value Description Values include:

<length>
Sets a fixed size from the edge.
<percentage>
Specifies a size as a percentage.
auto
The effect of this value varies.

Property Description
This property specifies the offset from a box's left content edge to the right of the left edge of the box's containing block.


CSS Reference: letter-spacing

letter-spacing

Property: letter-spacing

Possible Values: normal | <length> | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

normal
The font's normal spacing.
<length>
Sets the spacing between characters.

Property Description
This property controls the spacing between characters in strings of text.


CSS Reference: line-height

line-height

Property: line-height

Possible Values: normal | <number> | <length> | <percentage> | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: see the font size of the element.

Media: visual

Value Description Values include:

normal
Sets the value to the normal size.
<length>
Sets the box height.
<number>
When used, the line height is calculated by multiplying the font size by the number.
<percentage>
When used, the line height is calculated by multiplying the font size by the percentage.

Property Description
This property specifies the spacing between baselines of text.


CSS Reference: list-style

list-style

Property: list-style

Possible Values: [ <'list-style-type'> || <'list-style-position'> || <'list-style-image'> ] | inherit

Initial Value: not defined for shorthand properties

Applies to: elements with display: list-item

Inherited: yes

Percentages: N/A

Media: visual

Property Description
A shorthand property for setting 'list-style-type', 'list-style-image' and 'list-style-position'.


CSS Reference: list-style-image

list-style-image

Property: list-style-image

Possible Values: <uri> | none | inherit

Initial Value: none

Applies to: elements with display: list-item

Inherited: yes

Percentages: N/A

Media: visual

Property Description
Sets the image that is to be used as the list item marker.


CSS Reference: list-style-position

list-style-position

Property: list-style-position

Possible Values: inside | outside | inherit

Initial Value: outside

Applies to: elements with display: list-item

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

outside
The marker box is outside the block box.
inside
The marker box is the first inline box in the block box.

Property Description
This property specifies the marker box's position in the block box.


CSS Reference: list-style-type

list-style-type

Property: list-style-type

Possible Values: disc | circle | square | decimal | decimal-leading-zero | lower-roman | upper-roman | lower-greek | lower-alpha | lower-latin | upper-alpha | upper-latin | hebrew | armenian | georgian | cjk-ideographic | hiragana | katakana | hiragana-iroha | katakana-iroha | none | inherit

Initial Value: disk

Applies to: elements with display: list-item

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

decimal
Decimal numbers
decimal-leading-zero
Decimal numbering with leading zeros.
lower-roman
Lowercase roman numbering.
upper-roman
Uppercase roman numerals.
hebrew
Traditional Hebrew numbering.
georgian
Traditional Georgian numbering.
armenian
Traditional Armenian numbering.
cjk-ideographic
Plain ideographic numbers.
hiragana
a, i, u, e, o, ka, ki, ...
katakana
A, I, U, E, O, KA, KI, ...
hiragana-iroha
i, ro, ha, ni, ho, he, to, ...
katakana-iroha
I, RO, HA, NI, HO, HE, TO, ...
lower-latin or lower-alpha
Lowercase ASCII letters.
upper-latin or upper-alpha
Uppercase ASCII letters.
lower-greek
Lowercase classical Greek.

Property Description
This property specifies the appearance of the list item marker.


CSS Reference: margin

margin

Property: margin

Possible Values: <margin-width>{1,4} | inherit

Initial Value: not defined for shorthand properties

Applies to: all elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
A shorthand property for setting 'margin-top', 'margin-right', 'margin-bottom' and 'margin-left'.


CSS Reference: margin-bottom

margin-bottom

Property: margin-bottom

Possible Values: <margin-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
Sets the bottom margin of a box.


CSS Reference: margin-left

margin-left

Property: margin-left

Possible Values: <margin-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
Sets the left margin of a box.


CSS Reference: margin-right

margin-right

Property: margin-right

Possible Values: <margin-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
Sets the right margin of a box.


CSS Reference: margin-top

margin-top

Property: margin-top

Possible Values: <margin-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
Sets the top margin of a box.


CSS Reference: marker-offset

marker-offset

Property: marker-offset

Possible Values: <length> | auto | inherit

Initial Value: auto

Applies to: elements with display: marker

Inherited: no

Percentages: N/A

Media: visual

Property Description
Sets the distance between the nearest border edges of a marker box and its accompanying principal box.


CSS Reference: marks

marks

Property: marks

Possible Values: [ crop || cross ] | none | inherit

Initial Value: none

Applies to: page context

Inherited: N/A

Percentages: N/A

Media: visual and paged

Property Description
Specifies whether cross or crop marks or both should be drawn just outside the page box edge. Marks are often used in high quality printing.


CSS Reference: max-height

max-height

Property: max-height

Possible Values: <length> | <percentage> | none | inherit

Initial Value: none

Applies to: All elements except non-replaced inline elements and tables.

Inherited: no

Percentages: refer to height of containing block

Media: visual

Value Description Values include:

<length>
Specifies the maximum height.
<percentage>
Specifies a percentage for setting the value.
none
There is no limit on the height of the box.

Property Description
Allows box heights to be constrained to a certain range.


CSS Reference: max-width

max-width

Property: max-width

Possible Values: <length> | <percentage> | none | inherit

Initial Value: none

Applies to: All elements except non-replaced inline elements and tables.

Inherited: no

Percentages: refer to width of containing block

Media: visual

Value Description Values include:

<length>
Specifies the maximum width.
<percentage>
Specifies a percentage for setting the value.
none
There is no limit on the width of the box.

Property Description
Allows box widths to be constrained to a certain range.


CSS Reference: min-height

min-height

Property: min-height

Possible Values: <length> | <percentage> | inherit

Initial Value: 0

Applies to: All elements except non-replaced inline elements and tables.

Inherited: no

Percentages: refer to height of containing block

Media: visual

Value Description Values include:

<length>
Specifies the minimum height.
<percentage>
Specifies a percentage for setting the value.

Property Description
Allows box heights to be constrained to a certain range.


CSS Reference: min-width

min-width

Property: min-width

Possible Values: <length> | <percentage> | inherit

Initial Value: UA dependent

Applies to: All elements except non-replaced inline elements and tables.

Inherited: no

Percentages: refer to width of containing block

Media: visual

Value Description Values include:

<length>
Specifies the minimum width.
<percentage>
Specifies a percentage for setting the value.

Property Description
Allows box widths to be constrained to a certain range.


CSS Reference: orphans

orphans

Property: orphans

Possible Values: <integer> | inherit

Initial Value: 2

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual and paged

Property Description
Specifies the minimum number of paragraph lines that must be left at the bottom of a page.


CSS Reference: outline

outline

Property: outline

Possible Values: [ <'outline-color'> || <'outline-style'> || <'outline-width'> ] | inherit

Initial Value: see individual properties

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual and interactive

Property Description
A shorthand property for setting 'outline-style', 'outline-width' and 'outline-color'.


CSS Reference: outline-color

outline-color

Property: outline-color

Possible Values: <color> | invert | inherit

Initial Value: invert

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual and interactive

Property Description
Specifies the colour of an outline. The value can be all colours as well as the keyword 'invert' which inverts the colours displayed on the screen.


CSS Reference: outline-style

outline-style

Property: outline-style

Possible Values: <border-style> | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual and interactive

Value Description Values include:

none
No border.
hidden
Similar to none
dotted
A series of dots
dotted
A series of dots
dashed
A series of dashes
solid
A single line
double
Two lines
groove
A 3D line "cut" in.
ridge
A 3D line "pushed" out.
inset
The box looks as though it is embedded.
outset
The opposite of inset. The box looks as though it were coming out.

Property Description
This property sets the border style.


CSS Reference: outline-width

outline-width

Property: outline-width

Possible Values: <border-width> | inherit

Initial Value: medium

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual and interactive

Property Description
Specifies the width of the border.


CSS Reference: overflow

overflow

Property: overflow

Possible Values: visible | hidden | scroll | auto | inherit

Initial Value: visible

Applies to: block-level and replaced elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

visible
Content is not clipped
hidden
The content is clipped and can not be scrolled.
scroll
The content is clipped and can be scrolled.
auto
Scrolling is possible when required.

Property Description
Specifies if content is clipped when it overflows an element's box, and if if can be scrolled.


CSS Reference: padding-bottom

padding-bottom

Property: padding-bottom

Possible Values: <padding-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of content block

Media: visual

Property Description
Sets the bottom padding of a box.


CSS Reference: padding-left

padding-left

Property: padding-left

Possible Values: <padding-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of content block

Media: visual

Property Description
Sets the left padding of a box.


CSS Reference: padding-right

padding-right

Property: padding-right

Possible Values: <padding-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of content block

Media: visual

Property Description
Sets the right padding of a box.


CSS Reference: padding-top

padding-top

Property: padding-top

Possible Values: <padding-width> | inherit

Initial Value: 0

Applies to: all elements

Inherited: no

Percentages: refer to width of content block

Media: visual

Property Description
Sets the top padding of a box.


CSS Reference: page

page

Property: page

Possible Values: <identifier> | auto

Initial Value: auto

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual and paged

Property Description
Specifies a type of page where an element should be displayed.


CSS Reference: page-break-after

page-break-after

Property: page-break-after

Possible Values: auto | always | avoid | left | right | inherit

Initial Value: auto

Applies to: block-level elements

Inherited: no

Percentages: N/A

Media: visual and paged

Value Description Values include:

auto
A page break is neither forced or forbidden.
always
A page break is always forced.
avoid
A page break is avoided.
left
Force page break(s) so that the next page is formatted as a left page.
right
Force page break(s) so that the next page is formatted as a right page.

Property Description
This property helps to force or forbid a page break after a box.


CSS Reference: page-break-before

page-break-before

Property: page-break-before

Possible Values: auto | always | avoid | left | right | inherit

Initial Value: auto

Applies to: block-level elements

Inherited: no

Percentages: N/A

Media: visual and paged

Value Description Values include:

auto
A page break is neither forced or forbidden.
always
A page break is always forced.
avoid
A page break is avoided.
left
Force page break(s) so that the next page is formatted as a left page.
right
Force page break(s) so that the next page is formatted as a right page.

Property Description
This property helps to force or forbid a page break before a box.


CSS Reference: page-break-inside

page-break-inside

Property: page-break-inside

Possible Values: avoid | auto | inherit

Initial Value: auto

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual and paged

Value Description Values include:

avoid
A page break is avoided.
auto
A page break is neither forced or forbidden.

Property Description
This property helps to specify a potential page break location.


CSS Reference: pause

pause

Property: pause

Possible Values: [ [<time> | <percentage>]{1,2} ] | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: no

Percentages: see pause-before and pause-after

Media: aural

Property Description
A shorthand property for setting 'pause-before' and 'pause-after'.


CSS Reference: pause-after

pause-after

Property: pause-after

Possible Values: <time> | <percentage> | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: no

Percentages: see below

Media: aural

Value Description Values include:

<time>
Sets the pause in seconds and milliseconds.
<percentage>
The inverse of the value of speech-rate.

Property Description
Specifies a pause after a speaking element's content.


CSS Reference: pause-before

pause-before

Property: pause-before

Possible Values: <time> | <percentage> | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: no

Percentages: see below

Media: aural

Value Description Values include:

<time>
Sets the pause in seconds and milliseconds.
<percentage>
The inverse of the value of speech-rate.

Property Description
Specifies a pause before a speaking element's content.


CSS Reference: pitch

pitch

Property: pitch

Possible Values: <frequency> | x-low | low | medium | high | x-high | inherit

Initial Value: medium

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<frequency>
Specifies the pitch of the speaking voice. The value is in hertz (Hz).
xlow, low, medium, high, x-high
Creates frequencies based upon both the voice family and the user environment.

Property Description
Specifies the average pitch of the speaking voice. This pitch is dependant on the voice family.


CSS Reference: pitch-range

pitch-range

Property: pitch-range

Possible Values: <number> | inherit

Initial Value: 50

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Property Description
Specifies the amount of variation in the pitch. In humans, the average voice pitch is 120Hz for a male and 210Hz for a female. Inflections and pitches also vary with the language.


CSS Reference: play-during

play-during

Property: play-during

Possible Values: <uri> mix? repeat? | auto | none | inherit

Initial Value: auto

Applies to: all elements

Inherited: no

Percentages: N/A

Media: aural

Value Description Values include:

<uri>
This uri specifies the uri that is played in the background while the element's content is spoken.
mix
A keyword that causes the sound from the parent element's 'play-during' property to play continuously and the sound specified by <uri> is mixed with it.
repeat
A keyword that causes the sound to be repeated if it is too short to fill the entire duration of the element.
auto
The parent element's sound continues to play.
mix
A keyword that specifies that there should be silence.

Property Description
Specifies a sound that is to be played in the background while an element's content is spoken.


CSS Reference: position

position

Property: position

Possible Values: static | relative | absolute | fixed | inherit

Initial Value: static

Applies to: all elements except generated content

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

static
A normal box.
relative
The box is positioned according to the normal flow and offset relative to its normal position.
absolute
The position of the box is specified with the 'left', 'right', 'top', and 'bottom' properties.
fixed
The position of the box is based upon the 'absolute' model as well as being fixed with respect to some reference.

Property Description
Specifies which CSS2 positioning algorithms should be used for a box.


CSS Reference: quotes

quotes

Property: quotes

Possible Values: [<string> <string>]+ | none | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

none
Causes no quotation marks to be produced by the 'open-quote' and 'close-quote' values.
[<string> <string>]+
A list of pairs of quotation marks from which the 'open-quote' and 'close-quote' values are taken from. The first pair represents the outermost level of quotation. Following pairs cause the quotation be embedded below the previous one.

Property Description
Specifies quotation marks for embedded quotations.


CSS Reference: richness

richness

Property: richness

Possible Values: <number> | inherit

Initial Value: 50

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<number>
A number between 0 and 100 that specifies how much the voice will carry (if a high value) or how soft the voice will be (if a lower value).

Property Description
Specifies the richness of the speaking voice.


CSS Reference: right

right

Property: right

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: positioned elements

Inherited: no

Percentages: refer to width of containing block

Media: visual

Property Description
Specifies how far a box's right content edge is offset above the right of the box's containing block.


CSS Reference: size

size

Property: size

Possible Values: <length>{1,2} | auto | portrait | landscape | inherit

Initial Value: auto

Applies to: the page context

Inherited: N/A

Percentages: N/A

Media: visual and paged

Value Description Values include:

auto
The page box is the same size and orientation as the target sheet.
landscape
The page box is the same size as the target, in landscape orientation (the longer sides being horizontal).
portrait
The page box is the same size as the target, in portrait orientation (the shorter sides being horizontal).

Property Description
Specifies the size and orientation (landscape or portrait) of a page box.


CSS Reference: speak

speak

Property: speak

Possible Values: normal | none | spell-out | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

none
Aural rendering is suppressed.
normal
Language-dependent pronunciation is used.
spell-out
Spells the text using one letter at a time.

Property Description
Specifies if text should be rendered aurally, and the manner in which it is.


CSS Reference: speak-header

speak-header

Property: speak-header

Possible Values: once | always | inherit

Initial Value: once

Applies to: all elements with table header information

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

once
The header is spoken once before a series of cells.
always
The header is spoken before every pertinent cell.

Property Description
Specifies whether table headers are spoken before every cell, or only before a cell that corresponds to a different header than the previous cell.


CSS Reference: speak-numeral

speak-numeral

Property: speak-numeral

Possible Values: digits | continuous | inherit

Initial Value: continuous

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

digits
Speak the numeral as individual digits. For example, "123" is spoken "One Two Three".
continuous
Speak the numeral as a full number. For example, "123" is spoken "One hundred twenty three".

Property Description
Specifies how numerals are spoken.


CSS Reference: speak-punctuation

speak-punctuation

Property: speak-punctuation

Possible Values: code | none | inherit

Initial Value: none

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

code
Punctuation is spoken literally.
none
Punctuation is not spoken, but the speech is rendered accordingly.

Property Description
Specifies if punctuation is spoken or if it is used to render the speech appropriately.


CSS Reference: speech-rate

speech-rate

Property: speech-rate

Possible Values: <number> | x-slow | slow | medium | fast | x-fast | faster | slower | inherit

Initial Value: medium

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<number>
The speaking rate is specified in words per minute.
x-slow
80 words per minute.
slow
120 words per minute.
medium
180 to 200 words per minute.
fast
300 words per minute.
faster
40 words per minute are added to the current speech rate.
slower
40 words per minute are subtracted from the current speech rate.

Property Description
Specifies the speaking rate.


CSS Reference: stress

stress

Property: stress

Possible Values: <number> | inherit

Initial Value: 50

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<number>
A value between 0 and 100 that specifies the amount of stress of the spoken language.

Property Description
Specifies the height of "local peaks" in the intonation contour of a voice.


CSS Reference: table-layout

table-layout

Property: table-layout

Possible Values: auto | fixed | inherit

Initial Value: auto

Applies to: table and inline-table elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

fixed
Causes the fixed table layout algorithm to be used.
auto
Causes any automatic table layout algorithm to be used.

Property Description
Specifies the algorithm used to lay out a table's cells, rows and columns.


CSS Reference: text-align

text-align

Property: text-align

Possible Values: left | right | center | justify | <string> | inherit

Initial Value: depends on web browser and the writing direction

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

left, right, center, justify
Left, right, centred and double justification respectively.
<string>
Applies only to table cells. Specifies a string on which cells in a table column will align.

Property Description
Sets the alignment of text.


CSS Reference: text-decoration

text-decoration

Property: text-decoration

Possible Values: none | [ underline || overline || line-through || blink ] | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

none
No text decoration is used.
underline
Text is underlined.
overline
Text has a line above it.
line-through
Text has a line through its middle.
blink
Text alternates between being visible and invisible.

Property Description
Specifies decorations that should be used in the display of text.


CSS Reference: text-indent

text-indent

Property: text-indent

Possible Values: <length> | <percentage> | inherit

Initial Value: 0

Applies to: block-level elements

Inherited: yes

Percentages: refer to the width of the containing block

Media: visual

Value Description Values include:

<length>
The indentation is a fixed length.
<percentage>
The indentation is variable based upon a percentage.

Property Description
Specifies the indentation of the first line of text in a block.


CSS Reference: text-shadow

text-shadow

Property: text-shadow

Possible Values: none | [<color> || <length> <length> <length>? ,]* [<color> || <length> <length> <length>?] | inherit

Initial Value: none

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Property Description
A comma-separated list of shadow effects that is to be applied to the text of the element. The effects are applied in the order specified.


CSS Reference: text-transform

text-transform

Property: text-transform

Possible Values: capitalize | uppercase | lowercase | none | inherit

Initial Value: none

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

capitalize
The first character of each word is in uppercase.
uppercase
All characters of each word are in uppercase.
lowercase
All characters of each word are in lowercase.
none
No capitalization.

Property Description
Controls capitalisation effects in a string of text.


CSS Reference: top

top

Property: top

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: positioned elements

Inherited: no

Percentages: refer to height of containing block

Media: visual

Property Description
Specifies how far a box's top content edge is offset below the bottom of the box's containing block.


CSS Reference: unicode-bidi

unicode-bidi

Property: unicode-bidi

Possible Values: normal | embed | bidi-override | inherit

Initial Value: normal

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

normal
No extra embedding level is opened with respect to the bidirectional algorithm.
embed
An additional level of embedding is provided with respect to the bidirectional algorithm if the element is inline-level.
bidi-override
An override is created if the element is inline-level or a block-level element that contains only inline-level elements.

Property Description
(see above values)


CSS Reference: vertical-align

vertical-align

Property: vertical-align

Possible Values: baseline | sub | super | top | text-top | middle | bottom | text-bottom | <percentage> | <length> | inherit

Initial Value: baseline

Applies to: inline-level and table-cell elements.

Inherited: no

Percentages: refer to the line-height of the element

Media: visual

Value Description Values include:

baseline
The baseline of the box is aligned to the baseline of the parent box. If no baseline exists for the box, the bottom of it is aligned with the parent's baseline.
middle
Align the middle of the box with the baseline of the parent box plus half the x-height of the parent.
sub
The box's baseline is lowered to the point for subscripts of the parent's box.
super
The box's baseline is raised to the point for superscripts of the parent's box.
text-top
The top of the box is aligned with the top of the parent element's font.
text-bottom
The bottom of the box is aligned with the bottom of the parent element's font.
<percentage>
Raise (if a positive value) or lower (if a negative value) the box by this percentage. A value of 0% corresponds to the baseline.
<length>
Raise (if a positive value) or lower (if a negative value) the box by this length. A value of 0cm corresponds to the baseline.

Property Description
Sets the vertical positioning.


CSS Reference: visibility

visibility

Property: visibility

Possible Values: visible | hidden | collapse | inherit

Initial Value: inherit

Applies to: all elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

visible
The box is visible
hidden
The box is transparent but still affects layout.
collapse
If used for row, row group, column and column group elements, it removes the entire row or column. The space can then be used by another row or column. On other elements, this value performs the same function as 'hidden'.

Property Description
Specifies whether or not boxes are visible. If they are set not to be visible, they still affect the overall layout of the page.


CSS Reference: voice-family

voice-family

Property: voice-family

Possible Values: [[<specific-voice> | <generic-voice> ],]* [<specific-voice> | <generic-voice> ] | inherit

Initial Value: depends on web browser

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: aural

Value Description Values include:

<generic-voice>
The values are voice families.
<specific-voice>
The values are specific instances.

Property Description
Provides a comma-separated list of voice family names to be used in order of priority.


CSS Reference: volume

volume

Property: volume

Possible Values: <number> | <percentage> | silent | x-soft | soft | medium | loud | x-loud | inherit

Initial Value: medium

Applies to: all elements

Inherited: yes

Percentages: refer to the inherited value

Media: aural

Value Description Values include:

<number>
A number between 0 and 100; 0 being the minimum audible volume and 100 being the maximum comfortable level.
<percentage>
This value is relative to the inherited value.
silent
No sound. It does not mean 0.
x-soft
Same as 0.
soft
Same as 25.
medium
Same as 50.
loud
Same as 75.
x-loud
Same as 100.

Property Description
Sets the volume.


CSS Reference: white-space

white-space

Property: white-space

Possible Values: normal | pre | nowrap | inherit

Initial Value: normal

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

normal
White space sequences are collapsed and lines are broken as required to fill line boxes.
pre
Whitespace sequences are not collapsed.
nowrap
Whitespace is collapsed by line breaks are suppressed.

Property Description
Specifies whether or not boxes are visible. If they are set not to be visible, they still affect the overall layout of the page.


CSS Reference: width

width

Property: width

Possible Values: <length> | <percentage> | auto | inherit

Initial Value: auto

Applies to: all elements except non-replaced inline elements, table rows and row groups

Inherited: no

Percentages: refer to the width of the containing block

Media: visual

Value Description Values include:

<length>
A fixed width
<percentage>
A percentage width
auto
The width depends on the value of other properties

Property Description
Specifies the content width of boxes.


CSS Reference: windows

windows

Property: windows

Possible Values: <integer> | inherit

Initial Value: 2

Applies to: block-level elements

Inherited: yes

Percentages: N/A

Media: visual and paged

Property Description
Specifies the minimum number of paragraph lines to be left at the top of a page.


CSS Reference: word-spacing

word-spacing

Property: word-spacing

Possible Values: normal | <length> | inherit

Initial Value: normal

Applies to: all elements

Inherited: yes

Percentages: N/A

Media: visual

Value Description Values include:

normal
Word spacing as defined by the current font.
<length>
The word spacing is specified in addition to the default spacing between words.

Property Description
Sets the spacing between words.


CSS Reference: z-index

z-index

Property: z-index

Possible Values: auto | <integer> | inherit

Initial Value: auto

Applies to: positioned elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

<integer>
The stack level is specifies by this number.
auto
The stack level of the box is the same as its parent's box.

Property Description
Specifies the stack level of the box as well as whether the box establishes a local stacking content.


HTML Reference: Anchor

Anchor

Syntax: < A >...< /A >

Start tag: Required
End tag: Required

Attribute Specifications

name =
Gives the anchor a name so that it can be the destination of another link (ie: it marks that section of the page). This attribute shares the same name space as the id attribute.
href =
Creates a link. The value of this attribute is the location of the file to create a link to.
hreflang =
Specifies the base language of the file the href attribute links to. This attribute can only be used when href is specified.
type =
Specifies the content type [MIMETYPE] of the file the href attribute links to. A web browser linking to the file uses the content type to determine how it should be handled.
rel =
Describes the relationship between the current document and the file being linked. The value of this attribute is a list of link types separated by spaces.
rev =
Provides a list of link types separated by spaces that specifies the reverse link from the anchor (as defined by the href attribute) to the current document.
charset =
Specifies the character encoding of the file being linked to.
shape =
Specifies the shape of a region. Possible value include:
  • default: specifies the entire region.
  • rect: defines a rectangular region.
  • circle: defines a circular region.
  • poly: defines a polygonal region.
coords =
Specifies the position and shape. The values depend on the shape. Values are separated by commas. All coordinates are relative to the top, left hand corner of the object. Possible values include:
  • rect: left-x, top-y, right-x, bottom-y.
  • circle: center-x, center-y, radius.
  • poly: x1, y1, x2, y2, xN, yN. The first and last x and y coordinates should be the same so that they close the polygon. If they are not the same, the polygon will usually be closed automatically.
target =
Specifies the name of the frame where the document is to be opened. This attribute's value must either be a name or a reserved name as defined in the Frame Target Names section.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Through the use of the href= attribute, the anchor element creates a hyperlink to another file or Web address.

Using the name= attribute, the anchor element names a section of the webpage, allowing hyperlink-based navigation to occur within the same document.

For more information on using hyperlinks, please refer to the hyperlinks chapter in the Online Tutorial.


HTML Reference: Abbreviated Form

Abbreviated Form

Syntax: < ABBR >...< /ABBR >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Indicates the text is in an abbreviated form (for example: HTTP; WWW).


HTML Reference: Acronym

Acronym

Syntax: < ACRONYM >...< /ACRONYM >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Indicates the text is an acronym (for example: RADAR).


HTML Reference: Address

Address

Syntax: < ADDRESS >...< /ADDRESS >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

The address element is used to define an area where contact information is listed. It is often placed at the end of a document.


HTML Reference: Applet

Applet

The APPLET element is deprecated, along with all its attributes, in favour of OBJECT.

Syntax: < APPLET >...< /APPLET >

Start tag: Required
End tag: Required

Attribute Specifications

codebase =
Specifies the base URI for the applet. If this attribute is not used, the URI defaults to the same base URI as for the current document. The value for this attribute may only refer to subdirectories of the directory containing the current document.
code =
Specifies the name of the class file that contains the applet's compiled applet subclass or the path to get the class (including the class file's name itself).
name =
Specifies a unique name for the applet. This attribute's value is usually used to allow other applets on the same page to find and communicate with each other.
archive =
Contains a comma-separated list of archives containing classes as well as any other resources that will be preloaded to help improve the performance of the applet.
object =
Specifies a saved representation of an applet's state. It is interpreted relative to the applet's codebase.
width =
Specifies the initial width of the applet (this excludes any dialogs and windows that the applet might generate)
height =
Specifies the initial height of the applet (this excludes any dialogs and windows that the applet might generate)
align =
Deprecated. Specifies the element's positioning in relation to its surroundings. Possible values include:
  • bottom: the bottom of the element is aligned vertically with the baseline.
  • middle: the middle of the element is aligned vertically with the baseline.
  • top: the top of the element is aligned vertically with the baseline.
  • left: the element floats to the left margin.
  • right: the element floats to the right margin.
alt =
Sets alternative text. This displays if the applet doesn't load.
vspace =
Specifies the amount of white space to be inserted to the left and right of the applet.
hspace =
Specifies the amount of white space to be inserted to the top and bottom of the applet.

Other Attributes

  • id, class (element identifiers)
  • title (element title)
  • style (inline style information)

Description
The applet element embeds a Java applet into the document.


HTML Reference: Area

Area

Syntax: < AREA >

Start tag: Required
End tag: Forbidden

Attribute Specifications

shape =
Specifies the shape of the region. Possible value include:
  • default: specifies the entire region.
  • rect: defines a rectangular region.
  • circle: defines a circular region.
  • poly: defines a polygonal region.
coords =
Specifies the position and shape of the area. The values depend on the shape. Values are separated by commas. All coordinates are relative to the top, left hand corner of the object. Possible values include:
  • rect: left-x, top-y, right-x, bottom-y.
  • circle: center-x, center-y, radius.
  • poly: x1, y1, x2, y2, xN, yN. The first and last x and y coordinates should be the same so that they close the polygon. If they are not the same, the polygon will usually be closed automatically.
href =
Specifies the location of the file to link to.
nohref
A boolean value (true or false) that when set indicates that the shape does not have an associated link.
alt =
Specifies alternative text if the object can not be displayed.
target =
Specifies the name of the frame where the document is to be opened. This attribute's value must either be a name or a reserved name as defined in the Frame Target Names section.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup, onfocus, onblur (intrinsic events)

Description

The area attribute is used to specify a geometric region along with its associated link in a client-side image map.


HTML Reference: Bold Text

Bold Text

Syntax: < B >...< /B >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Renders text bold.


HTML Reference: Document Base URI

Document Base URI

Syntax: < BASE >

Start tag: Required
End tag: Forbidden

Attribute Specifications

href =
Specifies the absolute URI. It acts as the base URI, from where other URIs can be resolved.
target =
Specifies the name of the frame where the document is to be opened. This attribute's value must either be a name or a reserved name as defined in the Frame Target Names section.

Description

Defines the document's absolute URI from which other URIs can be resolved. If used, the element must appear between the start and end HEAD elements in the document.

Only one BASE element may appear in a document.

The BASE element is not required if the document's URI is sufficient as the base.


HTML Reference: Base Font

Base Font

The BASEFONT element is deprecated, along with all its attributes.

Syntax: < BASEFONT >

Start tag: Required
End tag: Forbidden

Attribute Specifications

size =
Sets the size of the font. The value of this attribute can either be a number between 1 and 7 or a relative increase in font size. For example, a relative increase of "+1" means one size larger and "-2" means two sizes smaller. All relative sizes can be specified between -7 to 7 (excluding 0).
color =
Sets the base text colour.
face =
Sets the font face. The value of this attribute is a comma-separated list of font sizes. The first font face in this list that is available on the user's computer will be used.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)

Description

The BASEFONT element specifies the overall font size, colour and face for the document. The element may not change the font style for headings and tables.


HTML Reference: Bidirectional Algorithm Override

Bidirectional Algorithm Override

Syntax: < BDO >...< /BDO >

Start tag: Required
End tag: Required

Attribute Specifications

dir =
Specifies the direction of the text content between the BDO start and end tags. Values include:
  • ltr: left to right.
  • rtl: right to left.

Other Attributes

  • lang (language information)

Description

Turns off the bidirectional algorithm for the enclosed text.

The dir attribute is required to specify the direction of the enclosed text.


HTML Reference: Large Text

Large Text

Syntax: < BIG >...< /BIG >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders text in a large font.


HTML Reference: Blockquote

Blockquote

Syntax: < BLOCKQUOTE >...< /BLOCKQUOTE >

Start tag: Required
End tag: Required

Attribute Specifications

cite =
The URI path to a source document or message that gives information about the source from which the quote was taken.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Used in lengthy quotations. The text is often indented from both margins of the page.


HTML Reference: Document Body

Document Body

Syntax: < BODY >...< /BODY >

Start tag: Optional
End tag: Optional

Attribute Specifications

background =
Deprecated. The URI of an image to be tiled on the background of the page.
bgcolor =
Deprecated. Sets the background colour of the document.
text =
Deprecated. Sets the foreground colour for text.
link =
Deprecated. Sets the colour of text throughout the document that marks unvisited hyperlinks.
vlink =
Deprecated. Sets the colour of text throughout the document that marks visited hyperlinks.
alink =
Deprecated. Sets the colour hyperlink text throughout the document changes to when a link is selected.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onload, onunload, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

The body of a document contains the document's content. Everything that appears in the actual document is placed between the start and end BODY elements. Although the use of the element optional, it is recommended that it is used.


HTML Reference: Forced Line Break

Forced Line Break

Syntax: < BR >

Start tag: Required
End tag: Forbidden

Attribute Specifications

clear =
Deprecated. Specifies where the next line should appear after the line break. Possible values include:
  • none: The default value. The next line will begin normally.
  • left: The next line begins at the nearest line below any floating objects on the left margin.
  • right: The next line begins at the nearest line below any floating objects on the right margin.
  • all: The next line begins at the nearest line below any floating objects on either margin.

Other Attributes

  • id, class (element identifiers)
  • title (element title)
  • style (inline style information)

Description

Creates a line break in the current line of text.


HTML Reference: Button

Button

Syntax: < BUTTON >...< /BUTTON >

Start tag: Required
End tag: Required

Attribute Specifications

name =
Gives the button a unique name.
value =
Sets the button's initial value.
type =
Specifies the type of button. Possible values include:
  • submit: The default value. Creates a submit button. When activated, a submit button submits a form.
  • reset: Creates a reset button. When activated, a reset button resets all objects on a form.
  • button: Creates a push button. Push buttons do not have a default behaviour, and may have a specific function assigned to them through the use of programming code such as JavaScript.
disabled
A boolean value. When set, it disables the button.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

The BUTTON element creates a submit, reset, or push button. Buttons created with the BUTTON element are similar to buttons created with the INPUT element, but offer more features such as the ability to display emphasised text and images.


HTML Reference: Table Caption

Table Caption

Syntax: < CAPTION >...< /CAPTION ><

Start tag: Required
End tag: Required

Attribute Specifications

align =
Deprecated. Specifies the position of the caption in relation to the table. Possible values include:
  • top: The default value. The caption is at the top of the table.
  • bottom: The caption is at the bottom of the table.
  • left: The caption is at the left of the table.
  • right: The caption is at the right of the table.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Provides a description of the table. The element is only permitted directly after the TABLE start element.


HTML Reference: Center

Center

The CENTER element is deprecated.

Syntax: < CENTER >...< /CENTER >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Description

Centers text. It is the same as using the DIV element with the align= attribute set to "center".


HTML Reference: Citation

Citation

Syntax: < CITE >...< /CITE >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Indicates a citation or reference to another source.


HTML Reference: Code

Code

Syntax: < CODE >...< /CODE >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Indicates the text is a segment of computer code.


HTML Reference: Table Column

Table Column

Syntax: < COL >

Start tag: Required
End tag: Forbidden

Attribute Specifications

span =
Specifies the number of columns spanned by the element. The value of this attribute must be greater than 0. The default attribute value is 1
width =
Specifies a default width for each column spanned by the element.
align =
Sets the horizontal alignment of text within the cell. Possible values include:
  • left: The default value for table data. Aligns the text to the left.
  • center: The default value for table headers. Centers the text.
  • right: Aligns the text to the right.
  • justify: Justifies the text.
  • char: Aligns the text around a specific character.
char =
Specifies a character within a fragment of text that acts as an axis for alignment. The default value is the decimal point character for the current language (for example, the period ( . ) in English and the comma ( , ) in German).
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Sets the vertical alignment of text. Possible values include:
  • top: Text aligns with the top of the cell.
  • middle: Text aligns in the middle of the cell.
  • bottom: Text aligns with the bottom of the cell.
  • baseline: When specified in a row of cells, all cells in that row have their text positioned so that the first line of text is aligned on a baseline that is common to all those cells. This does not apply to subsequent lines.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description

Groups together attribute specifications for table columns. Unlike the COLGROUP element it does not group columns structurally.


HTML Reference: Table Column Group

Table Column Group

Syntax: < COLGROUP >

Start tag: Required
End tag: Optional

Attribute Specifications

span =
Specifies the number of columns spanned by the element. The value of this attribute must be greater than 0. The default attribute value is 1.
width =
Specifies a default width for each column spanned by the element.
align =
Sets the horizontal alignment of text within the cell. Possible values include:
  • left: The default value for table data. Aligns the text to the left.
  • center: The default value for table headers. Centers the text.
  • right: Aligns the text to the right.
  • justify: Justifies the text.
  • char: Aligns the text around a specific character.
char =
Specifies a character within a fragment of text that acts as an axis for alignment. The default value is the decimal point character for the current language (for example, the period ( . ) in English and the comma ( , ) in German).
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Sets the vertical alignment of text. Possible values include:
  • top: Text aligns with the top of the cell.
  • middle: Text aligns with the middle of the cell.
  • top: Text aligns with the bottom of the cell.
  • baseline: When specified in a cell in a row, all cells in that row have their text positioned so that the first line of text is aligned on a baseline common to all cells throughout the row. This does not apply to subsequent lines.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a column group in a table.


HTML Reference: Definition Description

Definition Description

Syntax: < DD >...< /DD >

Start tag: Required
End tag: Optional

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Follows after the Definition Term, and defines it.


HTML Reference: Deleted Text

Deleted Text

Syntax: < DEL >...< /DEL >

Start tag: Required
End tag: Required

Attribute Specifications

cite =
A URI that specifies the source of the text.
datetime =
Specifies the date and time when the changes to the text was made.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates a section of a document that has been deleted in respect to a different version of the document.


HTML Reference: Defining Instance

Defining Instance

Syntax: < DFN >...< /DFN >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates the defining instance of the enclosed term.


HTML Reference: Directory List

Directory List

The DIR element is deprecated, along with all its attributes.

Syntax: < DIR >...< /DIR >

Start tag: Required
End tag: Required

Attribute Specifications

compact =
Requests that the browser should render the list compactly.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a directory list.


HTML Reference: Generic Language/Style Container

Generic Language/Style Container

Syntax: < DIV >...< DIV >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Deprecated. Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Provides a mechanism for adding a block-level structure to documents.


HTML Reference: Definition List

Definition List

Syntax: < DL >...< /DL >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a definition list. Entries are created in the list using the DT element.


HTML Reference: Definition Term

Definition Term

Syntax: < DT >...< /DT >

Start tag: Required
End tag: Optional

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a term in a definition list.


HTML Reference: Emphasis

Emphasis

Syntax: < EM >...< /EM >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates emphasis.


HTML Reference: Form Control Group

Form Control Group

Syntax: < FIELDSET >...< /FIELDSET >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Allows the grouping of related form controls and labels.


HTML Reference: Font Change

Font Change

The FONT element is deprecated, along with all its attributes.

Syntax: < FONT >...< /FONT >

Start tag: Required
End tag: Required

Attribute Specifications

size =
Sets the size of the font. The value of this attribute can either be a number between 1 and 7 or a relative increase in font size. For example, a relative increase of "+1" means one size larger and "-2" means two sizes smaller. All relative sizes can be specified between -7 to 7 (excluding 0).
color =
Sets the colour of the text.
face =
Sets the font face. The value of this attribute is a comma-separated list of font sizes. The first font face in this list that is available on the user's computer will be used.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)

Description
The FONT element changes the font size and colour in its contents.


HTML Reference: Interactive Form

Interactive Form

Syntax: < FORM >...< /FORM >

Start tag: Required
End tag: Required

Attribute Specifications

action =
Specifies the URL address of the form handler/processor.
method =
Specifies which HTTP method will be used to submit the form data. This attribute’s value will often depend on the form handler used as specified by the action attribute. Possible values include:
  • get
  • post
enctype =
Specifies the content type used to submit the form. This attribute is usually used if the method attribute has been set to post.
accept-charset =
Specifies a list of character encodings for input data that is accepted by the server processing the form.
accept =
A comma-separated list of content types that will be used by the form handler processing the form.
name =
Sets a unique name for the form that can be used to identify it.
target =
Specifies the name of the frame where the document is to be opened. This attribute's value must either be a name or a reserved name as defined in the Frame Target Names section.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onsubmit, onreset, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a container for controls. The FORM element specifies:

  • the layout of the form
  • What program will process the completed and submitted form (the action attribute).
  • The method of sending data to the server (the method attribute).
  • A character encoding that must be accepted to handle the form (the accept-charset attribute).


HTML Reference: Frame

Frame

Syntax: < FRAME >

Start tag: Required
End tag: Forbidden

Attribute Specifications

name =
Assigns a name to the current frame.
longdesc =
Provides a link to a long description of the frame.
src =
Specifies the location of the contents to be contained in the frame.
noresize
A boolean value, that when set, stops the frame window from being resized.
scrolling =
Specifies scroll information for the frame window. Possible values include:
  • auto: Only shows scrolling devices when necessary.
  • yes: Always shows scrolling devices.
  • no: Does not show scrolling devices.
frameborder =
Sets information about the frame border. Possible values include:
  • 1: The default value. Draws a separator between this frame and every adjoining frame.
  • 0: Causes no separator to be drawn between this frame and every adjoining frame.
marginwidth =
Specifies the amount of space in pixels between the frame's contents in its left and right margins.
marginheight =
Specifies the amount of space in pixels between the frame's contents in its top and bottom margins.

Other Attributes

  • id, class (element identifiers)
  • title (element title)
  • style (inline style information)

Description
Defines a single frame along with its appearance and contents.


HTML Reference: Frameset

Frameset

Syntax: < FRAMESET >...< /FRAMESET >

Start tag: Required
End tag: Required

Attribute Specifications

rows =
A comma-separated list of pixels, percentages, and relative lengths. Specifies the layout of horizontal frames. The default value, 100%, corresponds to one row.
cols =
A comma-separated list of pixels, percentages, and relative lengths. Specifies the layout of vertical frames. The default value, 100%, corresponds to one column.

Other Attributes

  • id, class (element identifiers)
  • title (element title)
  • style (inline style information)
  • onload, onunload (intrinsic events)

Description
Specifies the layout of the frames.


HTML Reference: Heading 1

Heading 1

Syntax: < H1 >...< /H1 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Heading 2

Heading 2

Syntax: < H2 >...< /H2 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Heading 3

Heading 3

Syntax: < H3 >...< /H3 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Heading 4

Heading 4

Syntax: < H4 >...< /H4 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Heading 5

Heading 5

Syntax: < H5 >...< /H5 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Heading 6

Heading 6

Syntax: < H6 >...< /H6 >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Sets a heading. There are six heading levels from H1, the most important, to H6, the least important. The importance of the heading usually determines to what text size the heading is rendered to.


HTML Reference: Document Head

Document Head

Syntax: < HEAD >...< /HEAD >

Start tag: Optional
End tag: Optional

Attribute Specifications

profile =
Gives the location of one or more meta data profiles, separated by white space.

Other Attributes

  • lang (language information), dir (text direction)

Description
Contains information about the current document, such as its title, keywords for search engines and other data that is not considered document contents (such as some types of scripts).


HTML Reference: Horizontal Rule

Horizontal Rule

Syntax: < HR >

Start tag: Required
End tag: Forbidden

Attribute Specifications

align =
Deprecated. Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
noshade
Deprecated. A boolean value. Requests that the horizontal rule is rendered in a solid colour.
size =
Deprecated. Specifies the height of the rule in pixels.
width =
Deprecated. Specifies the width of the rule. The default value is 100%.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a horizontal rule.


HTML Reference: Document Root

Document Root

Syntax: < HTML >...< /HTML >

Start tag: Optional
End tag: Optional

Attribute Specifications

version =
Deprecated in favour of HTML version information. The HTML DTD version which describes the document.

Other Attributes

  • lang (language information), dir (text direction)

Description
Declares that the document is a HTML document. The remainder of the document is contained between the elements.


HTML Reference: Italic Text

Italic Text

Syntax: < I >...< /I >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders text in italics.


HTML Reference: Inline Frame

Inline Frame

Syntax: < IFRAME >...< /IFRAME >

Start tag: Required
End tag: Required

Attribute Specifications

longdesc =
Specifies a long description of the frame.
name =
Sets a name to the current frame.
width =
The width of the inline frame.
height =
The height of the inline frame.
src =
Specifies the location of the initial contents for the frame.
frameborder =
Sets information about the frame border. Possible values include:
  • 1: The default value. Draws a separator between this frame and every adjoining frame.
  • 0: Causes no separator to be drawn between this frame and every adjoining frame.
marginwidth =
Specifies the amount of space in pixels between the frame's contents in its left and right margins.
marginheight =
Specifies the amount of space in pixels between the frame's contents in its top and bottom margins.
scrolling =
Specifies scroll information for the frame window. Possible values include:
  • auto: Only shows scrolling devices when necessary.
  • yes: Always shows scrolling devices.
  • no: Does not show scrolling devices.
align =
Deprecated. Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • title (element title)
  • style (inline style information)

Description
Inserts a frame within a block of text.


HTML Reference: Image

Image

Syntax: < IMG >

Start tag: Required
End tag: Forbidden

Attribute Specifications

src =
Specifies the location of the image.
longdesc =
Provides a link to a long description of the frame.
name =
Provides a name for the image.
alt =
Sets text that appears if the image can not be displayed.
ismap
A boolean value. Causes the image coordinates to be sent to the server when the image is clicked, so that a location can be returned.
usemap =
Gives the location of the client-side image map definition to be used when the user clicks on a section of the image.
align =
Deprecated. Specifies the element's positioning in relation to its surroundings. Possible values include:
  • bottom: the bottom of the element is aligned vertically with the baseline.
  • middle: the middle of the element is aligned vertically with the baseline.
  • top: the top of the element is aligned vertically with the baseline.
  • left: the element floats to the left margin.
  • right: the element floats to the right margin.
width =
Sets the width of the current image. This may force the image to be resized if the size is not equivalent to the image's actual size.
height =
Sets the height of the current image. This may force the image to be resized if the size is not equivalent to the image's actual size.
border =
Deprecated. Specifies the width of the image's border in pixels.
hspace =
Deprecated. Specifies the amount of white space around the left and right sides of the image in pixels.
vspace =
Deprecated. Specifies the amount of white space around the above and below the image in pixels.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Embeds an image into the document.


HTML Reference: Form Control

Form Control

Syntax: < INPUT >

Start tag: Required
End tag: Forbidden

Attribute Specifications

type =
Specifies the type of control to create. The default value is text. Possible values include:
  • text: Creates a single-line text input control.
  • password: Similar to text, but the text entered into it is rendered in a way that the characters are hidden. This is usually achieved by displaying them as a series of asterisks. This type of control is often used for the input of passwords.
  • checkbox: Creates a checkbox.
  • radio: Creates a radio (option) button.
  • submit: Creates a submit button.
  • reset: Creates a reset button.
  • button: Creates a push button. The value of the label attribute becomes the button's label. Use the onClick event to activate the button.
  • file: Creates a file select control. Some browsers use the element's value attribute to specify the initial file name.
  • hidden: Creates a hidden control
  • image: Creates a graphical submit button. The value of the src attribute specifies the location of the image that will be used for the button.
name =
Provides a name for the control.
value =
Specifies an initial value for the control. This attribute is optional except where the type attribute has been set to either radio or checkbox.
size =
Sets the initial width of the control. The value of this attribute is in pixels except where the type attribute has been set to either text or password. In this case, the size is specified as the number of characters.
maxlength =
Specifies the maximum number of characters a user can enter if the control type has been set to either text or password.
checked
A boolean value. Can be used if the type attribute has been set to either radio or checkbox. It sets the button so that it is on.
src =
Is used if the type attribute has been set to image. It sets the location of the image to be used for the button.
alt =
Alternative text that can be displayed if the control can not be displayed. The text specified might also appear when the mouse pointer passes over the control.
align =
Deprecated. Sets the horizontal alignment with respect to the control's surrounding context. Possible values include:
  • left
  • center
  • right
  • justify
accept =
A comma-separated list of content types that a server processing the form will handle correctly.
readonly
A boolean value. When set, prevents the user from changing the contents of the control.
disabled
A boolean value. When set, disables the control for user input.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.
usemap =
Associates an image map with the control. The image map is defined with the map element. The value of this attribute must correspond to a map element's name value.
ismap
A boolean value. Causes the control's coordinates to be sent to the server when the clicked, so that a location can be returned.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onfocus, onblur, onselect, onchange, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Inserts a control into a form field.


HTML Reference: Inserted Text

Inserted Text

Syntax: < INS >...< /INS >

Start tag: Required
End tag: Required

Attribute Specifications

cite =
A URI that specifies the source of the text.
datetime =
Specifies the date and time when the changes to the text was made.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates a section of a document that has been inserted in respect to a different version of the document.


HTML Reference: Single Line Prompt

Single Line Prompt

The ISINDEX element is deprecated.

Syntax: < ISINDEX >

Start tag: Required
End tag: Forbidden

Attribute Specifications

prompt =
Deprecated. Specifies a prompting string for the input field.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)

Description
Creates a single-line text input control that allows any number of characters.


HTML Reference: Keyboard Input

Keyboard Input

Syntax: < KBD >...< /KBD >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates text that is entered from the keyboard.


HTML Reference: Label

Label

Syntax: < LABEL >...< /LABEL >

Start tag: Required
End tag: Required

Attribute Specifications

for =
Associates the label with another control. The value of this attribute must be equivalent to the value of an id attribute of a control in the same document.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Attaches information to a control.


HTML Reference: Fieldset Legend

Fieldset Legend

Syntax: < LEGEND >...< /LEGEND >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Deprecated. Sets the legend's position with respect to the fieldset. Possible values include:
  • top
  • bottom
  • left
  • right
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Allows the thematical grouping of related controls and labels.


HTML Reference: List Item

List Item

Syntax: < LI >...< /LI >

Start tag: Required
End tag: Optional

Attribute Specifications

type =
Deprecated. Sets the list's style. Possible values include:
  • disc: A filled-in circle.
  • square: A square outline.
  • circle: A circle outline.
  • 1: Decimal numbers
  • a: Lowercase alphabetic
  • A: Uppercase alphabetic
  • i: Lowercase Roman numerals
  • I: Uppercase Roman numerals
value =
Deprecated. Sets the number of the current list item. It should be noted that even though this attribute's value is a number, the corresponding number displayed may be non-numeric.
compact
Deprecated. A boolean value. Requests that the list is rendered in a more compact way.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a list element.


HTML Reference: Media-independent Link

Media-independent Link

Syntax: < LINK >

Start tag: Required
End tag: Forbidden

Attribute Specifications

href =
Specifies the location of a file, and creates a link to it.
hreflang =
Specifies the base language of the file the href attribute links to. It can only be used when href is specified.
type =
Specifies the content type [MIMETYPE] of the file being linked to.
rel =
Describes the relationship between the current document and the file being linked to. The value of this attribute is a list of link types separated by spaces.
rev =
Specifies the reverse link from the anchor specified by the href attribute to the current document. The value of this attribute is a list of link types separated by spaces.
target =
Specifies the name of the frame where the document is to be opened. This attribute's value must either be a name or a reserved name as defined in the Frame Target Names section.
media =
Specifies the media for which the resource was designed. Possible values include:
  • screen: Intended for non-paged computer screens.
  • tty: Intended for a fixed-pitch character grid (eg: portable devices with limited display capabilities).
  • tv: Intended for television-type devices.
  • projection: For projectors
  • handheld: For handheld devices.
  • print: Paged documents to be viewed on screen in print preview.
  • braille: For braille tactile feedback devices
  • aural: Intended for speech synthesisers.
  • all: A suitability for all devices.
charset =
Specifies the character encoding of the file being linked to by the href attribute.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a link. However, unlike the A element, it may only appear in the HEAD section of the document.


HTML Reference: Client-side Image Map

Client-side Image Map

Syntax: < MAP >...< /MAP >

Start tag: Required
End tag: Required

Attribute Specifications

name =
Assigns a name to the image map.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup, onfocus, onblur (intrinsic events)

Description

Creates a client-side image map that can be used by other elements including IMG, INPUT and OBJECT via their usemap attribute.

Use the AREA element to define link regions within the image map.


HTML Reference: Menu List

Menu List

The MENU element is deprecated, along with all its attributes.

Syntax: < MENU >...< /MENU >

Start tag: Required
End tag: Required

Attribute Specifications

compact =
Requests that the browser should render the list compactly.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a multicolumn directory list.


HTML Reference: Generic Metainformation

Generic Metainformation

Syntax: < META >

Start tag: Required
End tag: Forbidden

Attribute Specifications

name =
Identifies a property name.
content =
Specifies a property's value.
scheme =
Names a scheme to be used to interpret the property's value.
http-equiv =
May be used in place of the name attribute to indicate that the property is an HTTP header.

Other Attributes

  • lang (language information), dir (text direction)

Description
Can be used to identify properties of a document and assign values to those properties.


HTML Reference: Noframes

Noframes

Syntax: < NOFRAMES >...< /NOFRAMES >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Specifies content that should be displayed when a browser does not support frames. The content should be placed between the start and end elements.


HTML Reference: Noscript

Noscript

Syntax: < NOSCRIPT >...< /NOSCRIPT >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Description
Specifies alternative content that should be displayed when a script is not executed. The content should be placed between the start and end elements.


HTML Reference: Object

Object

Syntax: < OBJECT >...< /OBJECT >

Start tag: Required
End tag: Required

Attribute Specifications

classid =
Specifies the location of the object's implementation. This attribute can be used in conjunction with, or as an alternative to the data attribute.
codebase =
Specifies the base URI for the applet. If not specified, then the URI defaults to the same base URI as for the current document. The value for this attribute may only refer to subdirectories of the directory containing the current document.
codetype =
Specifies the media type of the classid data. This helps to prevent the loading of information for unsupported content types.
data =
Specifies the location of the object's data.
type =
Specifies the content type for the data specified by data. This helps to prevent the loading of information for unsupported content types.
archive =
A space-separated list of archives containing resources relevant to the object. Preloading archives can reduce the load times for objects.
declare
A boolean value, that when set, makes the OBJECT definition a declaration only.
standby =
Specifies a message that should be displayed while the loading the object.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.
usemap =
Gives the location of the client-side image map definition.
name =
Assigns a name for the object.
align =
Deprecated. Specifies the element's positioning in relation to its surroundings. Possible values include:
  • bottom: the bottom of the element is aligned vertically with the baseline.
  • middle: the middle of the element is aligned vertically with the baseline.
  • top: the top of the element is aligned vertically with the baseline.
  • left: the element floats to the left margin.
  • right: the element floats to the right margin.
width =
Sets the width of the object.
height =
Sets the height of the object.
border =
Deprecated. Specifies the width of the object's border in pixels.
hspace =
Deprecated. Specifies the amount of white space around the left and right sides of the object in pixels.
vspace =
Deprecated. Specifies the amount of white space around the above and below the object in pixels.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
The OBJECT element is used to include objects into documents including images, videos, audio files, VRML worlds and Java applets.


HTML Reference: Ordered List

Ordered List

Syntax: < OL >...< /OL >

Start tag: Required
End tag: Required

Attribute Specifications

type =
Deprecated. Sets the list's style. Possible values include:
  • 1: Decimal numbers
  • a: Lowercase alphabetic
  • A: Uppercase alphabetic
  • i: Lowercase Roman numerals
  • I: Uppercase Roman numerals
start =
Deprecated. Specifies the starting number of the first item in the list. The default value is "1". It should be noted that even though this attribute's value is a number, the corresponding number displayed may be non-numeric.
compact
Deprecated. A boolean value. Requests that the list is rendered in a more compact way.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines an ordered list.


HTML Reference: Selectable Choice

Selectable Choice

Syntax: < OPTION >...< /OPTION >

Start tag: Required
End tag: Optional

Attribute Specifications

selected
A boolean value, that when specified, causes the option to be pre-selected.
value =
Specifies an initial value for the control.
label =
Specifies a label for the option group.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Allows the grouping of choices in forms logically.


HTML Reference: Option Group

Option Group

Syntax: < OPTGROUP >...< /OPTGROUP >

Start tag: Required
End tag: Required

Attribute Specifications

disabled
A boolean value, that when set, disables the control for user input.
label =
Specifies a label for the option group.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Allows the grouping of choices in forms logically.


HTML Reference: Option Selector

Option Selector

Syntax: < SELECT >...< /SELECT >

Start tag: Required
End tag: Optional

Attribute Specifications

name =
Assigns the control name.
size =
If presented as a scrolled list box, specifies the number of rows in the list that should be visible at any one time.
multiple
A boolean value, that when set, permits multiple selections.
disabled
A boolean value, that when set, disables the control for user input.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Allows the grouping of choices in forms logically.


HTML Reference: Span

Span

Syntax: < SPAN >...< SPAN >

Start tag: Required
End tag: Required

Attribute Specifications

align =
Deprecated. Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Provides a mechanism for adding an inline structure to a document.


HTML Reference: Style Information

Style Information

Syntax: < STYLE >...< /STYLE >

Start tag: Required
End tag: Required

Attribute Specifications

type =
Specifies the style sheet language of the element's contents (eg: "text/css").
media =
Specifies the intended destination medium for the style information. Possible values include:
  • screen: Intended for non-paged computer screens.
  • tty: Intended for a fixed-pitch character grid (eg: portable devices with limited display capabilities).
  • tv: Intended for television-type devices.
  • projection: For projectors
  • handheld: For handheld devices.
  • print: Paged documents to be viewed on screen in print preview.
  • braille: For braille tactile feedback devices
  • aural: Intended for speech synthesisers.
  • all: A suitability for all devices.

Other Attributes

  • lang (language information), dir (text direction)
  • title (element title)

Description
Allows the inserting of an unlimited number of style sheet rules into the head of the document.


HTML Reference: Subscript

Subscript

Syntax: < SUB >...< /SUB >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Causes the text it encloses to be rendered as subscript.


HTML Reference: Superscript

Superscript

Syntax: < SUP >...< /SUP >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Causes the text it encloses to be rendered as superscript.


HTML Reference: Table

Table

Syntax: < TABLE >...< /TABLE >

Start tag: Required
End tag: Required

Attribute Specifications

summary =
Provides a summary of the table's purpose and structure. This is usually used when the document is rendered in a non-visual format such as for Braille.
align =
Deprecated. Specifies the position of the table with respect to the document. Possible values include:
  • left: The table is to the left of the document.
  • center: The table is to the center of the document.
  • right: The table is to the right of the document.
bgcolor =
Deprecated. Sets the background colour of the table.
frame =
Specifies which sides of the frame surrounding the table will be visible. Possible values include:
  • void: The default value. No sides.
  • above: The top side only.
  • below: The bottom side only.
  • hsides: The top and bottom sides only.
  • vsides: The right and left sides only.
  • lhs: The left-hand side only.
  • rhs: The right-hand side only.
  • box: All four sides.
  • border: All four sides.
rules =
Specifies which rules will appear between the cells within a table. Possible values include:
  • none: The default value. No rules.
  • groups: Rules will appear between row and column groups only.
  • rows: Rules will appear between rows only.
  • cols: Rules will appear between columns only.
  • all: Rules will appear between all rows and columns.
border =
Specifies the width of the frame around the table in pixels.
cellspacing =
Specifies the amount of space between the table cells.
cellpadding =
Specifies the amount of space within table cells.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a table.


HTML Reference: Table Body

Table Body

Syntax: < TBODY >...< /TBODY >

Start tag: Required
End tag: Optional

Attribute Specifications

align =
Specifies the alignment of data and the justification of text in a cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a group of data rows in a table.


HTML Reference: Table Data Cell

Table Data Cell

Syntax: < TD >...< /TD >

Start tag: Required
End tag: Optional

Attribute Specifications

headers =
Specifies a space-separated list of header cells that provide information for the current data cell.
scope =
Specifies the set of data cells for which the current header cell provides header information. Possible values include:
  • row: The current cell provides header information for the rest of its row.
  • col: The current cell provides header information for the rest of its column.
  • rowgroup: The current cell provides header information for the rest of its row group.
  • colgroup: The current cell provides header information for the rest of its column group.
abbr =
Provides an abbreviated form of the cell's content.
axis =
Provides a method of categorising cells through a comma-separated list of category names.
rowspan =
Specifies the number of rows spanned by the current cell. The default value is "1". A value of zero ("0") causes the cell to span all rows from the current row to the last row of the table selection.
colspan =
Specifies the number of columns spanned by the current cell. The default value is "1". A value of zero ("0") causes the cell to span all columns from the current column to the last column of the column group.
nowrap
Deprecated. A boolean value, that when set, disables automatic text wrapping for the cell.
width =
Deprecated. Sets the recommended cell width.
height =
Deprecated. Sets the recommended cell height.
bgcolor =
Deprecated. Sets the background colour of the cell.
align =
Specifies the alignment of data and the justification of text in the cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a data cell in a table.


HTML Reference: Text Area Control

Text Area Control

Syntax: < TEXTAREA >...< /TEXTAREA >

Start tag: Required
End tag: Required

Attribute Specifications

name =
Assigns a name for the control.
rows =
Specifies the control's height in text lines.
cols =
Specifies the control's width in characters.
readonly
A boolean value. When set, prevents the user from changing the contents of the control.
disabled
A boolean value. When set, disables the control for user input.
tabindex =
A number that specifies the element's tabbing order. When the document is navigated using a keyboard, this attribute specifies in what order the element is selected. The number must be between 0 and 32767.
accesskey =
Assigns an access key to the element. When the access key is pressed, the element gets the focus.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onfocus, onblur, onselect, onchange, onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a multi-line text input control.


HTML Reference: Table Footer

Table Footer

Syntax: < TFOOT >...< /TFOOT >

Start tag: Required
End tag: Optional

Attribute Specifications

align =
Specifies the alignment of data and the justification of text in a cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a group of footer rows in a table.


HTML Reference: Table Header Cell

Table Header Cell

Syntax: < TH >...< /TH >

Start tag: Required
End tag: Optional

Attribute Specifications

headers =
Specifies a space-separated list of header cells that provide information for the current data cell.
scope =
Specifies the set of data cells for which the current header cell provides header information. Possible values include:
  • row: The current cell provides header information for the rest of its row.
  • col: The current cell provides header information for the rest of its column.
  • rowgroup: The current cell provides header information for the rest of its row group.
  • colgroup: The current cell provides header information for the rest of its column group.
abbr =
Provides an abbreviated form of the cell's content.
axis =
Provides a method of categorising cells through a comma-separated list of category names.
rowspan =
Specifies the number of rows spanned by the current cell. The default value is "1". A value of zero ("0") causes the cell to span all rows from the current row to the last row of the table selection.
colspan =
Specifies the number of columns spanned by the current cell. The default value is "1". A value of zero ("0") causes the cell to span all columns from the current column to the last column of the column group.
nowrap
Deprecated. A boolean value, that when set, disables automatic text wrapping for the cell.
width =
Deprecated. Sets the recommended cell width.
height =
Deprecated. Sets the recommended cell height.
bgcolor =
Deprecated. Sets the background colour of the cell.
align =
Specifies the alignment of data and the justification of text in the cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a cell in a table that contains header information.


HTML Reference: Table Header

Table Header

Syntax: < THEAD >...< /THEAD >

Start tag: Required
End tag: Optional

Attribute Specifications

align =
Specifies the alignment of data and the justification of text in a cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines a group of header rows in a table.


HTML Reference: Document Title

Document Title

Syntax: < TITLE >...< /TITLE >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • lang (language information), dir (text direction)

Description
Identifies the contents of a document.


HTML Reference: Table Row

Table Row

Syntax: < TR >...< /TR >

Start tag: Required
End tag: Optional

Attribute Specifications

bgcolor =
Deprecated. Sets the background colour of the cells.
align =
Specifies the alignment of data and the justification of text in the cell. Possible values include:
  • left: The default value for table data. Left-flush data/Left-justify text.
  • center: The default value for table headers. Center data/Center-justify text.
  • right: Right-flush data/Right-justify text.
  • justify: Double-justify
  • char: Align text around a specific character.
char =
Specifies a single character within a text fragment to act as an axis for alignment. The default value is the decimal point character of the current language.
charoff =
Specifies the offset to the first occurrence of the alignment character on each line.
valign =
Specifies the vertical position of the data within a cell. Possible values include:
  • top: Cell data is flush with the top of the cell.
  • middle: The default value. Cell data is centred vertically within the cell.
  • bottom: Cell data is flush with the bottom of the cell.
  • baseline: Causes all cells in the same row as a cell whose valign attribute has this value to be positioned so that the first text line occurs on a baseline common to all cells in the row.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a container for a row of table cells.


HTML Reference: Paragraph

Paragraph

Syntax: < P >...< /P >

Start tag: Required
End tag: Optional

Attribute Specifications

align =
Deprecated. Specifies the horizontal alignment with respect to the surrounding context. Possible values include:
  • left
  • center
  • right
  • justify

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Creates a paragraph.


HTML Reference: Named Property Value

Named Property Value

Syntax: < PARAM >

Start tag: Required
End tag: Forbidden

Attribute Specifications

name =
Defines the name of the parameter.
value =
Specifies the value of the parameter.
valuetype =
Specifies the type of the value attribute. Possible values include:
  • data: The default value. Causes the value specified by value to be evaluated and passed on as a string.
  • ref: Causes the value specified by value to be interpreted as a URI.
  • object: Causes the value specified by value to be interpreted as the name for an object. The value must be the value of the id attribute set for the corresponding OBJECT element.
type =
Specifies the content type of the resource designated by value, but only where valuetype is set to "ref".

Other Attributes

  • id (element identifier)

Description
Defines a link. However, unlike the A element, it may only appear in the HEAD section of the document.


HTML Reference: Preformatted Text

Preformatted Text

Syntax: < PRE >...< /PRE >

Start tag: Required
End tag: Required

Attribute Specifications

width =
Deprecated. Set the width of the formatted block.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Tells the browser to render text using a fixed size font, and that the text should be displayed in exactly the way as it appears in code.


HTML Reference: Quotation

Quotation

Syntax: < Q >...< /Q >

Start tag: Required
End tag: Required

Attribute Specifications

cite =
The URI path to a source document or message that gives information about the source from which the quote was taken.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Used for short quotations that do not use paragraph breaks.


HTML Reference: Strike-through Text

Strike-through Text

The S element is deprecated.

Syntax: < S >...< /S >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders strike-though text.

See Also
Strike element.


HTML Reference: Script

Script

Syntax: < SCRIPT >...< /SCRIPT >

Start tag: Required
End tag: Required

Attribute Specifications

src =
Specifies the location of an external script.
type =
Specifies the scripting language in the form of a content type.
language =
Deprecated in favour of type. Specifies the scripting language of the contents of the element.
defer
A boolean value, that when set, tells the browser that the script is not going to generate any document content.

Description
Places a script within the document. The element may appear an unlimited number of times in the document's head and body.


HTML Reference: Sample

Sample

Syntax: < SAMP >...< /SAMP >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates the text is a sample output.


HTML Reference: Small Text

Small Text

Syntax: < SMALL >...< /SMALL >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders text in a small font.


HTML Reference: Strike-through Text

Strike-through Text

The STRIKE element is deprecated.

Syntax: < STRIKE >...< /STRIKE >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders strike-though text.

See Also
S element.


HTML Reference: Stronger Emphasis

Stronger Emphasis

Syntax: < STRONG >...< /STRONG >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates stronger emphasis.


HTML Reference: Teletype or Monospaced Text

Teletype or Monospaced Text

Syntax: < TT >...< /TT >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders text in teletype or monospaced.


HTML Reference: Unordered List

Unordered List

Syntax: < UL >...< /UL >

Start tag: Required
End tag: Required

Attribute Specifications

type =
Deprecated. Sets the list's style. Possible values include:
  • disc: A filled-in circle.
  • square: A square outline.
  • circle: A circle outline.
compact
Deprecated. A boolean value. Requests that the list is rendered in a more compact way.

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Defines an unordered list.


HTML Reference: Underlined Text

Underlined Text

The U element is deprecated.

Syntax: < U >...< /U >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Renders text underlined.


HTML Reference: Variable

Variable

Syntax: < VAR >...< /VAR >

Start tag: Required
End tag: Required

Attribute Specifications
(none)

Other Attributes

  • id, class (element identifiers)
  • lang (language information), dir (text direction)
  • title (element title)
  • style (inline style information)
  • onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup (intrinsic events)

Description
Indicates the text is a variable or program argument.


Online Reference Acknowledgments

Multimedia Australia Pty. Ltd. acknowledges the following resources that were used during the compilation of this online reference.

World Wide Web Consortium, 1999, HTML 4.01 Specification, http://www.w3.org/TR/1999/REC-html401-19991224.

World Wide Web Consortium, 1998, CSS2 Specification (Cascading Style Sheets, level 2), http://www.w3.org/TR/1998/REC-CSS2-19980512.


Customer Benefits Program

Your Customer Benefits Program

You can access the advantages of Multimedia Australia’s Customer Benefits Program after you purchase the BestAddress HTML Editor, or any other Multimedia Australia software product!

Purchasing Multimedia Australia's software means more than just working with award-winning software products of exceptional quality. You also gain access to Multimedia Australia’s new Customer Benefits Program!

The Customer Benefits Program brings you many new services and advantages through Multimedia Australia's website as well as tying together some of the existing free services we already offered such as technical support and updates.

Customer Benefits are constantly being added to the program. Visit the Customer Benefits website at www.MyCustomerBenefits.com for the latest information.

Customer Benefits Frequently Asked Questions

This section helps to answer any questions you have regarding your new Customer Benefits program. For more information, please feel free to contact us.

Your Customer Benefits Program

· How do I access my Customer Benefits?
· What Benefits do I Receive?
· How do I claim my Customer benefits?
· Who has access to the Customer Benefits Program?
· How do I become a member of the Customer Benefits Program?

return to top of page

Your Customer Benefits Program

How do I access my Customer Benefits?
Multimedia Australia’s Customer Benefits website at www.MyCustomerBenefits.com is your gateway to accessing your customer benefits. Although you do not require a password to gain access to the Customer Benefits site at this stage, you may sometimes be asked to enter the registration name and registration code you received after purchasing one of our software products when you access and/or claim some of your benefits. If you have lost your codes, simply visit the Re-Send My Lost Registration Codes page.
What Benefits do I Receive?
Visit the Customer Benefits home page for the latest details regarding the customer benefits you receive. We are planning more benefits over the next few weeks, so make sure that you check back regularly!
How do I claim my Customer Benefits?
Visit Multimedia Australia’s Customer Benefits website at www.MyCustomerBenefits.com to view the latest details regarding the customer benefits available to you. We will be adding more benefits over the next few weeks, so make sure that you check back regularly. To claim a benefit, simply follow the instructions for the benefit in question!
Who has access to the Customer Benefits Program?
Anyone who has purchased the full version of a Multimedia Australia software product has access to the Customer Benefits program!
How do I become a member of the Customer Benefits Program?
Simply purchase one of Multimedia Australia’s software products, and you will immediately be able to claim most of your customer benefits!


Copyright Notice and Disclaimer

No responsibility is taken by Multimedia Australia Pty. Ltd. as to the accuracy or suitability of any information contained in this help file and the accompanying program(s). All information is provided "as is" without warranty of any kind. Multimedia Australia Pty. Ltd. disclaims all warranties and conditions with regard to this information, including all implied warranties and conditions of merchantability and fitness for a particular purpose. In no event shall Multimedia Australia Pty. Ltd. or its suppliers be liable for any damages whatsoever arising out of or in connection with the use of information, performance of software and documents, and provision or failure to provide services.

This help file, or any portion of it may not be reproduced or distributed in any form without prior written permission from Multimedia Australia Pty. Ltd.

Multimedia Australia's products may be represented using an artist's impression of packaging, even if the product may only be available for purchase electronically.

Copyright ©2002-2004 Multimedia Australia Pty. Ltd. Australian Company Number 096 830 394

"Multimedia Australia", the Multimedia Australia logos, "SupportBase.NET Direct", "BestAddress", and "BestAddress HTML Editor" are trademarks of Multimedia Australia Pty. Ltd. Australian Company Number 096 830 394

Online Reference Acknowledgments


Please Note: The following license agreement applies to you if you are using the evaluation (unregistered) version of the software product this license accompanies. To determine whether the software product is the evaluation (unregistered) version, choose About from the product's Help menu.

Multimedia Australia Evaluation Software License Agreement

This is a contract ("LICENSE AGREEMENT"). By using, copying, distributing, transmitting or installing the accompanying program (which includes but is not limited to computer software, accompanying media and documentation) ("EVALUATION SOFTWARE") you agree to be bound by all the terms of this LICENSE AGREEMENT.

This is not free software. Subject to the terms of this LICENSE AGREEMENT you are hereby licensed by Multimedia Australia Pty. Ltd. ("MULTIMEDIA AUSTRALIA") to use the EVALUATION SOFTWARE for evaluation purposes without charge for 30 days or 20 uses, whichever comes first. If you wish to continue using the EVALUATION SOFTWARE after that date, you will need to purchase the fully functional version. For purchasing information, please visit MULTIMEDIA AUSTRALIA's website at http://www.mmaus.com.

Use of this SOFTWARE PRODUCT after the 30 day/20 use evaluation period is a violation of Australian copyright laws and international copyright treaties.

You may without making any payment to MULTIMEDIA AUSTRALIA make as many copies of the EVALUATION SOFTWARE for distribution to anyone provided that you (a) do not charge or request donations for the copies without prior written permission from MULTIMEDIA AUSTRALIA; and (b) only distribute exact, unmodified copies of the EVALUATION SOFTWARE's installation files.

MULTIMEDIA AUSTRALIA reserves the right to revoke the above distribution rights at any time, for any or no reason.

Ownership and Copyright Restrictions: The EVALUATION SOFTWARE is owned by MULTIMEDIA AUSTRALIA and/or its suppliers and is protected by Australian copyright law and international copyright treaties. This LICENSE AGREEMENT does not grant you any intellectual property rights in the EVALUATION SOFTWARE. MULTIMEDIA AUSTRALIA and/or its suppliers shall retain a full and complete title to the EVALUATION SOFTWARE, and all copies of it, regardless of the media or form on or in which they may exist, including copies which are made in violation of this LICENSE AGREEMENT.

Restrictions on Decompilation, Disassembly, Reverse Engineering, and Modification: You may not adapt, translate, decompile, disassemble, reverse engineer, attempt to remove the evaluation restrictions or modify the SOFTWARE PRODUCT or any of its components, except and only limited to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Restriction on the Separation of Components: The SOFTWARE PRODUCT is licensed as a single product; whose component parts may not be separated.

Termination: MULTIMEDIA AUSTRALIA may terminate this LICENSE AGREEMENT if you fail to comply with the terms and conditions outlined in the LICENSE AGREEMENT. In such event, you must destroy all copies of the EVALUATION SOFTWARE and its components.

Limited Warranty and Disclaimer: The EVALUATION SOFTWARE is distributed "as is" and with no warranties of any kind, whether express or implied. The user must assume the entire risk of using the EVALUATION SOFTWARE. In no event shall MULTIMEDIA AUSTRALIA be liable for any incidental, consequential, or punitive damages whatsoever arising out of the use, or inability to use the EVALUATION SOFTWARE. No oral or written information or advice provided by MULTIMEDIA AUSTRALIA, its dealers, distributors, agents or employees shall create a warranty or in any way increase the scope of this limited warranty.

Limitation of Liability: To the maximum extent permitted by applicable law, MULTIMEDIA AUSTRALIA and/or its suppliers shall in no event be liable to you or any other person for any damages whatsoever (including but not limited to, damages for loss of business or profits, interruption to business, loss of information, or for any other indirect or consequential loss) arising out of the use of, or inability to use, or supply, or non-supply, of the EVALUATION SOFTWARE or any support services, even if MULTIMEDIA AUSTRALIA was advised of the possibility of such problems.

Multimedia Australia is a trademark of Multimedia Australia Pty. Ltd. ACN: 096 830 394.


Please Note: The following license agreement applies to you if it is accompanying the full (registered) version of the software product. To determine whether the software product is the full, registered version, choose About from the product's Help menu.

Multimedia Australia License Agreement and Limited Warranty

This is a contract ("LICENSE AGREEMENT"). Multimedia Australia Pty. Ltd. ("MULTIMEDIA AUSTRALIA") shall license the accompanying software product (which includes but is not limited to computer software, accompanying media and documentation) ("SOFTWARE PRODUCT") to you (either an individual or single entity) provided you agree to be bound by all the terms and conditions of this LICENSE AGREEMENT. By installing, copying or otherwise using the SOFTWARE PRODUCT you indicate that you agree to the terms and conditions of this LICENSE AGREEMENT. If you do not agree to the terms and conditions of this LICENSE AGREEMENT, do not install, copy or otherwise use the SOFTWARE PRODUCT. You may promptly return the unused SOFTWARE PRODUCT to the place of purchase for a refund.

Grant of License: The SOFTWARE PRODUCT is licensed, not sold. Provided you agree to all the terms and conditions of this LICENSE AGREEMENT, MULTIMEDIA AUSTRALIA grants to you a personal nonexclusive license to use this copy and only this copy of the SOFTWARE PRODUCT on a single computer at a single location at any one time.

Ownership and Copyright Restrictions: The SOFTWARE PRODUCT is owned by MULTIMEDIA AUSTRALIA and/or its suppliers and is protected by Australian copyright law and international copyright treaties. This LICENSE AGREEMENT does not grant you any intellectual property rights in the SOFTWARE PRODUCT. MULTIMEDIA AUSTRALIA and/or its suppliers shall retain a full and complete title to the SOFTWARE PRODUCT, and all copies of it, regardless of the media or form on or in which they may exist, including copies which are made in violation of this LICENSE AGREEMENT. You must treat the SOFTWARE PRODUCT like any other copyrighted material, except that you may make a single copy of the SOFTWARE PRODUCT's installation file(s) solely for backup or archival purposes.

Electronic Purchase: If you acquired this SOFTWARE PRODUCT by means of an electronic (Internet) purchase through a retailer who has been authorised to do so by MULTIMEDIA AUSTRALIA, you may make a one additional backup copy of the SOFTWARE PRODUCT onto a permanent storage medium (such as a CD-ROM) that you designate for that purpose and which will then become part of the SOFTWARE PRODUCT.

Restrictions on Decompilation, Disassembly, Reverse Engineering, and Modification: You may not adapt, translate, decompile, disassemble, reverse engineer, or modify the SOFTWARE PRODUCT or any of its components, except and only limited to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Restriction on the Separation of Components: The SOFTWARE PRODUCT is licensed as a single product; whose component parts may not be separated.

Rental: You may not rent, lease, sublicense, or lend the SOFTWARE PRODUCT or any of its components.

Redistributable Components: The SOFTWARE PRODUCT may contain redistributable components in the form of sample code and clip-art; which remain the property of MULTIMEDIA AUSTRALIA. Regardless of any modifications that you make, you may not distribute any files except those that MULTIMEDIA AUSTRALIA has expressly designated for this purpose and only in conjunction with and part of a webpage. Redistributables may not be rented, leased, lent, or sold.

Transfer of License: You may transfer the entire SOFTWARE PRODUCT (which includes all accompanying component parts and documentation) on a permanent basis provided that you retain no copies and the recipient agrees to the terms and conditions of the LICENSE AGREEMENT. If the SOFTWARE PRODUCT is an upgrade, any transfer must include all prior versions of the SOFTWARE PRODUCT.

Upgrades: If the SOFTWARE PRODUCT is an upgrade from another product version, that product forms part of the SOFTWARE PRODUCT and constitutes a single product. You may use the upgraded version of the SOFTWARE PRODUCT only in accordance with the LICENSE AGREEMENT. Any transfer of the SOFTWARE PRODUCT must include the product that the SOFTWARE PRODUCT upgrades.

Storage and Use over a Network: You may store or install the SOFTWARE PRODUCT on a network server, used only to install or run the SOFTWARE PRODUCT on your other computers over an internal network; you must, however, acquire and dedicate a license for each individual computer on which the SOFTWARE PRODUCT is installed or run from. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different computers.

Volume License Certificate: If you acquired this LICENSE AGREEMENT in conjunction with a Volume License Certificate issued by MULTIMEDIA AUSTRALIA for the SOFTWARE PRODUCT, you may use the additional number of copies of the SOFTWARE PRODUCT as authorised on the MULTIMEDIA AUSTRALIA Volume License Certificate.

Termination: MULTIMEDIA AUSTRALIA may terminate this LICENSE AGREEMENT if you fail to comply with the terms and conditions outlined in the LICENSE AGREEMENT. In such event, you must destroy all copies of the SOFTWARE PRODUCT and its components.

Limited Warranty and Disclaimer: MULTIMEDIA AUSTRALIA warrants that the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying documentation for a ninety (90) day period following your receipt of the SOFTWARE PRODUCT. To make a warranty claim, you must return the SOFTWARE PRODUCT to the location where you obtained it along with a copy of your sales receipt within the ninety (90) day period. If the SOFTWARE PRODUCT does not perform substantially in accordance with the accompanying documentation, the entire and exclusive liability and remedy shall be limited to either, at MULTIMEDIA AUSTRALIA's discretion, (a) the repair or replacement of the SOFTWARE PRODUCT; or (b) a refund of the license fee you paid for the SOFTWARE PRODUCT.
The entire risk as to the quality and performance of the SOFTWARE PRODUCT is with you. MULTIMEDIA AUSTRALIA does not warrant that the functions contained in the SOFTWARE PRODUCT will meet your requirements or that the operation of the SOFTWARE PRODUCT will be error free. MULTIMEDIA AUSTRALIA does not make any warranty as to the accuracy, reliability or content of any information contained in the SOFTWARE PRODUCT or to the results that may be obtained from its use. The SOFTWARE PRODUCT is provided on an "as is" basis. No oral or written information or advice provided by MULTIMEDIA AUSTRALIA, its dealers, distributors, agents or employees shall create a warranty or in any way increase the scope of this limited warranty.

Limitation of Liability: To the maximum extent permitted by applicable law, MULTIMEDIA AUSTRALIA and/or its suppliers shall in no event be liable to you or any other person for any damages whatsoever (including but not limited to, damages for loss of business or profits, interruption to business, loss of information, or for any other indirect or consequential loss) arising out of the use of, or inability to use, or supply, or non-supply, of the SOFTWARE PRODUCT or any support services, even if MULTIMEDIA AUSTRALIA was advised of the possibility of such problems. MULTIMEDIA AUSTRALIA's total liability is limited to the amount actually paid by you for the SOFTWARE PRODUCT or $5.00 Australian dollars.

Multimedia Australia is a trademark of Multimedia Australia Pty. Ltd. ACN: 096 830 394.


.topic 1000
To close this window and apply any changes that you have made, click OK.

.topic 1001
To close this window without applying any changes that you have made, click Cancel.

.topic 1002
To close this window without applying any changes that you have made, click Close.

.topic 1004
Closes the window.

.topic 1005
Click this button to choose a file on the computer.

.topic 1006
Click this button to choose a directory on the computer.

.topic 1003
To launch online help, click Help.

.topic 1007
The Base Path Exclusion function ensures that file names only include the full path when necessary. This makes it easier when uploading your website to the Internet or moving it to a different location on your hard disk.

.topic 1008
When checked, creates file paths based on Internet file naming conventions.

.topic 2301
Quickly launch your Internet browser and go directly to a URL by typing its name in the Addressbar, and clicking the 'Go' button.

.topic 2302
Changes the current font size.

.topic 2303
Changes the current font style.

.topic 2304
Displays the code organisation.

.topic 2305
Lists the files in the Site Project that can be edited.

.topic 2306
Lists the files in the Site Project that can not be edited, but are part of the website.

.topic 2307
Displays a visual layout of the overall structure of the open document.

.topic 2308
Displays tasks that can be performed as well as information about the document.

.topic 2309
Move between open documents by clicking its name on the document selector.

.topic 2310
Displays key, time and application status information.

.topic 2311
The path of the current project file.

.topic 2312
Shows the drives on your computer. To access the contents of a drive, choose it from the list.

.topic 2313
Shows the directories on your computer. To access the contents of a directory, choose it from the list.

.topic 2314
Shows the files on your computer. To use a file, double-click it.

.topic 2315
The toolbar buttons act as short cuts to some of the most commonly used functions. See online help for more information.

.topic 2316
Displays a list of unsaved files on your computer. You can quickly save files from the list.

.topic 2100
Choose this option to create a new HTML document.

.topic 2101
Choose this option to see a list of available templates from which a new document can be created.

.topic 2102
Choose this option to work from a file that you recently opened.

.topic 2103
Choose this option to opens an existing file.

.topic 2104
Click this button to open the Online Tutorial. The Online Tutorial is a guide that teaches you how to create webpages and sites.

.topic 2105
Click this button to use a wizards.  Wizards help with lengthy or complex tasks that may be encountered.

.topic 2106
Click this button to open the Online HTML Reference.  The HTML Reference is a glossary that covers all HTML coding.

.topic 2107
Provides a lists of all available templates from which a new document can be created. After choosing one, click the OK button.

.topic 2108
Check this option to stop the Welcome screen from appearing every time the program starts.

.topic 2109
Lists recently opened documents.

.topic 2200
To specify what words to search for, enter them in the Find What box.

.topic 2201
To find the next occurrence of the text specified in the Find What box, click Find.

.topic 2202
To distinguish between uppercase and lowercase characters, select the Match Case check box.

.topic 2203
To only search for whole words, select the Find Whole Words Only check box.

.topic 2204
To replace the text specified in the Find What box, type the replacement text in the Replace With box.

.topic 2205
To find and replace the text specified in the Find What box with the text specified in the Replace With box, click Replace

.topic 2206
To automatically find and replace all occurances of the text specified in the Find What box with the text specified in the Replace With box, click Replace All.

.topic 2207
To search for a specific form of text, select the search type from the Search list.

.topic 2208
To search in a specific direction, select it from the Search Direction list.

.topic 2209
To search for text throughout the current document, check Current Document. To search for text in all open documents, check All Open Documents.

.topic 2400
To change the file name of the project file, click the "..." button.

.topic 2401
To specify a name for the Site Project, type a description in the Site Name box.

.topic 2402
To specify an author for the Site Project, type a name in the Site Author box.

.topic 5600
Enter the URL of the file you want to open from the Internet in the Internet Address box.

.topic 2600
Lists the number of words in the selection or the entire document.

.topic 2601
Lists the number of characters in the selection or the entire document.

.topic 2602
Lists the number of elements (HTML tags) in the selection or the entire document.

.topic 2603
Lists the number of hyperlinks in the selection or the entire document.

.topic 2604
Lists the total number of characters in the entire document including all text, code and line breaks.

.topic 2700
Sets whether the Welcome screen should be displayed each time the program starts.

.topic 2701
Sets whether the window settings are saved when the program is closed.

.topic 2702
Sets whether the project window list uses large or small icons.

.topic 2703
Sets whether the task manager pane is displayed.

.topic 2704
Sets whether the code and format bar is displayed.

.topic 2705
Sets whether text in the editor window is automatically wrapped to the next line when it reaches the end.

.topic 2706
Select the Automatic save check box to make sure that you don't lose your work. In the minutes box, enter the interval at which you want documents to be automatically saved.

.topic 2707
Causes a notification message to be displayed if automatic save can not save the document because a file name has not yet been specified.

.topic 2708
Sets whether the address bar is displayed.

.topic 2709
Causes the addresses you entered to be saved for quick access later.

.topic 2710
Clears the list of addresses you typed into the address bar.

.topic 2711
Check this box if you want code to be automatically added to new documents when they are created.

.topic 2712
Causes basic HTML code to be added to new documents when they are created.

.topic 2713
Causes code from a template or other text-based file to be added to new documents when they are created.

.topic 2714
Choose this button to select a file on your computer.

.topic 2715
Sets the default working directory for your webpages.

.topic 2716
Sets the location from where to access templates.

.topic 2717
Automatically saves the file when you choose to preview a document in a web browser.

.topic 2718
Creates a temporary copy of the document which is then loaded in a web browser.

.topic 2719
Causes a message to appear each time you want to preview an unsaved document to ask how you would like to proceed.

.topic 2720
Sets the number of seconds to wait once typing has stopped before syntax colour coding should take place.

.topic 2721
Sets the colour to use when the syntax is colour-coded.

.topic 2722
Check this box if the syntax should be colour-coded.

.topic 2723
Check this box if Internet addresses should be colour-coded.

.topic 2724
Sets the colour to use for hyperlinks.

.topic 2725
Specifies the location of the program to use when publishing websites to a server.

.topic 2726
When a new paragraph is created, maintaining the indentation causes the previous paragraph's indentation size to be used on the new line.

.topic 2727
Causes options in file selection lists to be automatically selected when the mouse pointer hovers over them.

.topic 2728
Specifies the number of spaces by which code is indented/outdented when the Tab key is pressed or indent and outdent functions are used.

.topic 2800
Displays a possible error.

.topic 2801
Change To specifies what the code in the Not Found box should be replaced with in the document.

.topic 2802
Suggests possible corrections for the code.

.topic 2803
To add a syntax that appears in the Not Found box to a dictionary, select a dictionary from the list and then click Add.

.topic 2804
To change a syntax in the Not Found box to the word in the Change To box, click the Change button.

.topic 2805
To leave a syntax that appears in the Not Found box unchanged, click Ignore.

.topic 2806
To add a syntax that appears in the Not Found box to the dictionary specified in the Add Syntax To box, click Add.

.topic 2807
To end the syntax check before it is finished, click Cancel.

.topic 2808
To ignore all further instances of the word shown in the Not Found box, click the Ignore All button.

.topic 2809
To permanently exclude a HTML attribute from being recognised as a code error in all elements, click the Exclude button.
To add attributes that apply to a particular element only (not all elements), click the Add button.

.topic 2900
Adds a program on your computer as an add-in.

.topic 2901
Removes an add-in.

.topic 2902
Displays a list of add-ins. Checking the box beside an add-in will display it on the Add-Ins menu.

.topic 3000
The name of the parameter.

.topic 3001
The value of a parameter.

.topic 3100
The name of the list selection option.

.topic 3101
The value of the list selection option.

.topic 3102
Specifies that this option should be selected as the default when the window is first displayed.

.topic 3103
Adds the menu item to the list.

.topic 3200
A title for the code segment being added.

.topic 3201
A description for the code segment being added.

.topic 3202
Adds the code segment to the code library.

.topic 3300
Change the selected text to lower case.

.topic 3301
Change the selected text to upper case.

.topic 3400
Converts hyperlinks from the local directory path to a Internet URL.

.topic 3401
Converts hyperlinks from Internet URLs to the local directory path.

.topic 2403
Changes the hyperlinks in the currently open document.

.topic 2404
The path of the local folder which is the equivalent of the Internet URL.

.topic 2405
The Internet URL which is the equivalent of the local folder path.

.topic 2500
Selects a category from which to insert code.

.topic 2501
Displays a preview of the code segment selected in the Code Category list.

.topic 2502
Displays a description of the code segment selected in the Code Category list.

.topic 2503
Inserts the selected code segment into the open document.

.topic 3500
Selects the format of the date and time information to insert.

.topic 3501
Selects a date.

.topic 3600
The name of the font to use.

.topic 3601
The style to apply to the font.

.topic 3602
The size of the font to use.

.topic 3603
The font colour to use.

.topic 3604
Displays a sample of what the font will look like.

.topic 3700
Sets a unique name for the button.

.topic 3701
Sets the caption of the button. If specified, the text entered will replace the default text of the button.

.topic 3702
Sets the type of button to insert. For a description of each type, see online help.

.topic 3703
A number that specifies the element's tabbing order when the document is navigated using a keyboard.

.topic 3800
Sets the name for the check box. The name specified is not displayed on the form.

.topic 3801
Sets the value for the check box.

.topic 3802
If selected, causes the check box to appear checked when displayed on the form.

.topic 3900
A unique name for the form so that it can be accessed by a script or form handler.

.topic 3901
Specifies the URL to send the form contents to.

.topic 3902
Specifies how the browser should send the form's data to the URL specified by the Action box. The most common selection is the POST method.

.topic 4000
Sets the name for the hidden field.

.topic 4001
Sets the initial value for the hidden field.

.topic 4100
Sets the name for the list selection.

.topic 4101
Displays a list of values for the list selection.

.topic 4102
Adds a value to the list selection.

.topic 4103
Removes a value from the list selection.

.topic 4104
Allows the user to choose more than one option from the list at a time.

.topic 4105
If checked, the list is created as a combo box.

.topic 4106
Sets the height of the list based on the number of lines visible at once.

.topic 4200
Specifies what group the button belongs to, and subsequently ensures that only one button in that group can be selected at any one time.

.topic 4201
Specifies what data is to be submitted with the form if the radio button is selected.

.topic 4202
Specifies the radio button's caption. If nothing is entered into this box, the same name as the radio button's value is automatically used.

.topic 4203
If selected, causes this radio button in the group to be selected.

.topic 4300
Specifies the name for the text area.

.topic 4301
Sets the initial value that is shown when the form first displays.

.topic 4302
Sets the height of the text area based on the number of characters that can be displayed at once.

.topic 4303
Sets the width of the text area based on the number of characters that can be displayed at once.

.topic 4304
Data contained in the text area will be read-only.

.topic 4400
Specifies the name for the text area.

.topic 4401
Sets initial value to that is shown when the form first displays.

.topic 4403
Specifies the width of the text box based on the number of characters that can be displayed at once.

.topic 4404
Sets the maximum number of characters that can be entered into the text box.

.topic 4405
Causes the text box to mask all text entered into it.

.topic 4406
Data contained in the text box will be read-only.

.topic 4500
Positions the cursor at the character number specified in the 'Go to character number' box.

.topic 4501
Specifies the character number to go to.

.topic 4600
Positions the cursor at the line number specified in the 'Go to number number' box.

.topic 4601
Specifies the line number to go to.

.topic 4700
Sets the location of the sound file to insert.

.topic 4800
Specifies the code comment to add.

.topic 5000
If checked, specifies a size for the horizontal rule

.topic 5001
Sets the width of the rule. The default size is 100%. The value you enter can either be either a percentage or a pixel value. You can change the type of value you want to use by checking either Set in Pixels or Set in Percent.

.topic 5002
Sets the height of the horizontal rule.

.topic 5003
Sets the colour of the horizontal rule.

.topic 5004
Sets the alignment of the horizontal rule.

.topic 5005
When checked, causes the horizontal rule to be rendered in a single, solid colour rather than two.

.topic 5100
Sets the type of hyperlink. This automatically changes the URL box unless (other) is selected.

.topic 5101
Sets the URL to which you want the hyperlink to link to. You can choose the Browse... button to choose a local file. If Internal link has been selected in the Hyperlink Type box, this section must correspond to a <a name=> tag.

.topic 5102
Specifies the name of the frame in which the link is to be opened in if the webpage is to be displayed in a frame-based website.

.topic 5103
Sets the image that becomes the hyperlink. (This setting can only be specified if Link From is set to Image). You can choose the Browse... button to choose a local file.

.topic 5104
Sets the text which will become the hyperlink. (This setting can only be specified if Link From is set to Text).

.topic 5105
Specifies whether the link should be an image or hyperlink.

.topic 5200
Sets the path of the image. This can either be a URL or a local image file. You can choose the Browse... button to choose a local file.

.topic 5201
Sets a unique name for the image. This name can be used by style sheets or scripts.

.topic 5202
Sets text that displays if the image is unable to be displayed. In some browsers, this text also appears when the mouse pointer hovers over the image.

.topic 5203
Applies image map coordinates to the image.

.topic 5204
Sets the size of the image.

.topic 5205
The image size is set using pixels.

.topic 5206
The image size is set using percent.

.topic 5207
Uses the image's actual size.

.topic 5208
Displays a preview of the image.

.topic 5209
Disables the image preview.

.topic 5210
Sets the amount of space around the left and right of the image in pixels.

.topic 5211
Sets the amount of space around the top and bottom of the image in pixels.

.topic 5212
Sets white space around the image.

.topic 5214
Sets the thickness of the border in pixels.

.topic 5215
Specifies the position of the image in relation to its context.

.topic 5300
Tools for drawing sectors on the image.

.topic 5301
The image from which the image map coordinates will be created.

.topic 5302
The file name of the image from which the image map will be created.

.topic 5303
Specifies a name for the image map. This name will be used as a reference for images using the image map's coordinates.

.topic 5304
Inserts the image map coordinates into the currently open document.

.topic 5400
Specifies the name of the class file that contains the compiled applet subclass.

.topic 5401
Specifies the base URI for the applet. If not specified, the browser that will use the same URI as the current document.

.topic 5402
Specifies a unique name for the applet.

.topic 5403
Sets alternative text that is displayed if the applet does not load.

.topic 5404
A comma-separated list of archives containing classes as well as any other resources that will be preloaded to help improve the performance of the applet.

.topic 5405
Specifies a saved representation of an applet's state. It is interpreted relative to the applet's codebase.

.topic 5406
Add any parameters that the applet may require. Click the Add button to add parameters. To remove a parameter, first select it from the list and then click Remove.

.topic 5407
Specifies the initial width of the applet's display area.

.topic 5408
Specifies the initial height of the applet's display area.

.topic 5409
Sets the amount of space around the left and right of the applet in pixels.

.topic 5410
Sets the amount of space around the top and bottom of the applet in pixels.

.topic 5411
Specifies the position of the applet in relation to its context.

.topic 5500
Sets the type of list to insert.

.topic 5501
Sets how many list items should be inserted into the document.

.topic 5502
Sets the starting number for an ordered list.

.topic 5503
Requests that the browser renders the list in a more compact way.

.topic 5600
The Internet address to open.

.topic 5700
A URI that specifies the location of the object's implementation. The type of data referred to can be specified in the Content Type box.

.topic 5701
Specifies the location of the object's data. The type of data referred to can be specified in the Content Type box.

.topic 5702
Add any parameters that the object may require by clicing the Add button. To remove a parameter, select it from the list and then click Remove.

.topic 5703
Sets a name for the object.

.topic 5704
Sets the base path used to determine relative URIs.

.topic 5705
Enter a list of URIs that contain resources required by the object. Separate each item by a space.

.topic 5706
Specifies the width of the object.

.topic 5707
Specifies the height of the object.

.topic 5708
Sets the size of the border around the object.

.topic 5709
Sets the amount of space around the left and right of the object in pixels.

.topic 5710
Sets the amount of space around the top and bottom of the object in pixels.

.topic 5711
Specifies the position of the object in relation to its surroundings.

.topic 5800
Inserts the selected character into the currently open document.

.topic 5801
Displays a list of characters that can be inserted.

.topic 5802
Displays the selected character.

.topic 5803
Displays the selected character's code.

.topic 5900
Sets the number of rows (horizontal cells) in the table.

.topic 5901
Sets the number of columns (vertical cells) in the table.

.topic 5902
If checked, sets the width of the table. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by checking either Set in Pixels or Set in Percent.

.topic 5903
Specifies which sides of the frame surrounding the table will be visible.

.topic 5904
Specifies which rules will appear between cells within the table.

.topic 5905
Specifies the position of the table in relation to the surrounding content.

.topic 5906
Sets the width of the frame around the table in pixels.

.topic 5907
Specifies the amount of space between the border of the cell and its contents.

.topic 5908
Specifies the amount of space between the border of the cells and their contents.

.topic 5909
Provides a summary of the table's purpose and structure.

.topic 6000
Sets the path of the video file to be inserted. This can either be an Internet URL or a local file. You can choose the Browse... button to choose a local file.

.topic 6001
Sets text that displays if the video is unable to be displayed.

.topic 6002
When checked, causes the video to repeat continuously.

.topic 6003
Specifies the number of times the video should play.

.topic 6004
Sets the amount of time to wait before the video is played again.

.topic 6005
The video begins to play when the page loads.

.topic 6006
The video begins to play when the mouse pointer passes over it.

.topic 6007
Causes the controls for the video to be displayed.

.topic 6008
Specifies the video's alignment relative to the surrounding content.

.topic 6009
Specifies the thickness of the border surrounding the video.

.topic 6010
Sets the amount of space at the left and right of the video.

.topic 6011
Sets the amount of space at the top and bottom of the video.

.topic 6012
Sets the width of the video. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by marking either Units in pixels or Units in percent.

.topic 6013
Sets the height of the video. The value you enter can either be either a percentage or a pixel value. You can change type of value you want to use by marking either Units in pixels or Units in percent.

.topic 6014
The value you enter can either be either a percentage or a pixel value.

.topic 6100
Select this option to edit the template file itself.

.topic 6101
Select this option to create a new document using the template.

.topic 6200
Displays the current name of the file.

.topic 6201
Shows where the file is located on your computer.

.topic 6202
Shows the size of the file.

.topic 6203
Displays the short version of the file's name.

.topic 6204
Displays the date when the file was created.

.topic 6205
Displays the date when the file was last modified.

.topic 6206
Displays the date when the file was last accessed.

.topic 6207
Displays whether the file is marked as read only.

.topic 6208
Displays whether the file is marked as an archive.

.topic 6209
Displays whether the file is marked as hidden.

.topic 6210
Displays whether the file is marked as a system file.

.topic 6211
Displays whether the file has been saved since it was last modified.

.topic 6212
Displays file type.

.topic 6300
Display advanced settings used to establish the connection.

.topic 6301
Specifies the address with which the connection should be established. The address can be obtained from your hosting provider.

.topic 6302
Specifies the user name used for connecting to the server. The user name can be obtained from your hosting provider.

.topic 6303
Specifies the password used for authenticating the connection. The passwod can be obtained from your hosting provider.

.topic 6304
Use the default proxy settings, as used by other programs that connect to the Internet.

.topic 6305
A direct connection to the Internet exists.

.topic 6306
Use the proxy specified to make the connection.

.topic 6307
The protocol to use to make the connection.

.topic 6308
The duration (in seconds) for which an attempt is made to create a connection.

.topic 6309
Specifies the remote port used to make the connection. Defaults are port 21 for FTP connections, and port 80 for HTTP connections.

.topic 6310
Use this window to establish a new connection to a remote server.

.topic 6311
The file name to call the file to upload.

.topic 6312
Uploads the file to the server.

.topic 6400
Specifies the text visible on the drop down menu item/menu caption.

.topic 6401
Specifies the URL the menu item links to.

.topic 6402
Specifies whether the item being inserted is a Menu caption or a Menu Dropdown List Item.

.topic 6403
Creates a menu caption visible on the menu bar. Dropdown Lists extend from these.

.topic 6404
Creates a Dropdown menu that extends from the Menu caption.

.topic 6405
Adds a new menu item/menu caption.

.topic 6406
Moves the menu item/caption up in the list.

.topic 6407
Moves the menu item/caption down in the list.

.topic 6408
Inserts a menu item/caption above the current selection.

.topic 6409
Deletes the selected menu item/caption.

.topic 6410
Displays the menu design. Menu items are indented with three elipses (...) and menu captions are aligned to the left of the window.

.topic 6411
Sets the colour of the menu bar.

.topic 6412
Sets the colour of the menu dropdown lists.

.topic 6413
Sets the width of the menu dropdown lists.

.topic 6414
When checked, causes a hand to be displayed as the mouse pointer when it hovers over the menu.

.topic 6408
Inserts the DHTML Menu into the open document.

.topic 6416
Style Preview of the DHTML Menu.

.topic 6500
Displays a possible error such as a spelling mistake, duplicate words or incorrect capitalisation.

.topic 6501
The misspelt word in the document will be replaced by the word in this box.

.topic 6502
Suggests a list of correct words for the misspelt word.

.topic 6503
Ignores the proposed misspelt word.

.topic 6504
Automatically ignores all instances of the same proposed misspelt word during the remainder of the spell checking session.

.topic 6505
Corrects the misspelt word with the suggested word in the Change To box.

.topic 6506
Automatically changes all instances of the same misspelt word during the remainder of the spell checking session.

.topic 6507
Undertakes a more thorough search of possible suggestions.

.topic 6508
Select this button if the word was spelt correctly. The word will be added to a user dictionary so that it will no longer be picked up as a spelling mistake in future spell checking sessions.

.topic 6509
Set options for the spell checker.


Order Form

Offline Order Form

When ordering our software using our using our secure online ordering form, you benefit from multiple currency support and various payment options by credit card and invoice. However, if you prefer, our products are also available for purchase offline in Australian Dollars for Australian customers. To order offline, simply print, fill out, and post (by registered mail is recommended) this order form together with your payment to:

 Multimedia Australia Pty. Ltd.
GPO Box 1626
BRISBANE QLD 4001
AUSTRALIA

Please Note: Payment by cheque will only be accepted from Australian bank accounts in Australian dollars.

Your order will usually be processed within seven (7) to fourteen (14) days of receipt. It is recommended that you send all orders by registered post as Multimedia Australia takes no responsibility for mail lost during postage.

Pricing

Product Name | AUS$ (RRP)*
BestAddress HTML Editor 2005 Professional | $72.00

The information you supply to us will remain confidential and will not be passed on to a third party.

Date: (day, month, year) _____/_____/20___

Product Name: BestAddress HTML Editor 2005 Professional Order Quantity: __________

If you purchase more than one license for BestAddress 2005 Professional, you may qualify for volume discounts. For more information, please visit Multimedia Australia's website at http://www.mmaus.com/volumelicensing.html or email Multimedia Australia at email@mmaus.com.

Money Enclosed: _$______________ (one license is $72.00 Australian Dollars)
Ordinary cheques will only be accepted from Australian bank accounts.

Name: ____________________________________________________________

Company: _________________________________________________________

Register To (optional): __________________________________________
You can specify the name to which you would like your license for the BestAddress HTML Editor registered to.

Email Address: ____________________________________________________
If you specify an email address, we will be able to email you the registration details as soon as your order has been processed.
Multimedia Australia occasionally emails customers details regarding available updates and product information subject to its online privacy statement. If you do not wish to receive this information, please tick this box [ ].

Address: ____________________________________________________________

____________________________________________________________________

City, State, Postal Code/Zip:_________________________________________

Country: _________________________

Phone: _________________________(day) _________________________(after hours)

Comments for Ordering (optional): ___________________________________

____________________________________________________________________

Thank you for your order. Don't forget that by ordering you qualify for free product updates from Multimedia Australia's website and technical support.

* Recommended retail price.
The above prices should be used as a guide only. Multimedia Australia reserves the right to change pricing at any time without prior notice. Pricing is effective as of November 2004.


What's New in BestAddress 2005 Professional?

Version 2005 Professional of the multi-award-winning BestAddress HTML Editor gives you complete control to code your website exactly the way you want - an its now easier than ever before.

The BestAddress HTML Editor 2005 Professional features the latest technical support technology from Multimedia Australia - SupportBase.NET Direct! Professional users and beginners alike can now access Multimedia Australia's renowned technical support services directly from within the program itself. Should you ever need help perfecting your website's coding, free technical support is now only one click away - you don't even need to leave the development environment!

The BestAddress HTML Editor 2005 Professional makes coding your website even faster with a range of new feature and interface enhancements. It's no surprise why the BestAddress HTML Editor is the number one choice of so many Web developers world-wide.


CSS Reference: clear

clear

Property: clear

Possible Values: none | left | right | both | inherit

Initial Value: none

Applies to: block-level elements

Inherited: no

Percentages: N/A

Media: visual

Value Description Values include:

left
The top margin is increased so that the top border is below the bottom outer edge of any left-floating boxes.
right
The top margin is increased so that the top border is below the bottom outer edge of any right-floating boxes.
both
The box is moved below all floating boxes earlier in the source documents.
none
No constraints are placed on the box's position.

Property Description
This property sets which sides of an elements boxes should not be adjacent to earlier boxes.


CSS Reference: padding

padding

Property: padding

Possible Values: <padding-width>{1,4} | inherit

Initial Value: not defined for shorthand properties

Applies to: all elements

Inherited: no

Percentages: refer to width of content block

Media: visual

Property Description
A shorthand property for setting 'padding-top', 'padding-right', 'padding-bottom' and 'padding-left'.


CSS Reference: Absolute Size

Generic Font Families

Absolute Size values are shown in this reference by <absolute-size>.

Values include:

  • xx-small
  • x-small
  • small
  • medium
  • large
  • x-large
  • xx-large


CSS Reference: Angles

Angles

Angle values are shown in this reference by <angle>.

Angle values are specified using an optinal sign character (+ or -; the + chracter being the default) followed by a number followed by an angle unit identifier.

Unit identifiers for angle values are:

  • deg: degrees
  • grad: grads
  • rad: radians


CSS Reference: Colours

Colours

Colour values are shown in this reference by <color>.

Colour values can either be a colour keyword or an RGB value.

RGB values are usually defined using hexadecimal notation. In this case a # is followed by hexadecimal characters. For example, the colour white could be written as #ffffff. These values can be inserted from the Colour Code on the Insert menu in BestAddress.

RGB values can also be inserted by writing rgb( followed by a comma-separated list of numerical values, and ending with a ). For example, the colour white could be written as rgb(255,255,255).


CSS Reference: Counters

Counters

Counters are shown in this reference by <counter>.

Values of counters are referred to by 'counter(<identifier>)' or 'counter(<identifier>, <list-style-type>)'. The default style is decimal. Note that the values of counters can only be referred to from the content property.


CSS Reference: Font Families

Font Families

Font Family name values are shown in this reference by <family-name>.

When a font family is specified where whitespace is present in the name, the font family should be quoted.


CSS Reference: Frequencies

Frequencies

Frequency values are shown in this reference by <frequency>.

Frequency values consist of a <number> immediately followed by a frequency unit identifier.

Frequency unit identifiers include:

  • Hz: Hertz
  • kHz: kilo Hertz

    • Obtain More Information Online


CSS Reference: Generic Font Families

Generic Font Families

Generic Font Family name values are shown in this reference by <generic-family>.

Generic families include serif, sans-serif, cursive, fantasy and monospace.


CSS Reference: Generic Voice

Generic Voice

Generic voice values are shown in this reference by <generic-voice>.


CSS Reference: Identifiers

Identifiers

Idenfifier values are shown in this reference by <identifier>.

Identifiers can only contain characters (A-Z and a-z and 0-9) and ISO 10646 chracters 161 and higher as well as the hyphen (-). Escaped chracters and characters written using a character code can also be used.


CSS Reference: The Inherit Value

The Inherit Value

CSS2, properties may have a inherit values. This means that an element's property may be taken from the property of the element's parent.


CSS Reference: Integers

Integers

Integer values are shown in this reference by <integer>.

In CSS2, integers consist of one or more digits between 0 and 9. They may be preceded by a + or -.


CSS Reference: Lenghts

Lengths

Length values are shown in this reference by <length>.

Length values can begin with an optional + or - character followed by a number followed by a unit identifier. The number may be with or without a decimal point.

Unit identifiers for length include:

  • em: a font-size.
  • ex: the x-height of a font.
  • px: a pixel value.


CSS Reference: Margin Width

Margin Width

Margin Width values are shown in this reference by <margin-width>.

Margin width values can be defined as follows:

  • <length>: A margin width specified by a fixed width
  • <percentage>: A margin width specified by a percentage
  • auto

    • Obtain More Information Online


CSS Reference: Real Numbers

Real Numbers

Real Number values are shown in this reference by <number>.

Real Numbers can either be integers, or can be numbers that include a decimal point. They may be preceded by a + or -.


CSS Reference: Padding Width

Padding Width

Padding Width values are shown in this reference by <padding-width>.

Padding width values can be defined as follows:

  • <length>: A padding width specified by a fixed width
  • <percentage>: A padding width specified by a percentage

    • Obtain More Information Online


CSS Reference: Percentages

Percentages

Percentage values are shown in this reference by <percentage>.

Percentages are defined by a numerical value, immediately followed by a "%" character. An optional + or - character can also preceed the number.


CSS Reference: Relative Size

Relative Size

Relative Size values are shown in this reference by <relative-size>.

Values include:

  • larger
  • smaller


CSS Reference: Shape

Shape

Shape values are shown in this reference by <shape>.

The only valid value for <shape> is rect(<top> <right> <bottom> <left>). Here <top>, <right>, <bottom>, and <left> specify the offsets from their respective sides.

The values of <top>, <right>, <bottom>, and <left> may either have a <length> value or be set to auto

.


CSS Reference: Specific Voice

Specific Voice

Specific voice values are shown in this reference by <specific-voice>.

It is recommended that specific voices are quoted.


CSS Reference: Strings

Strings

String values are shown in this reference by <string>.

String values can be written using either single (') or double (") quotes.

Use "\A" to create a new line in a string.


CSS Reference: Time

Time

Time values are shown in this reference by <time>.

Time values consist of a <number> immediately followed by a time unit identifier.

Time unit identifiers include:

  • ms: milliseconds
  • s: seconds

    • Obtain More Information Online


CSS Reference: Uniform Resource Identifiers

Uniform Resource Identifiers

URI values are shown in this reference by <uri>.

Uniform Resource Identifiers (URIs) are a combination of URLs (Uniform Resource Locators) and URNs (Uniform Resource Names).

A URI consists of an optional space character followed by an optional single quote ('), or double quote character ("), followed by the URI itself (for example: http://www.mmaus.com/index.html). If the optional single quote or double quote character was used at the beginning of the URI, it must also end in the character.


Deprecated Elements and Attributes

Occasionally, HTML elements or attributes become outdated by newer constructs. When this happens, they become deprecated.

Although these elements usually continue to be supported, they may become obsolete in future versions of HTML.

This online reference provides alternative information on achieving the deprecated element's task. This might involve using a newer element, or using HTML Style Sheets. It should be noted, however, because style sheets are a new addition to HTML, older computers may not support them. Website developers intending on creating webpages for older computers may need to consider using a deprecated element.


Keyword Not Found

The element (HTML tag) you selected could not be found in the BestAddress HTML Editor Code Reference. The element may have been misspelled, too much or too little text may have been selected, or the HTML element is not part of the HTML 4.01 Recommendation.

Information on the element you selected may, however, be available in the Code Guide section of Multimedia Australia’s Online Library website.

To get help on a HTML element within a doument in the BestAddress HTML Editor, position the cursor anywhere within the element and press F1. You do not need to first select the element.

To search the BestAddress HTML Editor Code Reference section, choose the Contents tab in online help and then choose Online Reference followed by Elements.

This Code Reference Guide as well as Multimedia Australia’s Online Library website can quickly be accessed from the Help menu and toolbar in the BestAddress HTML Editor.


HTML Reference: Attributes - Text Direction

Attributes - Text Direction

Attribute Definition
dir =
Specifies the base direction of text. Possible values include:
  • ltr: Left to right.
  • rtl: Right to left.


HTML Reference: Attributes - Intrinsic Events

Attributes - Intrinsic Events

Attribute Definitions
onblur=
Occurs when an element loses focus via a pointing device or keyboard-based navigation.
onchange=
Occurs when a control loses focus and its value has been modified.
onclick=
Occurs when the pointing device is clicked over an element.
ondblclick=
Occurs when the pointing device is double clicked over an element.
onfocus=
Occurs when an element receives focus via a pointing device or keyboard-based navigation.
onkeydown=
Occurs when a key is pressed down over an element.
onkeypress=
Occurs when a key is pressed and released over an element.
onkeyup=
Occurs when a key is released over an element.
onload=
Occurs when the browser finishes loading a window or frame and can be used with the body and frameset elements.
onmousedown=
Occurs when the pointing device is pressed over an element.
onmousemove=
Occurs when the pointing device is moved while over an element.
onmouseout=
Occurs when when the pointing device is moved off an element.
onmouseover=
Occurs when when the pointing device is moved onto an element.
onmouseup=
Occurs when the pointing device is released over an element.
onreset=
Occurs when a form is reset.
onselect=
Occurs when a user selects text in a text field.
onsubmit=
Occurs when a form is submitted.
onunload=
Occurs when the web browser unloads a document from a window or frame.


HTML Reference: Attributes - Element Identifiers

Attributes - Element Identifiers

Attribute Definitions
id =
Assigns a name to an element. The name must be unique.
class =
Assigns a class name or set of class names to an element. Multiple class names are separated by white space characters.


HTML Reference: Attributes - Language Information

Attributes - Language Information

Attribute Definition
lang =
Specifies the base language of an element's attribute values and text content.


HTML Reference: Attributes - Inline Style Information

Attributes - Inline Style Information

Attribute Definition
style =
Specifies style information for the element.

The style attribute's value must comply with the style sheet language. Please consult the style sheet online reference for language details.

To specify a style for various elements in the document using an external style sheet file, use the STYLE attribute.


HTML Reference: Attributes - Title

Attributes - Title

Attribute Definition
title =
Provides advisory information about its element.


HTML Reference: Attribute Values - Frame Target Names

Frame Target Names

Frame target names must begin with an alphabetic character (a to z or A to Z). Below is a list of reserved frame target names, and their meanings.

Attribute Value Definitions
_blank
The document loads in a new, unnamed window.
_self
The document loads in the same frame as the element that refers to it.
_parent
The document loads into the immediate FRAMESET parent of the current frame.
_top
The document loads in the entire original window, removing all other frames.


About Add-Ins

Add-Ins provide extra functionality to the development environment, and are launched from the main window's Add-In menu.

As well as using Add-Ins produced by Multimedia Australia, you can also specify existing programs on your computer (such as image editors, and web browsers) to be used as Add-Ins by using the Add-In Manager.

Free Add-Ins may sometimes be made available from Multimedia Australia's website to help you keep up with new technological developments.


Minimum System Requirements

It is recommended that you have the minumum system requirements below to run the BestAddress HTML Editor 2005 Professional:

  • PC with a 200MHz or higher processor; Pentium recommended
  • Microsoft® Windows® 95 or later operating system
  • 64 MB of RAM for Windows® 95 or later (128 MB recommended)
  • Hard disk space required: 20 MB
  • VGA or higher-resolution monitor; Super VGA recommended
  • Windows® compatible pointing device

Microsoft and Microsoft Windows are either registered trademarks of Microsoft Corporation in the United States and/or other countries.


About Protocols

Protocols

A communications standard that governs the transmission of data between computers.


About URLs

A URL, or Uniform Resource Locator, define the full path of a document, graphic, email address or other file on the Internet or an intranet.

A URL defines the file’s location as well as the protocol that should be used to access it.

Examples of URLs are:

http://www.acompany.com/

ftp://ftp.server.company.com/file.exe

file://server/file.exe


About Wizards

As of version 6.3.2, the BestAddress HTML Editor Professional no longer includes wizards. Instead, many of the existing functions offered by the program, such as creating webpages using frames can be accessed from within the main application.


Saving changes to all open documents

To save changes to all open documents

  1. On the File menu, choose Save All.
  2. If the Save As dialog box appears, follow the procedure for Saving a File As.

Notes

  • If a document has not been saved yet, the Save As dialog will appear.
  • To save an existing document with a new name, follow the procedure for Saving a File As.


Saving a document as

To save a document as

  1. On the File menu, choose Save As.
  2. In Save In box, choose the drive where you want to save the document.
  3. Double-click the folder where you want to save the document.
  4. Choose the format in which you want to save the document by choosing an option from the Save as type box (to save a webpage, choose HTML Files).
  5. In File name box type a name for the file.
  6. Click Save.

Notes

  • Once the document has been saved, you can follow the Save procedure.


Advanced options for saving a document directly to the Internet

To specify advanced options for the Save to Internet function:

  1. Click the Advanced button in the Save to Internet window.
  2. The proxy to use to make the connection can be specified in the Proxy portion of the window. If Use Proxy Specified is selected, enter the proxy and port names in the Proxy and Port boxes respectively.
  3. The protocol to use to make the connection can be specified in the Protocol box.
  4. The remote port to use to make the connection can be specified in the Remote port box.
  5. The Requested Timeout box specifies the duration (in seconds) that attempts will be made to make a connection.

See Also

  • Saving documents directly to the Internet


Searching for text

To search for text

  1. In the document, position the cursor where you want to start searching.
  2. From the Edit menu, choose Find.
  3. In the Find What box, enter the text you want to search for, and then click Find.
  4. To find more instances of the same text, continue clicking Find.

Notes

  • You can search for and replace text by choosing Replace from the Edit menu.
  • To search all open documents, check the All Open Documents option.
  • For help on the individual settings available, click the question mark button on the title bar. The mouse pointer will display a question mark. Click the area of the screen on which you need help for information about what it does.

See Also

  • Searching for and replacing text


Searching for and replacing text

To search for and replace text

  1. In the document, position the cursor where you want to start searching.
  2. From the Edit menu, choose Replace.
  3. In the Find What box, enter the text you want to search for.
  4. In the Replace With box, enter the text you want to replace it with.
  5. Click the Replace button.
  6. To find and replace more instances of the text, continue clicking Replace.

Notes

  • To replace all instances of the text, click Replace All.
  • To individually find and replace instances of text, click Find and then click Replace.
  • To search all open documents, check the All Open Documents option.
  • For help on the individual settings available, click the question mark button on the title bar. The mouse pointer will display a question mark. Click the area of the screen on which you need help for information about what it does.

See Also

  • Searching for text


Changing the case of text

To change the case of text

  1. Select the text you want to change the case of. If no text is selected, the text of the entire document is changed.
  2. From the Format menu, choose Change Case.
  3. Select an option, and click OK.


Changing the font type, style, colour, or size of text

To change the font type, style, colour, or size of text

  1. Select the text whose format you want to change.
  2. From the Format menu, choose Font.
  3. Choose the options you want, and click OK.

The following options can be set:

Font
Sets the font to use.
Font Style
Specifies how the font is to be rendered: bold, italic, underlined, strike-through and typewriter/monotype.
Size
Sets the size of the font. Unlike HTML headings, the size ranges from 1 being the smallest to 7 being the largest.
Colour
The colour of the text. Click the Change Colour button to select from more colours.

Notes

  • A sample of how the font will usually be displayed in the webpage is shown in the Sample area.


Add-In Manager

The Add-In manager allows you to show, hide, and remove Add-Ins.

The names of the Add-Ins you have installed are listed in the Show the following Add-Ins list along with their corresponding ID number.

Hiding or Showing and Add-In
You can choose what Add-Ins are shown on the Add-Ins menu by checking or unchecking their names in the Show the following Add-Ins list.

Listing Programs As Add-Ins
As well as using Add-Ins produced by Multimedia Australia, you can also use programs on your computer as Add-Ins by clicking the Add button. Browse for the program you want to use as an Add-In and click Open.

Removing Add-Ins
You can unregister an Add-In by selecting its name from the list and clicking the Remove button. This does not remove the Add-In from your computer, but clears it from the list of recognised Add-Ins. To permanently remove an Add-In, run its appropriate uninstallation program.

See Also

  • Starting an Add-In.


Address Bar

You can quickly launch your Web browser to a specific site by typing its name in the Address bar in the main window and clicking the Go button.


Adding Code to the Code Library

Text selections from open documents can be added to the Code Library.

  1. In an open document, select the text you want to add to the Code Library.
  2. On the Edit menu, choose Add Code Selection to Library.
  3. In the window, enter a title for the code segment in the Code Title box and a description in the Code Description box.
  4. Click the Add button to add the code to the code library.

Notes

  • On the Edit menu, Add Code Selection to Library will only be enabled if text is selected in an open document.
  • Code added to the code library is stored under the \user\ subdirectory in the code library folder.
  • You can change the folder from which BestAddress accesses code library files. From the Tools menu, choose Options. Click the Files tab. Specify the folder to use in the Code Library Folder box.

See Also

  • Using the Code Library


To view information about an open document

On the File menu, choose Properties.

Notes

  • If the document has not been saved yet, some information will not be displayed.


Go To Character

To go to a specific character in the document

  1. From the Edit menu, choose Go To Character.
  2. Type the character number you want to go to.
  3. Click Go To.

See Also

  • Going to a specific line


Go To Line

To go to a specific line in the document

  1. From the Edit menu, choose Go To Line.
  2. Type the line number you want to go to.
  3. Click Go To.

See Also

  • Going to a specific character


Go To Next Element

To go to the next element in the document

  1. From the Edit menu, choose Next Element.
  2. Alternatively, press the F12 key on the keyboard.

See Also

  • Going to the previous element


Go To Previous Element

To go to the previous element in the document

  1. From the Edit menu, choose Previous Element.
  2. Alternatively, press the F11 key on the keyboard.

See Also

  • Going to the next element


Specifying Indentation Size

To specify the size of indents and outdents:

  1. On the Tools menu, choose Options
  2. On the Editing Environment tab, enter the number of spaces by which code should be intented in the Tab Indent and Outdent Spaces box.
  3. Click OK
  • Indenting code
  • Outdenting code


Internet Path Naming Conventions

The method of referring to files used on the Internet differs to the method of referring to files on your computer. For example, the path \My Website\index.html would be referred to as /My Website/index.html on the Internet.

The Internet File Naming Method option is available on all file insert windows and converts all local file paths to remote file paths.

This function is enabled by default and works with all file insertion functions:

  • Insert Background Sound
  • Insert Hyperlink
  • Insert Image
  • Insert Video

To switch the Internet File Naming Method on or off:

  1. From the Tools menu, choose Options.
  2. Select the Advanced tab.
  3. Check or uncheck Use Internet file naming method when inserting file names.
  4. Click OK.

See Also

  • Insert Background Sound
  • Insert Hyperlink
  • Insert Image
  • Insert Video


Installing Additional Spell Checker Language Dictionaries

Additional spell checking dictionaries can be downloaded and installed for the BestAddress HTML Editor from Multimedia Australia’s Customer Benefits site at www.MyCustomerBenefits.com.

To change the spell checking dictionary used once additional dictionaries have been installed, from the Tools menu, choose Options. In the window that is displayed, select the Spelling tab.

See Also

  • Using the Spell Checker


Starting Add-Ins

To start an Add-In

Choose the Add-In you want to start from the Add-Ins menu.

Notes

  • If an Add-In is not displayed in the Add-Ins menu, you may need to load its name using the Add-In Manager.

See Also

  • Adding Add-Ins.


Local File Selection window

The local file selection window is part of the Task Manager Pane and provides you with a list of files located on your computer.

The local file selection window provides similar functionality to the Site Project window by launching the appropriate insert function when a file is double clicked.


Insert Background Sound

To insert a background sound into the document:

  1. From the Insert menu, choose Background Sound.
  2. In the Sound File box, type the location of the file to use, or click the Browse button to choose a local file.
  3. Click the OK button.

Notes

  • Because the code produced from the Insert Background Sound function is not part of the current HTML recommendation, not all browsers may support it.
  • The Base Path Exclusion function ensures that the full file path is only used if it is different from the document’s path.


Add List Selection

Use the Add List Selection Option dialog box to add items to a form's list selection field.

The dialog box allows you to specify the following options:

Option Name
Specifies a name for the list item.
Submitted Value
The value submitted with the form will be the same as the name for the menu choice. If, however, you want to specify a different value, check Specify Value and enter an alternative value.
This option is selected when first displayed
Check this box if the current list selection should be the one that is displayed when the form loads.

See Also

  • Inserting a selection list.


Add Applet Parameter

Adds a parameter to an applet

Name
The name of the parameter
Value
The value to associate with the parameter name. Not all parameters require a value to be set. If this is the case, simply leave the box blank.


To insert a new paragraph

Position the cursor where you want to add a paragraph, and type <p>.

Notes

  • Two paragraph elements can enclose a paragraph of text, for example: <p>Text goes between these</p>.
  • The paragraph element is described in further detail in the HTML Reference section of online help.


Open Hyperlink

To open a hyperlink from within a document

  1. On the keyboard, hold down the Ctrl key while clicking the hyperlink.
  2. The hyperlink will be opened in the computer's default web browser.


META Elements in New Documents

BestAddress automatically adds meta elements (tags) to new documents. These allow you to specify information about the document you are working on, including a description and key-words to be used by search engines and the name of the author. To switch the automatic insertion of meta elements on or off:

  1. On the Tools menu, choose Options.
  2. Select the Advanced tab.
  3. In the list, check or uncheck "Add META information to new documents".
  4. Click OK.

Notes

  • Meta information is not added if a new document is created using a template.

See Also

  • Creating a New Document


To show or hide the address bar

On the View menu, check or uncheck Address Bar.


To show or hide the 'Code Selection' and 'Font Format' Toolbars

To show or hide the 'Text Style' button and 'Font Format' toolbar

On the View menu, check or uncheck Code and Font Selection Toolbar.


To show or hide the document selector

On the View menu, check or uncheck Document Selector.

Notes

  • The document selector only displays when documents are open.


To stop the syntax assistants from appearing

  1. On the Tools menu, choose Options.
  2. From the Syntax tab, unselect the Show Syntax Assistants when writing code manually check box.
  3. Click OK.

See Also

  • About the Syntax Selectors


To change the syntax colours

You can specify the colours to used in syntax colour coding.

  1. On the Tools menu, choose Options.
  2. From the Syntax tab, select the Use Syntax Colouring check box if you want syntax colouring to occur.
  3. To change individual colours, click the Change button next to the appropriate syntax type in the list.
  4. Click OK.

Notes

  • You can also specify the duration before syntax colouring takes place once you finish typing.


To change the update duration for syntax colouring

You can specify the duration (in seconds) before syntax colouring should take place.

  1. On the Tools menu, choose Options.
  2. From the Syntax tab, select the Use Syntax Colouring check box if you want syntax colouring to occur.
  3. In the Update syntax colour coding every box, specify the duration in seconds.
  4. Click OK.

Notes

  • You can also specify the colours used in syntax colouring.


To show or hide the task manager pane

On the View menu, check or uncheck Task Manager Pane.


To change the way text wraps on your screen

On the View menu, check or uncheck Word Wrap Text.


Publishing a Website on the Internet

Before a website can be accessed from the Internet, it must be sent to and stored on a Web server at your hosting provider.

Many hosting providers allow you to transfer your website’s files through an "upload" section in their website. If your hosting provider does not offer this service, you will need to send your website to their server using an FTP program.

BestAddress is packaged with the DigitalAccess 2003 Website file management program which you can use to upload your website. You can also save your website directly to the Internet from within BestAddress. Simply choose Save to Internet from the File menu. You should note, however, that this function only uploads the actual document you are working on, not any supporting files that it may require.

To start DigitalAccess and publish your website online:

  1. On the File menu, choose Publish files on Internet.


Previewing an unsaved document in a browser options

Before a web browser can display a document, any modifications to it must first be saved.

The Preview Unsaved Document in Browser dialog box is displayed if the document has not been saved yet.

BestAddress can either

  • save a temporary copy of the document which is then loaded into the browser, or
  • save the document and then load it in the browser.
  • Choose how you would like to proceed from the list.
  • Click the OK button to continue.

Notes

  • If you choose to have BestAddress save a temporary copy of the document, not all elements of the webpage may display or work properly (including images, applets and hyperlinks) since the temporary copy is stored in a different place than the original.
  • To automatically perform the default choice, check Do not show this message again.


To change the folder where templates are stored

  1. On the Tools menu, choose Options.
  2. On the Files tab, specify the path where you want BestAddress to search for templates. Click the (...) button to browse for a folder.
  3. Click OK.

Notes

  • Templates stored in the Templates folder are displayed in the New Documents window.


Online Updater

Multimedia Australia's Online Updater, which is included with the BestAddress HTML Editor, makes it easy to ensure that you have the latest version of its software installed.

With its simple wizard interface, you can obtain information about any new updates within moments, along with information on installing them.

To start the Online Updater, simply select Check for Free Updates from the Help menu.